ChangeLog for Gammu project <https://wammu.eu/gammu/>
=====================================================

Description
===========

More detailed log can be obtained from Git repository.

Following types of entries are listed:

[!] Important change
[+] New functionality
[*] Changes in existing functionality
[-] Fixed error

Each entry might list referenced bug or people who helped with fixing
the issue.

ChangeLog
=========
    
20201003 - 1.42.0

[-] * Fixed compilation on some non GNU systems.
[-] * Localization updates.
[-] * Improved CNMI command compatibility for AT module.
[-] * Improved getting of network and manufacturer information in AT module.
[-] * Improved compatibility with D-Link modems that need to power on.
[-] * Dropped Python 3 compatibility from utility scripts.
[-] * Fixed bug in deleting SMS messages.

20190927 - 1.41.0

[-] * Documentation improvements.
[-] * Updated MySQL script to be compatible with current server versions.
[-] * Fixed SMSD operation on phones with more SMS folders.
[-] * Fixed off by one in Python example script.
[-] * Fixed PostgreSQL compilation on openSUSE.
[-] * Several compatibility fixes with recent compilers.
[-] * Improved USSD support.
[-] * Localization updates.
    
20190128 - 1.40.0
    
[+] * Added SMSD configuration option RetryTimeout.
[-] * Removed non configurable sleep after failed message send.
[+] * SMSD now tries to store whole decoded text for concatenated
      messages in the first entry in database.
[-] * Improved compatibility with Sierra SL8084TR.
[+] * Added support for delivery reports stored in SR memory.
[+] * Configure CNMI parameters for AT driver.

20180105 - 1.39.0
    
[-] * Fixed answering call in AT module.
[-] * Improved support for Huawei E392 and E3131.
[-] * Fixed compatibility of binaries with Windows XP and 2003.
[-] * Improved support for ZTE MF667.
[-] * Updated list of GSM networks and countries.

20171018 - 1.38.5

[+] * Added SMS_1_REFERENCE to SMSD run on receive environment
[-] * Improved logging of run scripts in SMSD
[-] * Improved support for Huawei E1780 and E1552.
[-] * Allow 0 for setuid/setgid in SMSD.
[+] * Added RunOnIncomingCall to SMSD.
[-] * Fixed SQL error when retry of multipart message
[*] * Added status code column
[-] * Fixed some SQL queries for Access and Oracle databases.
[-] * Add option to prefer GSM charset for USSD.
[-] * Sanitize international numbers stored in the database to always start with +.
[-] * Improved support for Telit devices.
[+] * Added USSD support to SMSD.
[-] * Fixed call hangup in SMSD with some modems.
[-] * Fixed decoding USSD response with some modems.

20170618 - 1.38.4

[-] * Improved support for Huawei E3531 and E1756.
[-] * Fixed several issues with using library on Windows.

20170523 - 1.38.3

[-] * Improved support for ZTE MF626.
[-] * Fixed USSD handling with longer codes.
[-] * Increased default value for StatusFrequency.
[-] * Improved SMSD response on signals.
[-] * Improved SMSD throughput on big queue.
[-] * Improved SMSD compatibility with Microsoft SQL Server.

20170328 - 1.38.2

[-] * Improved support for Huawei K3765, E150 and E372.
[-] * Fixed decoding of unicode surrogates at message boundary.
[+] * Environment variable PHONE_ID for external program.
[-] * SMS compatibility with devices following old version of GSM 03.38.
[-] * Unicode is now preferred when handling USSD.
[+] * Improved decoding of MMS indication SMS.

20170105 - 1.38.1

[-] * Fixed sending SMS to numbers starting with 000.
[-] * Fixed parsing of vcalendar files with VALUE=DATE-TIME.
[-] * Fixed compatibility with D-Link dwm-157.
[-] * Updated list of GSM countries and networks.

20161212 - 1.38.0

[-] * MySQL script for SMSD is compatible with strict mode.
[-] * Fixed USSD responses for some AT modems.
[-] * Fixed parsing network status for some modems (eg. Quectel UC15).
[-] * Fixed handling of emojis and other Unicode chars from supplementary plan.
[-] * Fixed compilation with C90 compiler.

20161023 - 1.37.91

[!] * Changed version of the shared library.
[-] * Improved support for ZTE MF100.
[-] * Ignore unsolicited +CLCC: reply.
[-] * Correctly report when some SMSD SQL backend is not compiled in.
[-] * Fix build of MySQL backend on Linux.

20161018 - 1.37.90
    
[-] * Improved support Huawei K3770.
[!] * API changes in some parameter types.
[-] * Fixed various Windows compilation issues.
[-] * Fixed several resource leaks.
[-] * Create outbox SMS atomically in FILES backend.
[!] * Removed getlocation command as we no longer fit into their usage policy.
[-] * Fixed call diverts on TP-LINK MA260.
[+] * Initial support for Oracle database.
[!] * Removed unused daemons, pbk and pbk_groups tables from the SMSD schema.
[+] * SMSD outbox entries now can have priority set in the database.
[+] * Added SIM IMSI to the SMSD status table.
[+] * Added CheckNetwork directive.
[+] * SMSD attempts to power on radio if disabled.
[-] * Fixed processing of AT unsolicited responses in some cases.
[-] * Fixed parsing USSD responses from some devices.

20160816 - 1.37.4
    
[-] * Improved support for Huawei E3131.
[-] * Fixed SMS support for MULTIBAND 900E.
[-] * Fixed SMS created in text mode.

20160524 - 1.37.3

[-] * Improved support for Huawei E398.
[-] * Improved support for Huawei/Vodafone K4505.
[-] * Fixed possible crash if SMSD used in library.
[-] * Improved support for Huawei E180.

20160413 - 1.37.2
    
[-] * Fixed compilation of SMSD.

20160413 - 1.37.1

[-] * Properly report errors in HEX encoded strings from SMSD SQL backends.
[-] * Configurable SMSD table names.
[-] * Improved support for Huawei E303.
[-] * Improved support for Vodafone K4511.
[-] * Improved support for Telit M2M modules.

20160203 - 1.37.0

[-] * Improved compatibility with ZTE MF190.
[-] * Improved compatibility with Huawei E1750.
[-] * Improved compatibility with Huawei E1752.
[-] * Increased detail of reported errors from SMSD.

20151208 - 1.36.8

[-] * Changed default value for ReceiveFrequency.
[-] * Fixed compatibility for PostgreSQL.
[-] * Fixed build failure with all disabled SMSD backends.
[-] * Documentation improvements.
[-] * Fixed mixing C++ code with SMSD.
    
20151129 - 1.36.7

[-] * Support devices which do not report full network status.
[-] * Disable Huawei unsolicited messages on startup.
[-] * Various improvements for Huawei modems.
[-] * Fixed compilation on Windows.
[-] * Fixed regression with Siemens AX75.
[-] * Improved decoding of USSD responses.
[-] * Properly decode emojis to console or files backend.
[+] * Added support for proxying the connection through arbitrary command.
[+] * SMSD now tracks retries count per message.

20151012 - 1.36.6

[-] * Fixed installation of bash-completion script.
[-] * Fixed timezone manipulation in SMSD.
[-] * Documentation improvements.
[-] * Fixed licensing of helper/win32-dirent.*.
[*] * Increased default speed for AT connection to 115200.
[*] * Improve AT module initialization.
    
20150826 - 1.36.5

[-] * Properly use timezones with SQLite in SMSD.
[-] * Improve support for Huawei E1752.
[-] * Fixed compilation on distros with old Glib.

20150814 - 1.36.4

[-] * Use advisory locking to prevent two Gammu instances share one device.
[!] * Include child process stdout and stderr in SMSD logs to ease debugging.
[-] * Fix string quoting with ODBC driver.
[+] * Added RunOnSent option to SMSD.
[+] * Store message reference in outbox in files SMSD.
[-] * Improved C API documentation in manual.

20150707 - 1.36.3

[-] * Updated list of GSM country codes and networks.
[-] * Fixed bash completition install path (Ville Skyttä).
[-] * Better logging of delivery report failures in SMSD.
[-] * Improved support for Huawei E3372.

20150615 - 1.36.2

[-] * Fixed compilation using MSVC.
[-] * Fix siemenssatnetmon (Daniel Glöckner).
[-] * Documentation improvements.
[-] * Fixed smsd startup with non existing folders.
[-] * Fixed possible stack overflows on Windows.

20150520 - 1.36.1

[-] * Compatibility with libdbi from git.
[-] * Fix siemenssatnetmon (Daniel Glöckner).
[-] * Fixed reconnecting to SQL server.
[+] * Don't split a surrogate pair between message segments (David Brown).

20150413 - 1.36.0

[!] * The python-gammu module is now shipped separately.
[!] * Removed usage of __TIME__ and __DATE__ macros in codebase.
[-] * Fixed encoding of special chars to iCalendar format.
[-] * Fixed decoding of priority from vTODO.
[-] * Avoid infinite loops with ignored messages.
[-] * Improved stability of checking phone SMS memory.
[-] * Fixed parsing of some backup files.

20150302 - 1.35.0

[-] * Fixed encoding of UTF-8 for higher code points.
[-] * Improved provided udev rules.
[-] * Fixed possible lock while getting network status in SMSD.
[-] * Various localization updates.

20141230 - 1.34.0

[+] * Add phone power ON/OFF function.
[!] * Removed deprecated Python modules gammu.Data and gammu.Worker.
[+] * Store network name and code in SMSD tables.
[-] * Fixed build with recent clang compiler.
[-] * Fixed several possible issues found by Coverity scan.
[-] * Fixed possible crash on SMSD startup.
[-] * Fixed decoding unicode SMS messages.
[-] * Added identification for several Nokia phones.
[-] * Fixed compilation issues on various platforms.
[-] * SMSD now honors loglevel for all logging targets.
[+] * SMSD can automatically hangup incoming calls.
[-] * Correctly detect Network errors.

20130529 - 1.33.00

[-] * Various translation improvements.
[-] * Improved support for Huawei E173, thanks to Gautier Minster.
[-] * Fixed buffer overflow in MMS decoder.
[-] * Fixed several memory leaks.
[-] * Improved compatibility with Qualcomm devices (bug #1654).
[-] * Various documentation improvements.
[-] * Updated version of sms-gammu2android, thanks to Shadow Walker.
[-] * Fixed compilation on Mac OS X, thanks to Soren Jorvang.
[-] * Fixed SMSD with CheckSecurity = 0 (bug #1672).
    

20120627 - 1.32.0

[-] * Fixed auto installation of EventLog registry.
[-] * Improved support for Arduino GPRS shield (bug #1592).
[-] * Fixed communication with Cross PD1101wi (bug #1617).
[-] * Ignore another unknown block in Nokia phonebook (bug #1614).
[-] * Do not encode number when setting up diverts.
    
20120224 - 1.31.90

[-] * Improved compatibility with ES75 (bug #1586).
[!] * Changed API for call diverts.
[+] * Added support for call diverts in Python API.
[+] * AT backend supports manipulating with call diverts.
[+] * Added support for suspending/resuming SMSD using SIGUSR1/2.
[!] * Changed protocol for S60 applet.
[+] * S60 applet now handles SMS with new lines.
[+] * Improved support for Windows Event Log.
    
20111221 - 1.31.0

[-] * Fixed compilation with latest libusb.
[-] * Improved error handling in SQL backend of SMSD.
[-] * SMSD documentation improvements.
[-] * Indonesian translation updates.
    
20111213 - 1.30.92

[-] * Improved vCard parser to better handle location for various fields, thanks to Vladimir Serbinenko for initial patch.
[-] * Fixed reading calls from some Nokia phones (bug #1553).
[-] * Improved text mode SMS parsing in AT driver, thanks to Vladimir Serbinenko.
[-] * Use glib's MD5 implementation if available.
    
20111129 - 1.30.91

[+] * Improved documentation for configuring Gammu.
[-] * Fixed parsing birthday from vCard in some cases.
[+] * Added option not to use configured logging in SMSD inject and monitor (bug #1539).
[+] * Added SMSD configuration LogFacility (bug #1539).
[-] * Fixed reading of data from OBEX phones (LP#891803).
[-] * Fixed double reply detection (bug #1544).
[-] * Increase maximal number of caller groups (bug #1541).
[-] * Cancel all calls on maketerminated call if we don't get call ID.
[-] * Fixed SMSC handling in some cases in SMSD (bug #1547).
    
20111107 - 1.30.90

[-] * Various documentation improvements.
[-] * Detect Alcatel style reply on CPIN response (bug #1502).
[-] * Fix build on some Win32 systems (bug #1496).
[-] * Make jadmaker handle names with spaces (Raphaël Droz).
[-] * Display 8-bit messages in hex (Nicolas Pitre).
[-] * Do not use AT+CUSD=2 on some phones (bug #1508).
[-] * Fixed gammu-monitor with Windows service (bug #1515).
[-] * Cleanup of contrib directory.
[-] * Better support for Samsung AT phones (bug #1513).
[-] * Fixed handling of MMS notification SMSes (bug #1530).
[-] * Fixed CPIN reply handling (bug #1532).
[+] * SMSD checks for PIN status just after connect (bug #1532).
[-] * Fixed various MSVC compilation issues.
    
20110719 - 1.30.0

[*] * Improved SMSD logging of configuration settings.
[-] * Fix possible crash in fbus2 driver.
[-] * Fix possible crash of ODBC driver on Windows (bug #1482).
[-] * Fixed usage of dbi plugins from Python module.
    
20110607 - 1.29.93

[-] * Properly initialize atobex driver with Sony-Ericsson phones.
[-] * Updated list of country and network codes.
[-] * Escape fields in SQL queries (bug#1415).
[-] * Escape fields in PostgreSQL SQL script (bug#1415).
[-] * Default to GSM encoding for text messages in SQL backend for SMSD.
[-] * Add option to override which SQL dialect to use in SMSD (bug #1427).
[-] * Improved m-obex protocol support, thanks to Vladimir Serbinenko.
[-] * Various fixes for Samsung B2100, thanks to Vladimir Serbinenko.
[-] * Fix check for AT+CPROT support (bug #1438).
[-] * Fix memory leak in s60 protocol driver (bug #1441).
[-] * Reverted change to SignalStrength because of SQL escaping we have now (bug #1380).
[-] * Improved vCard parser to handle vCards from Gmail.
[-] * Fixed LDIF parser to cope with multiple LDIF in single file.
    
20110315 - 1.29.92

[-] * Documentation improvements and fixes.
[-] * Saner error handling in Windows serial driver.
[-] * Cleanup in SMSD internals.
[+] * Added ODBC driver to SMSD.
    
20110225 - 1.29.91

[+] * Added screenshot function for Sony-Ericssonn phones (Márton Németh).
[-] * Fixed parsing of some Nokia SMSes (bug #1402).
[-] * Properly report error on deleting non deletable entries (bug #1396).
[-] * Slower switch from m-obex to AT (bug #1382).
[-] * Faster initialization for AT phones without enabled echo.
    
20110210 - 1.29.90

[-] * Fix detection of MySQL libraries (bug #1370).
[!] * Changed default connection settings to at and ttyACM0 (bug #1078).
[+] * Add new API call to abort existing operation (bug #1155).
[+] * Change database structure to avoid using reserved word Signal (bug #1380).
[+] * Possibility to limit time of day for SMS in SMSD (bug #1203).
[-] * Enforce limits on SMS payload length.
[+] * Made GSM_SMSCounter public (bug #1356).
[+] * Support for S60 phones using Series60 applet (bug #423).
[-] * Do not fail on 0x7b field in Nokia 3600s phonebook (bug #1385).
[!] * Disabled two stage probing for most protocols.
[-] * Fixed saving of SMS backups (bug #1392).
[+] * Screenshot functionality for DCT4 phones (bug #1390).
    
20110119 - 1.29.0

[+] * Added option to enter new PIN when entering PUK, thanks to Peter
      Stuge for pointing out this requirement.
[-] * Improved documentation of SMSD backend services.
    
20110107 - 1.28.95

[-] * Fix decoding of SMS without date on DCT4 phones (bug #1368).
[+] * Added gammu-detect tool to detect available devices on system.
[-] * Fixed parsing of Philips reply to SPBR (bug #1366).
[-] * Fixed testsuite not to depend on system timezone.
[-] * Check if phone is waiting for requested security code before
      entering.
[-] * Fixup invalid international numbers with double prefix (+00) in
      SMS (bug #1364).
[-] * Fixed m-obex protocol implementation, thanks to Matthieu Patou (bug #1375).
[-] * Fixed build on Mac OS X, thanks to Matthieu Patou (bug #1374).
[-] * Fixed decoding of some SMS messages on S40 phones (bug #1243).
    
20101227 - 1.28.94

[+] * New convertbackup command to convert between backup formats.
[+] * Changed database structure to version 12, you need to upgrade it.
[-] * Try harder to find dn for LDIF export (bug #1363).
[-] * Better names for some fields in LDIF export (bug #1363).
[-] * Implement parsing of LDIF for all fields we save (bug #1363).
[-] * Various minor fixes in SMSD SQL backend.
[-] * Improved test suite coverage.
[-] * Improved dummy driver to allow more testing.
    
20101202 - 1.28.93

[+] * New SMSD configuration RunOnFailure.
[-] * Fix invalid SQL when storing 8bit SMS (bug #1329).
[-] * Probe if phone supports m-obex protocol (bug #1286).
[+] * Experimental support fo m-obex protocol (bug #1286).
[-] * Fix detection of delivery reports in MySQL and PostgreSQL backends
      (bug #313).
[+] * Include udev rules for Nokia phones (bug #1251).
[-] * Fix parsing LG VX9200 reply on getting battery state (bug #1264).
[-] * Fix handling of SMS text mode (bug #1189).
[!] * Default to no retries of the send commands on the link.
[-] * Wait for more USSD replies on getussd command (bug #1346).
[!] * New unified SQL SMSD backend handling all SQL databases.
[+] * SQL queries in SQL SMSD backend can be configured.
    
20101004 - 1.28.92

[+] * New SMSD config option HardResetFrequency.
[+] * Gammu now supports freedesktop.org/XDG specs for config file
      locations and reads ~/.config/gammu/config.
[-] * Increase timeout for AT+CMGL (bug #1317).
[+] * Added support for optional delivery report parts as defined by
      ETSI 123 040, section 9.2.2.3 (bug #1304).
[+] * SMSD database host configuration is now named "host" not "PC".
    
20100916 - 1.28.91

[-] * Fixed locales compilation/support.
[-] * Set memory to use for MPBR/SBNR/SPBR commands as well (bug #1128).
[-] * Handle errors from CMGL same way as from CMGR (bug #1211).
[-] * Fixed parsing of AT+CPMS=? reply (bug #1296).
[+] * Implemented matching by serial number.
[+] * SMSD can now be configured just for sending/receiving.
[-] * Fixed battery status for S40 phones (bug #1301).
[-] * Improved compatibility with Motorola phonebook (bug #1128).
[+] * Lot of documentation improvements, check <https://wammu.eu/docs/devel/docs/>.
    
20100827 - 1.28.90

[-] * Fixed handling of empty reply on CREG/CGREG (bug #1245).
[-] * Prefer storing delivery reports over forwarding them.
[-] * Fix leak and crash when handling MMS notifications in Python.
[-] * Fixed parsing of date from AT phones (bug #1256).
[-] * Simplify handling text comment in SMS backup to keep new lines.
[+] * New command gammu battery.
[-] * Fail to send SMS without set SMSC.
[-] * Avoid updating SMSD backend frequently than StatusFrequency defines.
[-] * Store SIM phonebook to vCard on backup (bug #1281).
[-] * Fixed waiting for multipart messages (bug #1279).
[-] * Fixed crash on too long GPRS access point names in backup (bug #1267).
[-] * Fallback to using SMSC from phone in SMSD if none provided.
[-] * Improved guessing of HEX/GSM charsets for phone number in AT engine.
    
20100712 - 1.28.0

[+] * Support for adding notes using addnew command.
[-] * Better log errors when moving message in SMSD.
[!] * Removed checkfirmware command as the server is not existing anymore.
[-] * Proper closing of Bluetooth sockets on Windows (bug #1239).
[-] * Properly decode another way of MMS notification SMS.
[+] * Support for selecting USB device to use on Linux.
[-] * Fix storing text in SMS backup comment for multiline SMS.
[-] * Fixed crash when passing invalid parameters to SMS encoder.
    
20100629 - 1.27.95

[+] * Support for getting packet network state (bug #1220).
[-] * Fix parsing of AT replies from Nokia 2730 (bug #1224).
[-] * Nokia E61 needs encoded USSD requests (bug #1228).
[!] * Rename Port configuration directive to Device.
[-] * Try to reconnect after lost connection to MySQL error.
[-] * Actually enable -f processing in SMSD.
[+] * Configurable number of backend retries.
[-] * Prefer GSM charset for USSD requests (bug #1228).
    
20100603 - 1.27.94

[-] * Fixed folder detection for Nokia S40 phones (bug #1191).
[-] * Fixed smsd-inject for long messages.
[-] * Fixed waiting for more multipart messages (bug #1193).
[-] * Fixed parsing of cellid reply with different locales (bug #1202).
[-] * Fixed handling of timeouts from libusb (bug #1207).
[-] * Properly detect birthday on Nokia 2700 (bug #1213).
[-] * Provide fallback value for note type (bug #1213).
[-] * Rewritten parsing of CREG: reply to properly parse all replies (bug #1220).
    
20100413 - 1.27.93

[-] * Fix crash when SMS in Nokia has too many recipients (bug #1136).
[-] * Better handling of Bluetooth errors on Windows (bug #1146).
[-] * Build with -Wl,--as-needed to avoid not required dependencies.
[-] * Python module now uses more PEP-3 compliant naming.
[-] * Fix compilation while disabling some features.
[-] * Include message reference in FILES backend logs for SMSD.
[-] * Fix crash when adding file to Nokia (bug #1163).
[+] * Added function EncodePDU to python-gammu.
[-] * Fix storing message status on multiple delivery reports (bug #1167).
[-] * Force AT^SBNR support on Siemens AX75.
    
20100217 - 1.27.92

[+] * Write support for Siemens phonebook (bug #1129).
[-] * Properly decode UTF-8 version 3.0 vCards (bug #1132).
[-] * Fixed wrong counting of favorite messaging numbers (bug #1010).
[+] * Implement SendDTMF in Python bindings.
    
20100204 - 1.27.91

[-] * Add ID for Nokia 6275i (bug #1096).
[-] * Fix Windows build by not defining MSVC version.
[-] * Correctly use first entry location in MPBR (bug #1076).
[-] * Avoid buffer overrun when parsing SM30 SMS (bug #1110).
[-] * Properly detect user home directory.
[+] * Improved MMS notifications encoding.
[+] * Allow to specify MMS notification class.
[+] * Implemented decoding of MMS notification (bug #1100).
[+] * SMSD now properly groups multipart messages together.
[+] * New NULL service for SMSD.
[+] * RunOnReceive now gets environment variables with SMS data.
[-] * Fixed AT lines splitting to work properly with quotes.
[-] * Separate getting information for Motorola phones (bug #1076).
[-] * Fixed reading of Samsung contacts (bug #1105).
[-] * Re-enable classic AT commands for adding Samsung contact (bug #1105).
[+] * SMSD no longer requires support for SMS status, so it works with Nokia S40 phones.
[-] * Fix finding of empty location for some AT phones (bug #1119).
[-] * Restore phone phonebook also to phones not supporting status (bug #1122).
[-] * Avoid reading phone memory on reading SIM (bug #1123).
    
20100106 - 1.27.90

[-] * Simplify code in FILES smsd service.
[-] * FILES service can send smsbackup messages.
[+] * Configurable outbox format for SMSD/FILES.
[-] * Improve conversion of boolean settings from Python.
[-] * Do not use MPBR/SPBR for other than phone memory (bug #1076).
[-] * Fix crash with unknown CME error (bug #1082).
[-] * Fixed connecting to Onda devices (LP #501025).
[+] * SMSD can terminate itself after defined number of failures.
[-] * Improved decoding of SM30 Nokia messages (bug #1091).
    
20091222 - 1.27.0
    
[+] * Initial support for reading Motorola calendar (bug#338).
[-] * Avoid parsing boolean config values all around the code.
[+] * FILES backend of SMSD now support message injecting.
[-] * Ignore duplicate lines in AT reply (bug#1069).
    
20091212 - 1.26.93

[-] * Add ID for MTK1/MTK2 phones (bug#1051).
[+] * Add DecodePDU to Python bindings.
[+] * Added sample SQL trigger for SMSD polls.
[-] * Display sent SMS time if it is available (bug#1053).
[-] * Added bunch of new testcases.
[-] * Distinguish silent/tone alarms in own backup format.
[-] * Fixed compilation with Clang compiler.
[-] * Fixed handling of SMS memories with Samsung (bug#1063).
[+] * Reporting location based on OpenCellID database (bug#1039).
    
20091203 - 1.26.92

[-] * Compare full name of config section.
[-] * Add ID for Nokia 6111 (bug#1045).
[-] * Handle CME error 601 (bug#1044).
[+] * Support for reading birthday from Samsung phonebook (bug#1038).
[+] * Report GPRS state when getting network status (bug#1023).
[-] * Fix reading of Siemens phonebook (bug#1046).
[+] * Make gammu error codes map to GSM_Error.
[-] * Various code cleanups.
[-] * Add ID for Huawei E169.
    
20091119 - 1.26.91

[-] * Fixed parsing of vCards with lowercase types (bug #1006).
[-] * Handle forward references in Nokia phonebook (bug #1009).
[-] * Save timestamp to SMS backup for all messages.
[-] * Store PDU type in SMS backup.
[+] * More flexible handling of exclude/include lists in SMSD.
[+] * Add support for external list of exclude/include numbers (bug#1008).
[-] * Workaround decoding of messages padded by 0xFF by phone.
[-] * Force enabling of OBEX for SE S312 (bug#1016).
[-] * Recognize Motorola A1200 error replies (bug#1019).
[-] * Disable AT/Obex for Motorola A1200e (bug#1019).
[-] * Properly detect if phone does not support AT+MODE (bug#1019).
[-] * Disable AT/Obex for Motorola E790 (bug#1018).
[+] * Add option to filter messages by SMSC (bug#1020).
[-] * Implement retries when waiting for message prompt.
[-] * Fixed logic of detecting incoming calls.
[-] * Fixed loading of non ASCII messages from files in SMSD (bug#1011).
[+] * Added example showing reading of messages.
[-] * Build Windows release with Python 2.6.
[-] * Fixed compilation in MSVC because of missing S_ISDIR.
[-] * Fixed parsing of different Samsung reply (bug#1038).
[-] * Proper error code when SMSC is empty (bug#1032).
[-] * Fixed compilation of python-gammu in MSVC.
    
20091012 - 1.26.90

[-] * Fixed parsing of SMS with empty recipient (bug #998).
[-] * Correct setting of time on Huawei phones.
[+] * Addnew command can now change memory type being used.
[-] * Proper handling of locations and memory type in vCards.
[-] * Added IDs for several recent Sony-Ericsson phones.
[-] * Fix decoding of phone numbers in some cases (bug #999).
[-] * Replace MD5 implementation with public domain one (bug #964).
[-] * Huawei E17X has broken UCS-2, do not use it (bug #962).
[-] * Do not fail if phone does not support extended SMS params (bug #927).
[+] * Added support for Samsung calendar (bug #839).
[-] * Do not choke on OK in message text.
[-] * Add ID of Nokia 6020b (bug #1004).
[-] * Fix decoding of SMS with extended characters.
[-] * Fixed handling of DCT4 specific functions.
[-] * Add workaround for especially broken Ubinetics GDC201.
    
20090908 - 1.26.1

[-] * CPIN reply is handled like regular one except in A2D case (bug #994).
[-] * Fix finding first empty position when memory is empty (bug #996).
[-] * Fixed parsing of SMS status reports.
[-] * Fixed parsing of text messages with new lines (bug #995).
    
20090904 - 1.26.0

[-] * Fixed handling of RunOnReceive error code.
[-] * Fixed crash when encoding USSD dials.
[-] * Fixed decoding of phonebook entries on Motorola (bug #988).
[-] * Fixed decoding of long text messages (bug #990).
[-] * Fixed location of saved message (bug #989).
[-] * Added ID for Nokia 1681c.

20090827 - 1.25.93

[-] * Fixed reading of phonebook from Samsung (bug #980).
[-] * Add ID for Nokia 3390b (bug #982).
[-] * DCT3 dependent code reports error when phone is not DCT3 (bug #982).
[-] * Fixed reading of DCT4 file folders (bug #986).
    
20090821 - 1.25.92

[+] * Reworked RPM packages (separate libraries and SMSD).
[-] * Huawei E160 uses encoded USSD requests.
[+] * Better support for messages on Motorola, thanks to Quintin Hill.
[-] * Fix reading of SMS backups without text (bug #963).
[-] * Send message even if SendingTimeOut is null (bug #977).
[-] * Disabled automatic OBEX for Motorola phones.
[!] * Increased limits for message length, bump soname to 7 because of
      this.
[!] * Changed SMSD tables to be able to handle longer messages from
      Motorola phones.
    
20090813 - 1.25.91

[+] * Documented most commands in man page.
[+] * Completed Czech translation of Gammu.
[-] * Avoid crash on some Nokia smses (bug #959).
[+] * Added support for Bluetooth on more BSD systems, thanks to Iain Hibbert.
[+] * Added new command setsmsc.
[+] * Added option to disable checking for battery and signal in SMSD.
    
20090730 - 1.25.90

[-] * Fixed getting firmware revision on AT phones (bug #951).
[+] * Added support for home/work mobile number (bug #952).
[-] * Fixed handling of error response for security status in AT.
[-] * Fixed segfault on systems with very low memory limits.
[!] * Development now goes on in Git repository, please check README.
[!] * 6510 driver now dynamically allocates memory for file caches, what
      reduces Gammu memory usage by 800 MiB.
[-] * Added testcases for AT+CNMI replies.
[-] * Fixed range parsing in AT engine.
[+] * Added reconnect support in PostgreSQL driver in SMSD.
[!] * Gammu debug level no longer can be controlled separately in SMSD.
[-] * Fix loop when Nokia phone does not allow to access files (bug #954).
    
20090709 - 1.25.0

[-] * Retry on timeout of usb transfer (bug #940).
[-] * Disable AT OBEX for Motorola PEBL U6 (bug #939).
[-] * Disable AT OBEX for Samsung J700 (bug #948).
[-] * Empty memory entry has length 0 (bug #947).
[-] * Handle some more fields from Nokia phonebook (bug #946), thanks to Will Sowerbutts.
    
20090624 - 1.24.92

[-] * Fix distutils build (bug #916).
[-] * Detect when phone does not support ATE1 (bug #918).
[-] * Do not use OBEX on Motorola L7 (bug #912).
[-] * Reinclude full SMS text in comments in backup (bug #905).
[-] * Disable AT OBEX for Samsung J750 and J700 (bug #856).
[-] * Avoid shadowing C++ bool definition (bug #920).
[-] * Do not disable CLIP for all SE phones.
[-] * Add ID for Nokia 1209.
[-] * Catch busy error from Nokia phones (bug #932, thanks to Walter Doekes).
    
20090527 - 1.24.91

[-] * Fix code problems caught by GCC 4.5.
[-] * Compile static libraries with -fPIC (they might be later linked
      into shared ones) (bug #909).
[-] * Handle own number error code in 6510 driver (bug #910).
[-] * Add ID for Nokia 5220 (bug #910).
[-] * Handle SMSC error code in 6510 driver (bug #910).
[-] * Disable gcc warnings about non literal format strings (bug #901).
[-] * Add more fuzzy logic to detect bad encoding from phone (bug #874).
[-] * Add ID for Nokia 7500 and Nokia 7210s.
[-] * Improve searching for Bluetooth stack on OS X.
[-] * Fix ctype compile time warnings on NetBSD (bug #908).
[-] * Nokia 3110c has SMS on filesystem (bug #904).
[-] * Add ID for Nokia 5130 (bug #911).
[-] * Faster reading of Nokia filesystem.
[!] * New PDU decoder which properly parses PDU data.
[!] * AT driver uses new PDU decoder.
[!] * 6510 driver uses new PDU decoder and understands most formats of
      filesystem Nokia SMS messages (bug #911).
    
20090512 - 1.24.90

[-] * Fix checking for MPBR (bug #873).
[-] * Fix reading of calls with wrong timestamp (bug #872).
[-] * Increase timeout for IrDA phonet (bug #867).
[-] * Better detect some weird phone states (bug #866).
[-] * Fix handling of caller group in Python bindings (bug #870).
[-] * Correctly detect empty entries from Motorola.
[-] * Better error reporting from at-charset test.
[+] * smsd-inject now shows ID of injected message.
[-] * Fix decoding of date in Nokia phonebooks (bug #876).
[-] * Fix detection of SMS message memories in AT (bug #875).
[-] * Improve documentation for savefile (bug #893).
[-] * Add stricter check for DBI version (bug #894).
    
20090415 - 1.24.0

[-] * Better detect Bluetooth ports on Samsung (bug #862).
[-] * Ignore security errors on AT init (needed for Huawei).
    
20090330 - 1.23.92

[-] * LUID reading requires IrMC profile.
[-] * Locations for GlobeTrotter 3G+ start at 0 (bug #847).
[-] * More verbose logging of delivery reports (bug #824).
[-] * Increase default DeliveryReportDelay (bug #824).
[-] * Fixed handling of SMS locations (bug #853).
    
20090318 - 1.23.91

[+] * PostgreSQL backend now supports IDs for RunOnReceive.
[+] * RunOnReceive is started through shell not directly.
[-] * Fixed reading of empty phonebook entries from Samsung (bug #809).
[-] * Reread messages if CMGL shows them corrupted (bug #691).
[+] * Added support for vNote files.
[-] * Properly detect Nokia 6220 Classic (bug #840).
[-] * Fix writing of phonebook on Motorola V8 (bug #827).
[-] * Detect daemon on FreeBSD.
[-] * Ignore charset errors on AT init as some phones might need PIN.
[-] * Optionally use MT for phone phonebook for AT phones.
[+] * Added support for quick dial numbers on AT phones.
    
20090311 - 1.23.90

[-] * Fixed decoding of Samsung memory entries.
[-] * Properly handle corrupted messages from Nokia phones (bug #811).
[-] * Fix parsing of calls from Alcatel C701 (bug #831).
[-] * Fixed handling of error states with -len and -autolen parameters.
[-] * Fixed possible crash in DBI engine.
[+] * PostgreSQL engine properly uses sequences instead of reinventing.
[+] * MySQL engine properly uses auto increments instead of reinventing.
[-] * Fix escaping of field name in PostgreSQL engine.
[-] * Better SMSD files logging.
[-] * Added testing of SMSD files engine.
[-] * Increase timeout for AT settings SIM card SMS storage.
[-] * Fixed date formatting in PostgreSQL SMSD service.
[+] * Add option to install without documentation.
[+] * Add -textutf8 option for TEXT sms.
[-] * Fix crash when some lines in config are too long.
[-] * Make smsdrc example better looking by removing obsolete docs.
[-] * Make dku2 connection types work on Linux (alias to fbususb).
[-] * Better calculation of signal percent.
[-] * Fixed getting of memory status for some Nokias (bug #836).
    
20090302 - 1.23.1

[-] * Documentation clarification.
[-] * Translations update.
[-] * Actually install gammu-smsd-monitor.
[-] * Fix recording received messages count for MySQL.
[-] * Fix SMS location handling for Huawei E160 (bug #825).
[-] * Do not probe for MPBR support all the time.
    
20090223 - 1.23.0

[-] * Fix sending of DTMF tones over AT.
[-] * Skip some unhandled replies on Huawei (bug #823).
    
20090217 - 1.22.95

[!] * Reorganize directory structure to match current state of things.
[-] * Completely switch DBI driver to utf-8.
[-] * Fixed date off by 1900 error in some cases.
[-] * Cleanup a bit phonet driver.
[-] * Handle properly requests for network code (bug #819).
[-] * Allow to enter more security codes through SMSD (bug #819).
[-] * Fixed restoring to specific folder on AT (bug #815).
    
20090209 - 1.22.94

[-] * Fix some memory leaks found by cppcheck.
[-] * Implemented reconnecting/retrying in DBI driver.
[-] * Fix memory leaks in SMSD found by valgrind.
[-] * Fix decoding of another Nokia message type.
[-] * Support for passing received message ID in DBI.
[-] * Dummy phone now supports phonebook, calendar, todo, filesystem.
[-] * Experimental SMSD monitor support on Windows.
[-] * Added ID for Nokia 2680 (bug #813).
[-] * Number of retries of message send in SMSD can be configured.
[-] * Updated SQL files to new version (mostly added useful indexes).
[-] * Dropped own logic for generating IDs for SMS and rely on SQL
      server (only in DBI driver for now).

20090202 - 1.22.93

[-] * Fixed privileges dropping in SMSD.
[-] * SMSD inject now properly uses PhoneID.
[-] * Improve SMSD documentation.
[-] * Translations improvements.
[-] * Add ID for Nokia 7373.
[-] * Do not try to use filesystem OBEX if IrMC access was forced.
[-] * Fix possible crash in LMB decoder.
[-] * Avoid string length overflow in Nokia phonebook encoder.
[-] * Introduced backward compatibility of gammu.StateMachine.SetConfig.
[-] * Experimental dku-2 userspace driver using libusb-1.0 (fbususb).
[+] * python-gammu can now inject messages into SMSD (gammu.SMSD object).
[+] * SMSD stores summary counts of sent/received messages in database.
[+] * Added gammu-smsd-monitor program to monitor state of SMSD.
[+] * python-gammu can now monitor SMSD state.
[-] * Do not try to use OBEX 1.0 it's too old (bug #807).
[-] * Better parse ATI replies from Samsung (bug #806).
[-] * Better parse CSQ replies from Samsung (bug #806).
[-] * Add small delays to SMS sending/saving (bug #794).
[+] * SMSD monitor can now run for configured number of loops.
[+] * Added DBI backend for SMSD, so we now support wide range of databases.
[-] * SMSD does not delete SMS from phone when it's saving has failed.
[+] * Added SQL structure for sqlite, which can be used through DBI.
[+] * python-gammu can run and stop SMSD.
[+] * Initial implementation of dummy phone driver for testing.
[+] * Allow to configure path to config from command line.
[+] * SMSD monitor allows output in CSV.
    
20090126 - 1.22.92

[-] * Fixed getting of network name from saved message.
[-] * Fixed encoding of text to some encodings in AT engine.
[-] * Detect more Siemens CME error codes.
[-] * Windows binary is again with MySQL support.
[+] * Initial native support for Motorola phonebook (bug #748).
[+] * Use getpass if available for PIN code prompt.
[-] * Fixed parsing of phone number from incoming calls.
[-] * Added ID for Nokia 1112.
[-] * Dropped obsolete packaging/debian and point users to proper packages.
[-] * Fix crash when operator logo is empty.
[-] * Fix memory leak in SMS backup.
[-] * Fixed processing of SMSD outbox with PostgreSQL (bug #803).
[-] * Automatic detection of lib64 directory for installation.
[+] * Allow separate installation of some components on Windows.
    
20090116 - 1.22.91

[-] * Fixed setting remote number for SMS in some cases.
[-] * Fixed compilation under cygwin.
[-] * Externalize eventlog support to ease Cygwin compilation.
[!] * Integrate python-gammu into Gammu, they are anyway bound quite
      tightly together.
[!] * Python C module is now gammu._gammu and not gammu.Core.
[+] * Introduce testing for python module.
[-] * Fixed decoding of formatted EMS messages.
[-] * Fixed reading of RTTL ringtones.
[-] * Fixed crash with too many animation frames.
[-] * Fixed possible crash in LMB writer.
[-] * Fixed several memory leaks.
[+] * Better support for Samsung phones (bug #790).
[-] * Fixed Windows Service Startup (bug #451).
[+] * New possibility to run more instances of Windows Service (bug #451).
    
20090109 - 1.22.90

[-] * Fix some memory leaks found by cppcheck.
[-] * Fix unsafe sprintf usage in some modules.
[!] * Improve debugging facilities to use state machine debug
      configuration when possible.
[!] * Separate SMS daemon out of gammu binary.
[!] * SMSD now requires [gammu] section in config file.
[!] * UsePhoneDB option replaced by chekfirmware command.
[+] * Added pkgconfig support for gsmsd (SMSD library).
[+] * Debug logging can be handled by custom function in application.
[+] * SMSD log now includes gammu log messages.
[+] * SMSD now can log to syslog.
[+] * SMSD can now deamonize itself.
[+] * All callbacks can now pass user data along.
[+] * SMSD can now write PID file.
[+] * Added man pages for gammu-smsd(1), gammu-smsdrc(5) and gammurc(5).
[+] * SMSD can now natively run as a Windows service (bug #451).
[+] * SMSD debugging can be now enabled by DebugLevel directive.
[-] * Proper reconnecting support for MySQL.
[-] * Better error logging of PostgtreSQL SMSD service.
[-] * SMSD now properly frees allocated memory.
[+] * SMSD now handles SIGHUP for rereading configuration.
[+] * Added LSB init script for SMSD.
[+] * SMSD can now log to stderr/stdout.
[+] * RunOnReceive now can get IDs of received messages.
[-] * Avoid duplicating of same code in command line and tests for
      messages displaying.
[!] * New binary gammu-smsd-inject to inject messages to SMSD.
[!] * Gammu binary now does not support any SMSD operations.
[+] * Sending TEXT message now accepts text using -text parameter.
[+] * Improved logging differentiation of SMSD log messages.
[-] * Properly remove messages from queue when sending fails (bug #778).
[-] * Use own test handler instead of asserts.
[+] * Separate gammu and libgammu messages, libgammu no longer sets
      textdomain.
[+] * Use po4a for translating man pages.
[+] * Dump more information in dct3trac, thanks to Duncan Salerno.
[+] * SMSD cal log to Windows Event Log.
[+] * Added man pages for SMSD backend services.
[-] * Dropped static configuration files for MSVC, they were broken
      anyway and CMake now works good with MSVC.
[-] * Script gammu-config supports also cdialog.
[-] * Reduce stack usage on message composing (fixes crash on Windows).
[-] * Fixed returned saved location on AT engine.
[+] * Added support for dropping privileges in SMSD.
    
20081219 - 1.22.1

[-] * Fix model name parsing.
[-] * Fix reading of IrMC phonebook.
[-] * Fix visibility of HAVE_STRUCT_TM_TM_ZONE in header files.
[-] * Increase some timeouts in OBEX driver.
[-] * Fix compilation on s390.
    
20081218 - 1.22.0

[-] * Disable ATOBEX for Motorola V180.
[-] * vCard can now store caller group and private flag (bug #269).
[-] * vCard now stores location and memory type.
[-] * Add ID for Nokia 6131 NFC (bug #775).
    
20081210 - 1.21.94

[-] * Better skipping of corrupted messages in AT (bug #768).
[-] * Autoload 6510 module if phone is S40 (bug #767).
[-] * Add ID for Nokia 6500s (bug #770).
[-] * Add automatic detection of Nokia phones (bug #770).
[-] * Catch error when calls can not be deleted (bug #738).
[-] * Better documentation of addnew (bug #734).
[-] * Fix detection of OBEX capability on older Siemens phones.
[-] * Try to detect wrongly formatted CMGL reply (bug #771);
[-] * Handle phones which fail to report supported charsets.
[-] * Fixed encoding of WAP indicator messages.
[+] * Support for photos in vCard (bug #227).
[!] * vC* saving now protects against buffer overflows.
    
20081202 - 1.21.93

[!] * Drop own crosscompilation support, rely on CMake one.
[!] * Also standard CMake parameters used when possible (eg.
      BUILD_SHARED_LIBS).
[-] * Search does not create thread for non existing devices.
[-] * Fixed possible crash when backing up ringtones.
[-] * Fix possible race condition in searching.
[-] * Fixed invoking of CMake with output to custom directory.
[-] * Compile on platforms where ssize_t does not exist.
[-] * Fix detection of towlower on some compilers.
[-] * Make Bluetooth compile using BCC.
[-] * Fix compilation if strtoull does not exist.
[-] * Compile on platforms where intptr_t does not exist.
[-] * Fixed compilation in BCC (see changes above).
[-] * Check whether compiler supports __FUNCTION__.

20081119 - 1.21.92

[-] * Reimplement locking and add tests for it.
[!] * GSM_SetDebugFileDescriptor now accepts flag whether file
      descriptor can be closed (bug #749).
[!] * Soname change due to API breakage (see above).
[-] * Fixed compilation on Mac OS X, thanks to Juan A. Bertolin for
      testing.
    
20081111 - 1.21.91

[+] * Script gammu-config can now also work with whiptail.
[-] * Minor fixes in gammu-config script.
[-] * Extra spaces from connection or device name are now stripped.
[-] * Automatically reinitialize FBUS connection if it is dropped.
[-] * Disable OBEX with Motorola Z6c, it is broken (bug #746).
[-] * Refresh manufacturer information on second init of AT (bug #746).
[-] * Always get charset information on AT phone initialization.
[-] * Better handling of OBEX switching for Siemens phones.
[-] * Fix flags for 2630 and 3109c (bug #752).
[-] * Fix handling of caller groups and picture IDs (bug #752).
[-] * Properly set calendar location while adding (bug #747).
    
20081020 - 1.21.90

[-] * Sign Windows binaries during build.
[-] * Detect long FM station names (bug #727).
[-] * Add ID for Nokia 2630b.
[-] * Handle properly very long lines in vcards (bug #728).
[-] * Do not build and install locales if gettext is not compiled.
[-] * Increase number of calendar entries (bug #725).
[-] * Leak free test runs.
[+] * Support backup of phone phonebook from Siemens (bug #732).
[+] * Properly handle GetNextMemory on Siemens (bug #732).
[+] * Save textual category to backup (bug #737).
[+] * Enable dashboard testing using CTest/CDash.
[+] * Add option to do coverage analysis.
[-] * Properly handle debug file closing.
[-] * Add test case for debug logging.
[-] * Fix decoding of some SMS messages from Nokia phones (bug #735).
[-] * Hack for (still) unknown error code (bug #733).
    
20081003 - 1.21.0
    
[-] * Handle properly empty SMSC (bug #722).
[-] * Disable AT/OBEX for Motorola K1v (bug #721).
    
20080926 - 1.20.94

[-] * Automatically switch to nodtr connection if DTR/RTS setting fails.
[-] * More verbose debug messages in API.
[-] * Free phone data after testing model to avoid memory leaks.
[-] * Properly handle if IMEI is too long (bug #709).
[-] * Try to handle situation when CMGL does not list all messages.
[-] * Fix typo in MySQL file (bug #716).
[-] * Better parsing of USSD replies (bug #718).
[-] * Properly restore caller groups on Nokia 2630 (bug #706).
[-] * Fix listing of used calendar locations on Nokia (bug #710).
[-] * Properly encode class and coding to SMS (bug #714).
[-] * SMSD for MySQL no longer fails when sending message (bug #715).
[+] * SMSD stores signal and battery state in PostgreSQL.
[-] * Properly handle multiline firmware information.
    
20080923 - 1.20.93

[-] * Fix crash when decoding EMS pictures (bug #549).
[-] * Motorola phones sometimes reply in UCS2 instead of HEX (bug #712).
[-] * Use native functions sleep/usleep if available.
[-] * Improve FBUS initialization sequence.
[-] * Fixed reading for ringtones from Nokia 5510 (bug #529).
[-] * Do not crash if ringtone name is too long (bug #529).
[-] * Fix possible crash while reading of messages using AT.
[-] * Increase timeout when writing SMS message (bug #596).
[-] * Cleaned up issues with reading from Bluez (bug #670).
    
20080915 - 1.20.92

[-] * Fixed Windows binary (define properly MSVCRT to use) (bug #683).
[-] * Fixed compilation with CURL on Windows.
[-] * Windows binary now has only MySQL and CURL support (bug #683).
[-] * Fill in timezone information (bug #696).
[-] * Detect reserver message type (bug #691).
[-] * Increase timeout for switching to OBEX (bug #690).
[-] * Disable postal address for Nokia 2600 (bug #659).
[-] * Encode phone number only with phones which need it (bug #654).
[-] * Increase timeout for writing memory entry (bug #654).
[-] * Handle properly when phoned does not tell SMSC (bug #616).
[+] * Initial support for waiting calls in AT engine (bug #551).
[-] * Fixed dialing on some AT phones (bug #471).
[-] * Support for skipping location when reading (bug #467).
[-] * Improved detection of serial port Bluetooth channel.
[+] * SMSD reconnects to MySQL (thanks to Wouter D'Haeseleer).
[+] * SMSD stores signal and battery state in MySQL (thanks to Wouter
      D'Haeseleer).
[+] * Initial support for reading messages in simple text mode.
[-] * Report if monitor failed because of an error.
[-] * Handle not found errors on OBEX connect (bug #705).
    
20080910 - 1.20.91

[+] * Report more verbosely that some feature has been disabled on
      compile time.
[-] * Add ID for Nokia 5200 (thanks to Andreas Metzler).
[-] * Add two IDs for Nokia 2600 (bug #659).
[-] * Add ID for lot's of Sony Ericsson phones.
[-] * Use AT parser for AT+CPBS? reply.
[-] * Use all possible ways to get memory status (bug #687).
[-] * Detect more error codes from Nokia phones (bug #659).
[-] * Fix decoding of text using iconv (bug #687).
[-] * Fix linker flags check, caused failures on MacOS X.
[-] * Add second ID for Nokia 2610 (thanks to Nicolas Forget).
[-] * Add ID for Nokia 6060.
[-] * Try to use OPP and PBAP Bluetooth profiles also (not tested!).
[-] * DumpMessage is not printing last char (bug #692).
[+] * Support for favorite messaging number (bug #693).
[-] * Add ID for Nokia 2630 (bug #693).
[+] * First attempt for Bluetooth support on OS X.
[-] * Do not open debug file for second time when using global debug.
[-] * Fix DC memory name printing (bug #698).
[-] * Add API function GSM_MemoryTypeToString.
[-] * Report correct size of DC/RC/MC memory on DCT4 phones (bug #699).
[-] * Store favorite messaging as phone number, not only as ID (bug #693).
[-] * Avoid empty line at beginning of vCard backup (bug #701).
[-] * Add ID for Nokia 2760.
[-] * Catch not acceptable errors in OBEX (bug #702).
[-] * Operation not allowed is not an unknown problem (bug #678).
[-] * Add ID for Nokia 5000 (bug #677).
[-] * Increase limit of files for DCT4 and check array size (bug #676).
[+] * Allow to enter PIN code from stdin (bug #633).
[-] * Handle HEX reply instead of UCS-2 from Motorola (bug #697).
[-] * Avoid decoding of @ in email address (bug #697).
    
20080805 - 1.20.90

[!] * ABI change, because of increasing some limits.
[!] * Config file option rsslevel no longer works, superseded by
      'gammu checkversion'.
[*] * Dropped GSM_ReadHTTPFile from API, gammu now uses CURL instead.
[+] * Support for longer notes on Nokia phones (bug #607).
[+] * Add deleteallmemory command.
[-] * Ignore trailing spaces in AT commands.
[-] * Fix crash on long lines in vCards.
[-] * Compatibility with broken iWOW responses (bug #650).
[-] * Do not use hard delete flag for updating entries (bug #634).
[-] * Identify Nokia 1200 (bug #649).
[-] * Fix parsing of date/time reply on Sony Ericsson G900 (bug #647).
[-] * Increased limit for folder name (bug #646).
[-] * Fix parsing of empty date (bug #643).
[-] * Recognize general number on Nokia 6230i (bug #655).
[-] * Fix writing of phone number using HEX charset (bug #512).
[-] * Recognize more CME errors, thanks to Paolo <oopla@users.sf.net>.
    
20080510 - 1.20.0

[-] * Do not crash on EMS messages with no text (bug #612).
[-] * Fixed reading of OBEX files (bug #614).
    
20080505 - 1.19.91

[-] * Fixed decoding of Nokia messages (bug #527).
    
20080423 - 1.19.90

[-] * Fix handling of UTF8 charset with some Motorola phones.
[-] * Identify Motorola V635.
[-] * Set again charset in Motorola phones after changing AT mode.
[-] * Automatically enable OBEX for Motorola phones.
[-] * Fix searching of correct Bluetooth channel.
[-] * Improved SMSD error messages.
[-] * Fix SMS listing when phone was in text mode (bug #584).
[-] * Fix compilation when WCONTINUED/WIFCONTINUED is not defined.
[-] * Fixed listing SMS messages from AT phones in text mode (bug #584).
[+] * Added smscgi daemon by "Kamanashis Roy Shuva" 
      <kamanashisroy@gmail.com>.
[+] * Cache once read messages to avoid reading them again (bug #481).
    
20080305 - 1.19.0

[+] * Add option to disable compiled in protection.
[-] * Fixed detection of PostgreSQL.
    
20080225 - 1.18.91

[-] * Improve debug messages when connecting to phone (bug #508).
[-] * Fixed handling of some charsets in AT engine (bug #525).
[-] * Identify more Nokia phones (thanks to Iván Gabriel).
[-] * Fixed regression with DKU2 cables on Windows (bug #533).
[-] * Better compatibility with iCalendar files (bug #538).
    
20080206 - 1.18.90

[-] * Do not link with irprops.lib on Windows.
[-] * Various MSVC compilation fixes.
[-] * Improved AT model parsing and added tests.
[-] * Fixed possible crash in reading SMS from AT phones (bug #515).
[-] * Proper fall back to automatic model when user enters wrong one.
[-] * Added identification of several phones.
[-] * Fixed reading of messages from AT phones without ME memory.
[-] * Improve charset detection on Motorola phones (bug #522).
    
20080130 - 1.18.0

[-] * Fixed decoding of an empty SMS.

20080123 - 1.17.92

[-] * Fixed some mistakes in API documentation.
[-] * Fixed compilation under MS Visual C++ Express.
[-] * Various small fixes if AT driver.
[+] * Add simple shell script to generate JAD file from JAR.
[+] * Added support for adding memory entries to 6510.

20080116 - 1.17.91

[+] * Phone features now can be defined in configuration, so there is no
      need to modify common/gsmphones.c for testing different settings.
[+] * Config file loading behaves more consistent in lookup. In some
      cases it can now find different configuration file.

20080110 - 1.17.90

[-] * Fixed crash when there are too many messages (bug #466).
[-] * Fixed crash when printing messages on Windows (bug #476).
[-] * Do not ask phone for IMEI so often (bug #480).
[-] * No need to set LD_LIBRARY_PATH for tests.
[-] * Properly wait for SMSD child processes (bug #486).

20071220 - 1.17.0

[-] * Fixed reading of messages from AT phones using CMGL.

20071215 - 1.16.0

[+] * Added identification of some Sony-Ericsson and Sharp phones.

20071212 - 1.15.91

[-] * Increased maximal number of entries per contact.
[-] * Fixed various compile time warnings.
[-] * Improved MinGW crosscompilation.
[-] * Localizations update.

20071204 - 1.15.90

[-] * Fixed detection of first free memory location if memory is empty 
      (bug #434).
[-] * Fixed mysql.h include path (bug #441).
[-] * Fixed decoding of one char SMS (bug #442).
[-] * Detect Nokia 3109c (thanks to David Meier).
[-] * Automatically find MinGW compiler and allow overrides (bug #438).
[-] * Fixed parsing of some memory entries (bug #450).
[-] * Fixed decoding of some corner case SMS (bug #447).
[!] * Phones capable of switching to OBEX mode from AT have it now
      automatically enabled. Please report problems with this.

20071120 - 1.15.0

[+] * Better parse vCard version 3 (bug #434).

20071114 - 1.14.90

[+] * Configurable MySQL socket path.
[+] * More extensive SMS PDU parser tests.
[+] * Experimental support for OBEX in Siemens.
[+] * Support for listing messages using CMGL (bug #408).
[-] * Parse T630 reply on CPBR (bug #420).
[-] * Fix buffer overflows in PDU decoder.
[-] * Properly catch invalid PDU data received from phone.
[-] * Handle more OBEX error codes.
[-] * Handle vCards from Yahoo and Evolution (bug #424).

20071108 - 1.14.0

[-] * Fallback to empty model if user specifies wrong.

20071031 - 1.13.96
[-] * Fixed wrong PDU encoding (bug #412).
[+] * Provide API for cleaning SMS backup structure.
[+] * Added testing of SMS PDU encoding.

20071028 - 1.13.95
[-] * Fixes OBEX crash (Debian bug #446923).
[-] * Correctly check various return values (bug #409).
[-] * Fixed several bugs in vCard decoder.
[-] * Removed UCS decoding heuristics, it can not work in all cases.
[+] * Provide at least some basic information from dumb AT phones.
[+] * SMSD now logs also error descriptions.
[+] * SMSD can be configured not to check for security status.
[+] * Correctly handle hard deletes on IrMC (bug #414).
[!] * GSM_ReadConfig now returns GSM_Error instead of just bool.
[!] * Many functions now use size_t for passing size values.
[!] * Backups API now rather accepts format than guessing by filename.
[!] * Increased soname due to API/ABI changes.

20071016 - 1.13.94
[-] * Fixed crash in wrong config handling (Debian bug #446781).
[+] * Initial support for Motorola SMS implementation (bug #408).

20071010 - 1.13.93
[+] * Automatically fall back to AT commands when OBEX does not work.
[+] * Initial support for IrMC index access.
[+] * RunOnReceive is now also supported on Windows.
[-] * Handle correctly case when memory is full (OBEX) (bug #404).

20071003 - 1.13.92
[-] * Fixed handling of errors when saving SMS (bug #396).
[-] * Fixed number type detection.
[+] * Added support for Nokia 6070, thanks to Lúcio Corrêa.
[+] * Added flag -nopower to connection to handle cables with different
      handling of DTR/RTS signals.

20070928 - 1.13.91
[-] * Fixed reading of empty calendar/todo/contacts/notes over OBEX
      (thanks to Gianni Ceccarelli).
[-] * Fixed overwriting of Java applications in Nokia phones (thanks to
      Martin Thierer, bug 382).
[-] * Fixed compilation with older PostgreSQL libraries.
[-] * Handle correcly internal phone errors in OBEX module.
[-] * Fixed crash on invalid config file (Debian bug #444046).
[-] * Better report errors when using default configuration.
[-] * Fix several buffer overflows in 6510 (thanks to Tobias Sunderdiek
      for debugging this).
[-] * Fixed crash on decoding messages with special numbering plans with
      long numbers (bug 281).
[+] * Command nokiaaddfile can now either keep or delete user data on
      uploading new application (thanks to Martin Thierer, bug 385).

20070907 - 1.13.90
[-] * Fixed parsing of date/time reply from some broken AT phones.
[-] * Added support for Option GlobeTrotter.
[-] * Handle correctly when phone automatically saves message to
      different memory than we ask.
[-] * Fixed buffer overflows, thanks to Gentoo folks for noticing.
[+] * Detect when phone is waiting for phone code.
[+] * Added experimental support for Bluetooth on FreeBSD.
[+] * SMSD can execute programs on message receiving (thanks to zaf).
[+] * Allow to define Bluetooth channel in configuration.

20070820 - 1.13.0
[-] * Fixed several crashes of 6510 driver.

20070814 - 1.12.94
[!] * Sony-Ericsson module renamed to AT + OBEX as it better describes
      what it does.
[+] * Initial support for Sharp GX Series phones.
[+] * Added deliveryreportdelay parameter to SMSD to allow later
      received delivery reports to be correctly detected.
[-] * Fixed calculation of OBEX file names, could lead to crash on OBEX
      upload (Debian bug #435875).
[-] * Fixed time stamp receiving in SMSD.

20070806 - 1.12.93
[!] * Huge gammu/gammu.c split to smaller files.
[+] * Lot of fixes to allow compilation using MSVC + CMake.
[+] * Support for push to talk ids (thanks to Pavel Kostromitinov).
[-] * Fixed PPM parsing (thanks to Pavel Kostromitinov).

20070731 - 1.12.92
[+] * Added simple bash completion script.
[+] * Added some compile time testing.
[+] * Improved vCard parsing.
[-] * Fix wint_t and wchar_t detection.

20070723 - 1.12.91
[!] * Introduced more generic parsing of AT replies, please report any
      regressions with it!
[+] * Improved support for Samsung phones.
[+] * Support for reading network name from AT phones.
[+] * Add deletememory command line.
[+] * Experimental support for notes over OBEX.
[+] * Man page is now partially autogenerated from online help.
[-] * Elson compatibility, thanks to Bernd Feige.
[-] * Fix UCS detection, thanks to Bernd Feige.

20070701 - 1.12.90
[+] * Initial support for Motorola phones (bug #15 and #310).
[-] * Avoid work on uninitialized buffer when checking firmware.
[-] * Use HTTP/1.1 requests for getting firmware and version info.
[+] * Improve charset handling for AT phones.
[-] * Fix crash on broken CPMS response.
[-] * Fix reading of memory not starting from 1 (thanks to drgerafe).
[-] * Fix pressing of keys on phones who do not support IRA charset.

20070615 - 1.12.0
[+] * Added dku5fbus-nodtr and fbus-nodtr variants, which do not care
      about DTR/RTS signals (thanks to Jakub Zawadzki).
[-] * Do not delete phonebook entries when there are none (bug #317).
[!] * This release comes with new API, which should provide stable ABI
      for upcoming versions. If you're distributor, who had special
      dependency handling for libGammu, you can now keep it on soname,
      versions with same soname will be backwards compatible.

20070607 - 1.11.92
[-] * Properly report uploaded file size when using OBEX.
[-] * Fix HEX charset encoding.
[-] * Improve vCard address handling.
[+] * Support for iso charsets in AT phone when iconv is available.
[-] * Fix restoring of phonebook over OBEX (bug #317).
[-] * addnew accepts -yes parameter.
[-] * There is no error on most fields when storing to vCard.
[-] * Fix detecting length of input (thanks to Peter Stuge).
[-] * Improve check for MySQL.

20070601 - 1.11.91
[-] * Reduced inclusion dependencies.
[-] * Fixed compilation on OS X.
[+] * Added --features to show compiled in features.
[+] * Add support for work address.
[+] * Added source examples in docs/develop/examples.

20070524 - 1.11.90
[+] * Support for some new Nokia fields.
[-] * Made SMSD mode case insensitive.
[-] * Fix iCalendar export typo (Alin Năstac).
[-] * Better compatibility with Sharp phones.
[!] * Completely changed public API to avoid too often ABI changes.
[!] * See PORTING file for changes you have to do.
[!] * Dropped autoconf support, use CMake instead.
[!] * Please note that new API is still work in progress!

20070513 - 1.11.0
[-] * Do not use asynchronous I/O on Windows.
[-] * Make USSD work with AT phones.
[-] * Fix setting date on Siemens MC75 (Rudolf Cejka).
[-] * Config file on Windows is now searched in Application Data folder.
[-] * Avoid corrupting vCard when some fields are empty.
[-] * Properly handle OBEX error codes (bug #298).

20070506 - 1.10.6
[*] * Backup file uses ; instead of # (bug #85, patch by Marcin).
[-] * Updated shell script gammu-config to generate configuration.
[-] * Install gammu-config script to ease generating configuration.
[+] * Correctly encode text in iCalendar (bug #262).
[+] * Correctly encode recurrence in iCalendar (bug #262).
[+] * Read last modified field from vCalendar.
[+] * Support for last modified field from vCard.
[-] * Use unsigned char to avoid trimming at 60 chars (bug #274).
[+] * Properly handle vCard style continuation (bug #268).
[-] * Detect Motorola specific error while reading SMSes (bug #288).
[-] * Fix OBEX listing to behave according to specs (bug #290).
[-] * Fix crash on invalid SMS reply from phone (bug #293).
[+] * Improved gnapplet and support for it (Matthias Lechner).

20070430 - 1.10.5
[-] * Doxygen documentation improvements.
[-] * Fix USB serial devices with Linux kernel 2.6.21, we don't use
      ASYNC IO, so we should not set it.
[-] * Tell user that he should enter text for SMS.
[-] * Cleaned up translatable strings.
[-] * Improve networks listing.
[-] * Allow networks to be listed by country code.
[+] * Add flag to SMS folders whether it is outbox.

20070424 - 1.10.4
[-] * Fix decoding of new style address records in Nokia phones. Thanks to
      Martin Strigl, see also bug #286.
[-] * Reorganized documentation a bit.
[-] * Use correct format strings for IrDA debug messages.
[-] * Identify Alcatel One Touch 55x.
[-] * Improve detection of OBEX support.
[-] * Fixed Windows build.

20070419 - 1.10.3
[-] * Work with AT phones which can not write SMS to ME (bug #282).
[-] * Increase limits for SMS backups (this requires dynamic allocation).
[!] * Development switched to Subversion, see README for details.
[-] * Detect Motorola Bluetooth port (Daniel Gimpelevich).
[-] * Fixup AT driver to work with Samsung SGH X160.
[+] * Support for last modified field in vCalendar.
[-] * Adjust vCalendar entries from SE phones on DST (bug #81).
[-] * Fix updating of delivery report date in SMSD (thanks to Peter Stuge).
[-] * Fix format strings for Win32 build.
[-] * Fix crash when no config exists.
[+] * Support for MinGW crosscompation with MySQL.
[+] * Support for MinGW crosscompation with PostgreSQL.
[-] * MakeTerminatedCall can be now called more times in batch mode.
[+] * Support for MinGW crosscompation with Gettext.

20070403 - 1.10.2
[-] * Fixed crash on LMB export/import (bug #261).
[-] * Correct version in iCalendar export/import.
[-] * Fixed devel files installation using CMake (bug #78).
[-] * Fixed decoding of call date.
[+] * Use gettext for translation.
[+] * --clearall also attempts to delete calls.
[-] * Fixed decoding of date from backup (bug #267).
[-] * Backup saves and restores numbers as same type (bug #266).
[+] * Support for call notifications on AT phones.
[+] * Support for batch mode - you can script gammu (thanks to ace).
[-] * Use standard libc functions for string comparsion if available.
[+] * Gammu commands are now accepted also without leading --.
[+] * Detect more Nokia phones (5300, 6300, 8800) (some by Peter Stuge).
[-] * Allow compilation with MySQL and without PGSQL (thanks to Alin Năstac).
[-] * Fixed format strings for size_t (thanks to Alin Năstac).
[+] * New connection ark3116fbus for use with ark3116 module.

20070311 - 1.10.1
[-] * Fixed encoding of name for Nokia phones.
[-] * Fixed connecting to PostgreSQL with empty password.
[-] * Fixed infinite loop in --monitor (bug #75).
[-] * Fixed behaviour on Bluetooth disconnect.
[-] * Fixed handling of files with special chars on OBEX.
[-] * OBEX driver correctly detects models.
[+] * Native OBEX connections (blueobex and irdaobex) should work also with
      unknown models.
[-] * Simplified searching of channels using Bluez stack.
[+] * RF searching now better detects OBEX channels.
[-] * Fix format strnings for 64-bit architectures (bug #77).
[-] * Cleanup documentation structure.
[-] * Moved locales out of documentation.
[-] * Fixes locales and documentaion install in CMake (bug #76).
[-] * Fixed retrieving messages with some phones who index them from zero like
      CG79 (bug #20).
[-] * Ignore error when there is too much members in group in phone (bug #3).
[-] * Compilation fixes for OpenBSD with libutf8 (bug #10).
[-] * Handle another error while reading 6510 phonebook (bug #49).
[-] * Fix international number handling in vCard (bug #71).

20070223 - 1.10.0
[-] * Added include paths to MSVC configuration files.
[+] * Support for sending file to phone (--sendfile).
[-] * Russian translation update (Acid Jack).
[-] * Fixed possible uninitalized value in date decoding (Stanislav
      Brabec).
[-] * Fixed reading of contacts from Samsung.
[-] * Fixed vCard handling for Siemens (bug #72).

20070206 - 1.09.19
[-] * Do not ship make-release in tarball.
[-] * Fixed wrong encoding of text to vCard when last field was missing.
[-] * Fix crash when deleting entry from OBEX using LUIDs.
[-] * Improve detection of invalid config file (bug #68).
[+] * Support for MinGW cross compilation including Bluetooth and IrDA.
[+] * Support for generating installer using CPack.
[-] * Add Nokia 6030b ID.
[+] * Full support for enconding recurrency in vCard.

20070127 - 1.09.17
[!] * First release by Michal Cihar, this changes some URLS, see readme.txt.
[+] * Experimental CMake build support, so far not completely working (Michal
      Cihar).
[+] * Improved vCard RRULE parsing (me, Rene Peters).
[+] * Added support for location of alarm (Peter Ondraska).
[-] * Fixed Slovak operator names (Peter Ondraska).
[+] * Improved battery reporting for SE phones (Michal Cihar).
[-] * Fixed small c-cedilla decoding (Samuel Adam) (bug #64).
[-] * Fix memory leak in dll (Petr Stasa - Gord).
[+] * Add some functions to dll (Petr Stasa - Gord).
[+] * PostreSQL support for SMSD (Andrea Riciputi).
[+] * Build fixes for Darwin (Andrea Riciputi).
[+] * Identify M341i over IrDA (Michal Cihar, flewww, bug #65).
[!] * Callback functions now take pointer to state machine to allow full
      identification of used state machine (Michal Cihar, bug #66).
[-] * Fixed LAC and CID reading for AT phones (Michal Cihar).
[-] * Update operator list (Michal Cihar).
[-] * Updated README.
[+] * Added installation instructions.
[-] * Change RSS URL to my weblog, where will be posted release announcements.

20070119 - 1.09.16

There was changed project leader. After few years
Marcin Wiacek (www.mwiacek.com) decided to give free hand for
Michal Cihar (www.cihar.com) for making new releases.

It was forced by many reasons - for example Marcin had less and
less time for project (everything is described in Marcin's blog
on www.gammu.org). He decided, that Gammu will be of course
still supported from his side, but currently all Marcin's patches
will be sent to Michal for applying. We hope, that this will be
very good for project and it will be extended much faster than
it was since few releases.

There will be changed some projects links soon (for example RSS
channel). See www.gammu.org for more details.

20070110 - 1.09.15
[-] * SMSC reported wrong on N6280                        (BT 44, Michal Cihar)
[-] * Some strings even when using unicode are not signed (BT 45, Michal Cihar)
      and some which are native are signed, this is exactly
      opposite than expected.
[-] * 1.09.07 had wrong applied Siemens patch (BT 46, Rene Peters,Michal Cihar)
[-] * Some phones need more time for some OBEX requests   (BT 47, Michal Cihar)
      so timeout should be increased.
[+] * config file parameter for own SMSC number for MYSQL (BT 48, Michal Cihar)
      in SMSD
[-] * For phones that use vCard (OBEX/Siemens/...), vCard (BT 51, Michal Cihar)
      decoding might end with undefined voicetag entry.
[-] * improved docs                                       (BT 57, Michal Cihar)
[+] * basic Motorola support for testing                         (Michal Cihar)
[-] * better error handling in AT module
[*] * cleanup OBEX code to have only one function for changing path
[-] * OBEX Add functions return correct filename after adding
[+] * support for switching to OBEX mode using AT+MODE=22
[-] * deleted cfg/debian/.arch-inventory

20061217 - 1.09.07
[-] gammu-1.09.00 failed to build with LDFLAGS=-Wl,--as-needed  (BT 34, mrness)
[-] increased backup limits                                     (BT 35, mrness)
[-] gammu-1.09.00 failed to build --disable-irda                (BT 36, mrness)
    --disable-bluetooth
[-] Call error handling broken [AT]                       (BT 39, Michal Cihar)
[-] 'AddCalendar' for Siemens phones was not fully        (BT 40, Michal Cihar)
    functional
[-] Missing error checking in OBEX module                 (BT 41, Michal Cihar)
[-] Parsing email from vCard does not always suceed       (BT 42, Michal Cihar)
[-] * reset SMS structure in AT module before filing. As some    (Michal Cihar)
      fields are not set when decoding, it might contain invalid values.
[-] * 8/16bit IDs were not unset when oposite were set.
[-] * one field of SMS structure was not cleared (and few others
      were cleared twice).
[+] * decoding vCard and vCalendar in SMS.

20061127 - 1.09.00
[+] added ID for Nokia 3205                                      (Ivan Campana)
[+] * changes for Mitsubishi                                     (Michal Cihar)
[+] * added support for date in calls information for Sony-Ericsson
[+] * documentation update
[-] * fixed usage of length in utf-8 decoding (it currently decoded one 
      more char, which lead to keeping quote in AT phonebook, 
      rest was probably not affected as the extra converted char 
      is usually \0)

20061120 - 1.08.25
[+] improved MMS decoder                                            (rickytato)
[+] Nokia 6030 ID                                              (Ravinder Rathi)
[+] * OBEX                                                       (Michal Cihar)
      * Use unicode FullIDs
      * Support for several services
      * Fix folder browsing
      * Added IrMC support to OBEX driver, so it can now access many phones
        which provide IrMC
      * Added new phone module sonyericsson which uses OBEX IrMC services, 
        generic AT code and few SE specific commands
      * IrDA can connect to OBEX service under more names
      * fix OBEX path transversal to be more compatible with different
        breakages in phones
      * added --identify support to OBEX
    * Sony Ericsson:
      * Added many SE phones identification, together with listing that they
        support SE features
      * Enhance battery information to contain many information which can
        be grabbed from SE
      * sonyericsson module now also supports other phones (for now only one
        Mitsubishi)
      * F_SONYERICSSON renamed because of it to F_OBEX
    * Limited (decode only) support for ISO-8859-1 charset 
      (it is default in vCard/vCalendar/vTodo)
    * MyGetLine can optionally handle quoted printable split lines
    * DecodeUTF8QuotedPrintable correctly handles several QP chars in a row
    * Limited IRA charset support for AT module (used only for sending keys)
    * Add free information to Calendar and ToDo statuses
    * Add more detailed info to filesystem
    * Add type entry to ToDo item
    * Make vCalendar and vTodo encoding/decoding more behave according to
      specs while keeping format specific hacks
    * Added LUID to all entries type, add some fields to calendar and todo
    * Added support for much more keys
[-] removed strndup in Michal's patches
[-] fix calendar rereading in Siemens module                      (Rene Peters)

20061025 - 1.08.15
[+] 6234 ID                                                             (Vlado)
[-] 6103 doesn't have filesystem 1                              (BT25, rpolach)
[-] crash in LMB backup                                    (BT27, Michal Cihar)
[-] Wrong memset call                                      (BT28, Michal Cihar)
[-] phtread_create problem (continuation     (BT29, Gabor Z.Papp, Michal Cihar)
    of BT22)
[-] Wrong format string                                    (BT30, Michal Cihar)
[-] Undefined variable use                                 (BT31, Michal Cihar)
[*] changed max. number of SMS in each SMS folder to 600; changed max. number
    of files in n6510 phone folder to 700. we will see, if such gammu will
    make problems or not. this change makes problem of many files less visible
    only...
[*] --geteachsms doesn't hang, when too many SMS read
[*] source for linking SMS (used for example with --geteachsms) looks into
    additional numbers (feature from 1.08.07). some sequences won't be linked
    now. thanks go to Nokia (for wrong filling phone numbers)
[*] new switch -pbk for --getallsms and --geteachsms. Gammu can read all pbk
    from phone and display names for recognized numbers (like in phone)
[+] improved command line application help
[+] --getallsms and --geteachsms display number of SMS in summary
[!] updated + fixed in one place donors list (I'm sorry for mistake !!!!)

20061006 - 1.08.07
[-] fix for adding AT phonebook                                  (Michal Cihar)
[-] gcc 4 warnings silenced (like in Linux kernel)
[-] NokiaAddPlayLists2 - removed compilation warning added (BT21, Michal Cihar)
    in 1.08.00
[-] Gammu binary should not be linked against uneeded libs (BT22, Michal Cihar)
[-] 6020 seems not to have WAP/MMS settings                    (BT23, pasiasty)
[+] added support for some new call frames...
    SMS reading for Series 40 3.0
[+] * improved speed (MMS files are not read)
[+] * added reading SMSC, where possible
[+] * added reading multiple recipient numbers. it looks, that N6111 3.58
      returns here errors (wrong numbers) and we can't avoid it. For
      now --geteachsms can link incorrectly some SMS sequences because of it,
      I will think how should be it done (for next test release). I still
      can't access 6233 and don't know, if this is "normal" in Series 40 3.0
[+] improved support for ICS files (Mozilla calendar). Really          (Markus)
    for checking
[*] updated German translation. For checking - I (Frank Brehm, Andreas Leitgeb)
    was doing some updates from my PC, because I
    have received broken file
[*] updated GPL2 text (for example FSF address)

20060918 - 1.08.00
[+] --nokiaaddplaylists sort songs in playlists                   (Igor Testen)
[+] Gammu partially inform user, which phonebook subentries weren't restored
    with --restore
[+] some series 40 3.0 phones save names double in pbk - once like 
    last name, once like name. This version use last name only
    (name is added, when last name wasn't found)
[+] WAP/MMS settings, WAP bookmarks are disabled for Series 40 3.0
[-] FM station names can be 18    (www.gammu.org/bugs/view.php?id=18, pasiasty)
    chars long for 6230i now. Bug in all previous releases
[-] --getrootfolders are working   (www.gammu.org/bugs/view.php?id=19, Cavaler)
    for filesystem1 only phones now. Bug at least in 1.07.25
[-] 1.07.25 didn't display file ID for filesystem 1 with      (Andreas Leitgeb)
    --getfilesystem

20060817 - 1.07.25
[-] 6510: * addfilepart set name (not ID) as name
[-]       * no problems with setting attributes for files
[*]       * changed drive enumeration (filesystem 2 in memory card - drive A:
            like FDD or PenDrive, filesystem 1 in phone memory - drive C:
            like HDD, filesystem 2 in phone memory - drive D: like HDD).
            Wasn't tested on filesystem1 only phone.
[+]       * Gammu return error, when wasn't able to read folder listing
            (filesystem 2 issue)
[+]       * added support for 3220 MMS folders                      (Test/Mark)
[+]       * New --nokiaaddplaylists. Tested on 6230, 6111 and     (Igor Testen)
            some other

20060725 - 1.07.15
[+] Series 60 1st and 2nd: added getting network info, battery and network
    level, hardware version, alarm, almost done setting calendar
[+] ID for Nokia 6103, 6125, 6233, 6270, 6280, 7370            (Natasha Prybil)
[+] * 0x42 and 0x53 frames are not available in BB5 Series      (Cameron Laird)
      40 3.0 phones or are different - for now are disabled
[+] * ID for Nokia 6131
[+] * fixed getting phonebook entries for BB5 Series 40 3.0 phones
[+] better recognizing categories for Alcatel                    (Michal Cihar)
[+] command line accept/display ID for files/folder in UTF8         (Test/Mark)
    quoted printable    
[*] dct4tiku dir renamed to dct4s40 (there are also s40 in bb5 phones)
[*] I started to make readme.htm and gammu.htm from wiki. Now it isn't the
    best, but it will be soon...

20060622 - 1.07.09
[+] Added ID for new models like 6101
    Series 40 3.0:
[+] * getting mms + improved mms decoder
[+] * there are two ways of getting SMS from phone (both supported by Gammu):
      * 1st: reading SMS files - don't allow to read SIM, saving, deleting SMS
             isn't implemented yet (in fact only --getallsms/--geteachsms are
             working with it now)
      * 2nd: using a little modified Series 40 2.0 API
             * it returns error for SIM Outbox SMS (6111 3.58)
             * returns error for SMS saved to Sent Items (6111 3.58)
             * doesn't have access to some folders (like Drafts or usr folders)
             * allow to read SIM Inbox
             * allow for fast implementing --getsms, --deletesms, --savesms,
               --addsms (--addsms/--savesms working OK for Inbox only)
      Both:
      * don't allow to access Templates
      * no SMSC in sent SMS
      * SMS from Delivery Reports folder are unknown too
      By default there will be 1st used (in fact it's used by OPM2 too),
      to disable it clear F_SMS_FILES as phone feature.
[-] * c: drive doesn't exist for S40 3.0
[-] fixed wrong format of few strings                            (Michal Cihar)

20060618 - 1.07.07
    Series 40 3.0:
[+] * getting sent SMS from phone memory (Text, Coding, Class, but no
      SMSC in frames and no visible info about Delivery Report)
[+] * getting received/edited SMS from phone memory (Text, Coding, Class,
      SMSC, UDH)
[!] * still some SMS memory things are decoded "magically", no support for
      read/unread state and still no idea, how to handle SIM SMS

20060611 - 1.07.00
    SMSD & MYSQL:
[-] * reports work OK now (they were wrong after updating all 00000000000000
      to 0000-00-00 00:00:00 in DB)
[-] * you can use " in outgoing sms too
[-] * fix for multipart sms
[+] * added new CreatorID entry in DB for outbox/sentsms
    Series 40 3.0 (N6111 now)
[+] * added: filesystem support, getting call lengths from call logs,
      getting sent SMS log ("Message recipients" from "Log" in phone menu,
      new memory SL in Gammu)
[!] * checked: calendar, notes, todo (generally OK)
[!] * SMS memory (decoding SMS files from filesystem) not supported yet

20060605 - 1.06.30
[!] In 6230i 3.70 after saving to "Outbox" (from PC) SMS is not visible in
    phone menu, PC side and use phone memory place. We added protection
    against it and saving to 0x1A folder is no more possible. Bug can exist
    in other new Nokias too.
[!] SMS with "simple quote" can stop SMSD. For now fix for    (Julien Lirochon)
    Inbox
[+] support for ICS files (Mozilla calendar)                           (Markus)
[+] Series 60 1st and 2nd edition:
    * calendar (getting) - support for start/end/alarm time, recurrance,
      texts, no support for synchronisation parameter
    * todo (getting) - support for text, priority, no support for due date
      and done/not done
    * sms - support for getting sms status, getting and sending non working
      (this is issue reported by gnapplet users working with other than
      Gammu projects too)
    * there is checked gnapplet version during Gammu communication startup
[*] gnapplet source synchronised with sis file (0.6.12)
[-] fixed configure error with bluegnapbus (1.06.15 bug)        (Gabor Z. Papp)
[-] fix for --deletesms and folder handling
[-] changes in debug system                               (Radoslaw Stachowiak)

20060521 - 1.06.15
[+] new -smsname for --savesms
[+] partial support for decoding EMS text formatting
[+] 6170/7270 ID                                                      (unknown)
[+] Series 60 1 and 2 devices:
    * added compiled gnapplet 0.6.12 (and source 0.6.2)
    * new connection "bluerfgnapbus"/model "gnap" (stable) and new
      connection "irdagnapbus"/model "gnap" (experimental) for communication
    * implemented:
      * identification
      * getting phone time
      * getting SMSC (partially)
      * getting SMS folders
[+] added makefile for MSVC6 for making static library           (Michal Cihar)
[*] displaying warning, when you use save SMS on SIM with name
[*] after saving sms you have info about used memory (phone/sim)
[*] some optimalizations with saving SMS
[-] * iswspace might return also other values than 0/1,          (Michal Cihar)
      myiswspace fixed to return true or false in all cases
[-] * removed useless conversion in Unicode functions

20060511 - 1.06.05
[+] 6510 - saving sms_submit with report possible                (Michal Cihar)
[+] Started work on ICS support                                        (Markus)
[-] DKU2 and 6820 serial device fix                             (Tony McGregor)
[-] * "gammu --help c" showed help                               (Michal Cihar)
    * some structures better initialized
    * fixed wrong year for call logs with some 6510 phones

20060418 - 1.06.00
[!] No more gammu.net. There is gammu.org instead. We release
    this version as 1.06.00, because we want force people to upgrade
    link
[+] Some new texts in Polish localisation                         (Tomek Fizyk)
[*] SMSD DB updated to version 6. There should be "real" UTF8 used now
    and less problems with MySQL 5 (of course, PHP and SMSD updated too)
[*] New method of informing about changes in ChangeLog:
    [!] Important
    [+] New functionality
    [*] Changes in existing functionality
    [-] Fixed error
[*] gammu.txt -> gammu.htm (from Wiki, currently temporary version)
[*] readme.txt redirects to wiki
[*] new functions for utf8
[-] * Fix, when config file not available                        (Michal Cihar)
[-] * Fix for SMSD
[-] * as there are architectures where char is unsigned by
      default, for SMS->Class we need to explicitly use signed one
      (it is set/compared for -1)
[-] * avoid error in configure when rpm is not installed
[-] * second changes type used for length to size_t, which is big enough
      to hold possible pointer size
[-] improved vcf restoring

20060312 - 1.05.00
* new functionality:
  * getting Siemens OTA sequences in SMS + decoding VCARDS
  * 3220b ID                                                      (Dan Lizotte)
  * taken current DKU2 drivers from gnokii

* fixes and improvements:
  * * better discovering Bluetooth services                      (Michal Cihar)

Like you know www.gammu.net is currently unavailable. For support please
use mailing list.

20060222 - 1.04.11
* new functionality:
  * 5140i ID

* fixes and improvements:
  * some changes in location of Nokia files
  * * do not even try to use alcatel connection for others       (Michal Cihar)
    * drop some not needed local variables
    * pass whole debug info to output functions
    * correctly handle messages with new lines inside
    * wrong pointers have been passed in some functions, so pointer value
      was shown instead of text
    * SE phones return error while deleting empty entry, so treat this as okay
  * SMS for 6510 driver

20060205 - 1.04.07
* new functionality:
  * * alcatel                                                    (Michal Cihar)
      * created generic function for string encoding
      * support writing unicode strings
      * new command line parameter for adding category
    * support for ISO texts with Smart Messaging images
  * started work on Series 40 3.0 phonebook. Somebody with Nokia 6111
    (or other compatible) required. Getting entries should work, but
    for testing

* fixes and improvements:
  * * update for Czech operator name                             (Michal Cihar)
    * removed some leaks in config file parser
    * better informing about error after SMS sending in AT module
    * few signed/unsigned issues less
    * removed unused code with logging code
    * fix for parsing phone numbers in at code
    * alcatel:
      * improved error codes for some situations
      * fixed handling large texts
      * added correct limits for text fields
      * current alcatel phones support longer categories texts
  * entries in Nokia pbk can be longer than 256 chars             (Igor Timkin)
  * updated 216-30 network name                                 (Gabor Z. Papp)
  * Gentoo updates                                                (Alin Nastac)
  * corrected help for --send/savesms RINGTONE

20051229 - 1.04.00
* new functionality:
  * support for specyfing port for MySQL server port            (Ehsan Akhgari)
  * Gammu can take firmware versions from gammu.net phone database
    and inform user, if there is any update available
  * Gammu can fix/add JAR file size in JAD file during        (Andreas Leitgeb)
    uploading it with --nokiaaddfile
  * new -overwrite option for --nokiaaddfile                (Vlad Skarzhevskyy)
    application|game. it deletes existing aplet with the same name
    before uploading new. for testing.

* fixes and improvements:
  * network names updates                 (Nelson Murilo, Michal Cihar, others)
  * increased buffers                                          (Roland Wundrig)
  * we can set coding for sms status report texts in gsmsms.c  (Jorgen Thomsen)
  * fixed bug in msvc2005 for getting online files

NOTES: it was annouced on mailing list, but I will remind:
       1. https://wammu.eu/docs/manual/project/ contains a lot of info
       about Nokia & Gammu history, Gammu possible future and many others
       2. https://wammu.eu/phones/ will be "our"
       phone database. It's in beta state, but even now give a lot of info

20051202 - 1.03.20
* new functionality:
  * * --setdatetime allows to set date/time part only       (Ace, Michal Cihar)
    * timezone support for atgen.c
  * if there was simlock in DCT4 and somebody used keypad code to remove it, 
    Gammu will display info about it in --identify
  * MS Visual C++ (Express) 2005 makefiles. You can use FREE (until 11.2006)
    MS compiler to make Gammu now. Limits:
    * no resources
    * some compiler warnings disabled in config file (there are used some
      things in source, which could be replaced with more safe MS extensions
      and compiler say it)
  * new error code for device without sim card                   (Michal Cihar)
  * Gammu can take RSS file now and inform user, if there is never
    version available (see gammurc and rssinfo parameter). for good testing
    in Linux
  * -save in --readmmsfile

* fixes and improvements:
  * * addfolder2 should return ID of new folder              (Matthias Blasing)
    * --getrootfolders return info about empty MMC too
  * make distclean first cleans config
  * * some typos and structures init                        (Ace, Michal Cihar)
    * added missed time formats in gammu.c
    * checking number format in one place in atgen.c
  * fix for CA-42 for Linux                                  (Mattias Sjosvard)

20051101 - 1.03.07
* new functionality:
  * ldflags                                                (Marcin Juszkiewicz)
  * id for 2650                                             (Alexey V. Novikov)
  * partial support for 6230i caller groups:                  (Intra Darma,...)
    * --getbitmap (it reads correctly group name + some ringtone/bitmap
      ID unknown for now)
    * saved info about them in pbk entries in --backup
    * restored info about them in pbk entries with --restore
      * when you make restoring pbk entries with caller groups into phone 
        without any caller groups created, there is returned correct error 
        info
      * when you try to overwrite pbk entry with caller group assigment, 
        phone returns error. Now it's handled and (when it happens) Gammu 
        first remove entry and try to save it again. It should be done this
        way in Wammu too !!!

* fixes and improvements:
  * * --deletefiles, --deletefolder                           (Andreas Leitgeb)
    * Gallery and --getfolderlisting for 3510
  * --getfilefolder                                               (Gijs Epping)
  * better getting modification datetime for filesystem          (Michal Cihar)
  * rpm spec file without #13#10 sequences                (Vladimir Kondratiev)
  * GetStartStop
  * 6021 features                                                 (MaXx Fomkin)
  * gammu.c, atgen.c fixes                                        (d binderman)
  * dll changed according to 1.03.00 constants changes                 (Muffin)

20051017 - 1.03.00
* new functionality:
  * changed names of some constants to make them more clear
  * SMS:
    * Gammu by default uses 8 bit encoding for SMS now (and changes it only,
      when detect ANY known Default Alphabet or Unicode encoding in TPDCS).
      It will avoid decoding SMS text, when unknown/incorrect TPDCS is used.
      Please note, that all tools, which think, that Default encoding is
      default, should be changed
    * better recognizing SMS classes
    * Gammu correctly recognizes SMS with compressed texts (like specified
      in GSM 3.42). Unfortunately, decompression source is not available yet
      and you will not see SMS text now.
    * SMSD MySQL DB format updated to version 5. Changes made to PHP and SMSD.
      Changed alphabet info entries and some others.

* fixes and improvements:
  * profiles are enabled for some DCT4 models only now
  * fix for --deletecalendar
  * -lm was not added correctly and no detection has             (Michal Cihar)
    been done before

20051010 - 1.02.25
* new functionality:
  * MMS:
    * new features in MMS decoder
    * MMS decoder moved into common (can be used in future MMSD too)
    * --geteachmms doesn't display all possible things about message,
      but rather only these usefull for user (all things are displayed of
      course in debug)
    * --geteachmms displays content of various file formats

* fixes and improvements:
  * calendar for 6020                                             (Ragnar Rova)
  * removed obsolete --savemmsfile
  * OBEX:
    * fix for getting files (Nokia phones return folder listings and files now)
    * ID_FullName in Unicode now

20051002 - 1.02.20
* new functionality:
  * --geteachmms/--getallmms/--getmmsfolders should work fine for majority
    of Nokia phones/MMS files combinations. It will be improved, but if you 
    want to have support for some feature(s) faster, please use for example 
    -save with --geteachmms, send me MMS file (which makes problems now) and 
    I will change MMS decoder.
  * started removing old & obsolete MMS code parts (some in --nokiaaddfile
    and other)

* fixes and improvements:
  * SE T610, SE T700 and other SE fixes. FOR TESTING             (Michal Cihar)

NOTES: there should be checked pbk for AT models, there is still OBEX
       module for fixing (to be compatible with changes from 1.02.16).
       After it and some others you should expect 1.03.00

20050927 - 1.02.16
* new functionality:
  * geteachmms and getmmsfolders work for 6230i and phones with filesystem1 
    only (still doesn't decode files)

* fixes and improvements:
  * improved php and docs for sql reply daemon (other/sqlreply)
  * filesystem
    * fixed AddFolder & AddFilePart & GetFileFolder for some models 
      (available in 1.02.12)
    * ID_FullName is written in GSM_File in Unicode (SNOFS and other
      projects have to be modified to handle it)
  * * Ericsson T39 UTF8 pbk                                      (Michal Cihar)
    * correct building on Fedora Core 4 x64_86
    * some Debian fixes

NOTE: Some people reported cutting last bytes during getting files over BT.
      I have fixed it by accident in 1.02.12, later tried to find reason
      and even wrote email about it. THX for Stefan Flothkoetter this situation
      is explained now :-)

NOTE2: work in progress:
       * new dku2at connection for win32 for at commands with dku2
       * mms files decoder

20050914 - 1.02.12
* new functionality:
  * setting caller group id for 6230i pbk
  * 6020 ID                                                     (Bryan Meredit)
  * 6021 ID                                                       (Maxx Fomkin)
  * * possible to disable mysql, even when it is found           (Michal Cihar)

* fixes and improvements:
  * better handling start and stop command line parameters
  * calendar:
    * better info about birthday alarm with --getallcalendar
    * better recurrance info for DCT4 method 1
    * Fill_Time_T doesn't need TZ (FOR CHECKING)
  * getting short files from filesystem1 in phones with filesystem1&2 doesn't 
    mix some structure values
  * better screen output with --getfiles
  * Gammu is much more intelligent with Bluez
    * displays really ALL RF channel services (FOR CHECKING !)
    * displays device names
    * better errors values
  * new 6230 have more Chat and SyncML settings
  * --backup doesn't stop, when where is no place in structures    (Troy Engel)
  * --backup, --restore, etc. show clear, when is used phone
    and when SIM memory
  * * "c" flag for fopen is MS only extension                    (Michal Cihar)
    * proper sleeping for Borland compiler
    * fixed compilation when Nokia stuff is disabled
    * improved speed support for some non Linux systems
    * man page had some wrongly formatted strings, improved one regexp 
      shown there
    * backup functions didn't free earlier INI structures
    * SMS backup reads returned earlier some fields undefined

NOTES: * I can't confirm in this moment some issues connected with wrong
         downloading files & getting calendar notes over BT in Linux 
	 (it both works OK for me)
       * BT should be checked with SE, Siemens (phones other than Nokia),
         because Gammu searches differently for RF channels and services now
       * calendar getting and setting should be checked now, because Gammu
         handles it differently now
       * BCC should be checked

20050727 - 1.02.00
* new functionality:
  * some support for 6230i caller groups in pbk
  * some things disabled for 6230i for now

* fixes and improvements:
  * startup fix for SE based AT modems                           (Michal Cihar)

20050711 - 1.01.25
* new functionality:
  * simple daemon (other/sqlreply) for making SQL actions and running programs 
    on server side, when some SQL rules will happen. Can be used for
    autoreplies, sending mails, etc., when you send SMS to MYSQL daemon
  * translations:
    * Spanish                                                 (Ernesto Serrano)
    * Russian                                                          (Zontik)
    * translation files contains now creator info and Gammu version
      (which was the first one translated)
  * new --getmmsfolders, partialy done --getallmms / --geteachmms
  * new --maketerminatedcall                                      (Tony Turner)
  * 6230i ID                                                    (Oliver Seufer)
  * * info about new Series 40 PBK subentries types               (Intra Darma)
    * new --nokiagetpbkfeatures

* fixes and improvements:
  * localisation system                                          (Niels Ganser)
  * GetMMSSettings and SetMMSSettings were disabled by accident
    at least in previous test version for 6510 module
  * fixed --getmemory and caller groups info                     (Michal Cihar)

NOTES: This release is available too long after previous. Big shame, but I will
       try not to repeat this situation.

       For now I need some help from 6230i users (with WAP settings and others)

       When these issues will be resolved, I will release new stable version
       (maybe even with complete MMS getting<->decoding).

20050510 - 1.01.11
* fixes and improvements:
  * FBUS2 driver allocation problems                          (Joergen Thomsen)
  * uploading files to filesystem2 done a little             (Lucas van Staden)
    differently and without CRC checking
  * Alcatel:                                                     (Michal Cihar)
    * unicode text was treated like little endian, but it is big endian
    * while decoding unicode text, buffer could overflow
    * fixed possible wrong reading of calendar entries
  * cleanups in modules

20050412 - 1.01.00
* new functionality:
  * new script helping with importing KAddressBook entries   (Frederick Emmott)
    in other/bash/other

* fixes and improvements:
  * workaround for some error for pbk for 6230                   (Tim Dreessen)
  * gammu correctly removes readonly attrib
  * DCT3 phones need more time for getting SMS status         (Joergen Thomsen)

20050315 - 1.00.23
* new functionality:
  * dku2phonet (earlier named fbusdku2) supported in win32        (Intra Darma)
  * new --getrootfolders                                     (Mattias Sjosvard)
  * --nokiaaddfile playlist                                       (Tim Ruddick)

* fixes and improvements:
  * updated .spec file - fixed for proper handling of     (Vladimir Kondratiev)
    documentation directory
  * added searching for dku5 in win9x                    (Martina Laplam Fares)
  * no 100% cpu usage with win32 dll with non existing device
  * fbusdku2 renamed to dku2phonet and fbusdku5 renamed to dku5fbus
  * removed bluefbus
  * filesystem 1,2 fixes                                     (Mattias Sjosvard)
  * bluetooth stacks displays always all device services
    (Bluez only services with non empty names for now)
  * 6610i doesn't have Chat                                   (Philip Frampton)
  * * n6110.c phones don't use too high memory locations         (Michal Cihar)
    * Debian packing
    * fix for making memory status for Siemens

20050228 - 1.00.10
* new functionality:
  * n6510:
    * * dku2 support is complete for Linux. All patches included   (Troy Engel)
        in Gammu, kernel driver with howto in other/dku2 directory
      * support for error 6 during getting folders in filesystem2
    * info about 6230 mp3 playlists in readme.txt                 (Samuel _idm)
    * new --getfolderlisting and --setfileattrib             (Mattias Sjosvard)
      and --deletefolder
    * --addfolder works for filesystem2

* fixes and improvements:
  * n6510:
    * fix for indexing dct4 ringtones                              (Soos Peter)
    * fix for birthdays for 6230
    * fixes for filesystem1                                  (Mattias Sjosvard)
  * when you don't have some BT source compiled, correct error
    is displayed
  * cleanups in other
  * removed spaces on end of lines in source files, added script (Michal Cihar)
    for making this into other

NOTE: we have Snofs to mount phone filesystem under some Linux directory
      (something like Phone Browser in PC Suite). See
      http://snofs.sourceforge.net/

NOTE2: I had to change detecting folders for filesystem1 again. Please compare
       --getfilesystem from old and this version. If something is different,
       please let me know

20050214 - 1.00.04
* new functionality:
  * filesystem2 support is complete (setting attributes, setting dates & 
    times, using checksums, deleting files)
  * added new dku2 connection. It should handle correctly dku2 with linux
    kernel modules, but...it's for testing, if I'm right or not
  * when file is uploaded to/downloaded from phone, you have visible left time
  * new memorycard option for --nokiaaddfile

* fixes and improvements:
  * at least 6230 over infrared doesn't report all files in folders
    (over BT it's OK, I don't know how with cable). MobiMB & OPM2 have
    the same problem... Warning is displayed.
  * improved speed for --getfilesystem and --nokiaaddfile
  * fix for checking February days
  * some AMD64 fixes                                             (Michal Cihar)

20050208 - 1.00.00
* new functionality:
  * dct4: 
    * support for 3220 features                                    (Joe Neeman)
    * filesystems return info, when you try to get non existing file
  * blueat works for some SE                                     (Michal Cihar)

* fixes and improvements:
  * dct4:
    * fix for 7250/7250i features                              (Dmitry Vukolov)
    * fixed bug with adding folders (bug available in 0.99.22)
    * overwriting files not possible with filesystem 2
  * fix for checking date (bug available in 0.99.22)
  * filesystems:
    * when you try to upload file, it's saved without path         (Joe Neeman)
    * you have new options with --nokiaaddfile:
      * camera - for folder with camera pictures
      * video - for folder with video clips
      * records - for folder with sound records
      * tones, tones2 - music, tones, etc. folders
      * gallery, gallery2 - pictures, images etc.
      Earlier getting folder ID in filesystem1 (older dct4) was based for
      some models on concrete ID. It was done, because folder name was 
      different for each language version. It was wrong - Nokia for example
      in 6220 changed ID's from 5.15 to 6.29. Now it will be handled 
      differently.
      BIG REQUEST: if you have national name for folder in your 
                   phone and --nokiaaddfile doesn't find folder, please 
                   report "textall --getfilesystem" output
    * when you get file, it's saved to local folder under original name
      without path
  * * better handling Siemens                                    (Michal Cihar)
    * calling nested functions which work on static buffer can lead to crash
    * fix for restoring Unicode files
    * AT: enabling incoming SMS info now works with most phones, 
      we don't have any hardcoded parameters
    * AT: improved charset handling in AT module. It now reads 
      available and set values in phone and uses the best one instead of 
      hardcoding charset for some phones and trying all known charsets 
      for the others.
    * user function can now get ONLY location instead of complete message
      (incoming sms)

20050116 - 0.99.22
* new functionality:
  * partial support for 6230 filesystem. You can:                 (Intra Darma)
    1. see files using --getfilesystem (MMC is b:/, phone memory is a:/ 
       and app memory is c:/)
    2. get files (warning: checksums not available)
    3. upload files
  * new PHP script (other/php3) for asking server with phone about (Hugo Pinto)
    IP and uptime
  * new PHP script (other/php4) for displaying sms from smsd     (Michal Holes)
  * --getfiles displays percents, not only "*"
  * added quesses for Siemens and Bluetooth services      (Thomas Eitzenberger)
  * LAC and CID are no more swapped in AT mode                         (George)
  * * new configure option for disabling all irda and bt         (Michal Cihar)
      protocols in one
    * when you change config.h, all sources are recompiled automatically
    * Gammu displays warning, when autoconf not found
    * better info for ERR_SOURCENOTAVAILABLE
    * VCARDS:
      * recognize much more fields
      * parse name to first+last
      * parse address to all fields
      * date can be parsed without time part from vcard
      * ReadVCALDateTime returns now boolean value, if it works with success
        or not
      * using categories instead of caller groups
    * AT module:
      * better error info for enabling USSD
      * better parsing for dates & times
      * Siemens:
        * handling for CMS errors for getting pbk
        * support for CME error 100
        * use current VCARD parser to read pbk entries (instead of old Timo 
	  Teras source). It allows to parse all entries

* fixes and improvements:
  * --getfilesystem output
  * buffer overflow error for serial and win32                         (Petr V)
  * fixed bug with disabling Chat menu for 6220
  * fixed recognizing folders with Nokia filesystem
  * * fixed bug with shared compilation if Gammu was previously  (Michal Cihar)
      installed. Earlier it added -L/usr/lib before -L./common 
      and older gammu library was found
    * added -fPIC which is needed on many platform (ppc, ppc64, x86_64,...)
    * fix for displaying end time in recurrency
    * fixes for making RPM in MandrakeLinux
    * fix for leap years checking
    * AT module:
      * fix for getting pbk from Motorolas (they put names in brackets)
  * fixed syntax in Debian/rules                               (Mathias Behrle)
  * support for more unknown PBK entries for 6230 and compatible (Milan Havlik)
  * --searchmemory displays correctly userid                (Martin Samuelsson)
  * MacOS doesn't have 460800 speed                   (Xavier Jurado Cristobal)

NOTE: * it's confirmed, that 6230 RH-12 4.44, 3100 doesn't give caller id info
        in fbus/phonet frames...at least Gammu can't take it now. Any sniffs ?
      * I saw, that new Nokias don't have support for pbk in AT mode...
      * this is last test release before 1.00. I made it test release,
        because contains many parts written not by me, changes many things
        in AT module and VCARD support and support for Nokia filesystems. 
        I think few days will be enough for making tests
      * waiting in queue:
        * few patches from Michal Cihar (I will speak with him soon)
        * fix for --sendsmsdsms parameters checking (Rafal Kolida)
        * real support for DCT4 resets (Walek)
        * fix in old Gateway in Delphi
        * big patch from ACE (but I still don't have Ericsson)
        * 3589i (Robert Geer)
        * screen dumps (Intra Darma)
        * another patch for smsd 04.10.04 (Gary Reuter)
        * patches 21.10.04 (Gary Reuter)
        * s_mysql.c Delivery Report time patch 22.10.04 (Gary Reuter)
        * ............ (something more ? if yes, please remind.
          It's possible, I lost something)
      * pls note, that this is first release made by lend PC. if you see
        some problems with quality, please don't blame me...

20041107 - 0.99.6
* new functionality:
  * support for recurrances includes number of retries (and end day) 
    available in 6230 (and other Series 40 2.0)
  * full support for 30 days recurrances in Nokia DCT4
  * new other/php/linked.php PHP script. It's example,       (Michele Rossetti)
    how to take SMS from Inbox in MySQL DB created by SMSD, link them, process 
    and save to new table. There are processed non-linked sms & linked sms 
    with short and long UDH
  * Inbox in MySQL DB contains new entry "Processed"         (Michele Rossetti)

* fixes and improvements:
  * N6110:                                                (Juhapekka Tolvanen)
    * --getallcalendar doesn't show "invalid location"
    * there is correctly handled situation, when text note is too long
  * N6510:
    * Chat/SyncML settings available for some models only: 5140, 6220, 6230,
      6610i, 6810, 6820, 7250, 7250i
    * finding calendar ID works correctly for 6230
  * fixed bug in activating wap/mms/chat/... settings
  * fixed bug in --restore for restoring notes with no todo
  * all recurrances for Nokia phones are handled using Alcatel style
    (it's more generic). All old backup files are automatically converted 
    during restore and "old" recurrance style is recognized. All new created 
    backup files uses new style. Because recurrance info is lost during
    restoring these files by older Gammu, version of backup files is changed
    to higher

NOTE: Recurrance support doesn't resolve all recurrance problems. 
      Example 1:
      1. set note to 20-11-2004 and recurrance to each day up to 27-11-2004
      2. delete note from 23-11-2004
      3. in phone menu you have notes in 20-11 up to 22-11 and from 24-11 up to
         27-11. For protocol you have still one note from 20-11 and 27-11
      Example 2:
      1. create note 20-11-2004
      2. set monthly repeat up to 10-10-2005
      3. Gammu will back up it (end date) as 20-09-2005 although in phone you 
         have end repeat date 10-10-2005. Note of course will have last repeat
         20-09-2005, but...

20041024 - 0.99.0
* new functionality:
  * DJGPP:
    * serial driver for DJGPP. Tested with fbus (works) and dlr3 (fails).
      This is rather hack solution. If somebody will be interested, it will be
      extended to real driver.
    * for compiling under DJGPP set some variables in cfg/makefile.cfg
      and use new "make djgpp"
  * partial solution for making prerequisites files for GCC. By default
    commented. If you want to work with it (and have correct results), please 
    uncomment lines with "-include" in cfg/makefile.glo & make buliding from
    one directory only
  * 3105 features                                                (Vincent Chau)
  * 6810/6820 have notes too                                 (Johan Helsingius)
  * --backupsms && --restoresms with bigger functionality
  * savesms returns memory full for dct4                         (Adi Goldberg)
  * support for notes is complete in dct4 - Gammu can restore them too
  * better (c) info                                          (Georg C.F. Greve)

* fixes and improvements:
  * help for --playsavedringtone
  * updated gammu.mak for BCC5
  * dynamic memory allocation for some ringtones functions       (Vincent Chau)
  * removed memory leak in FBUS2 driver
  * LAC, CID is written using big chars only
  * uncommented setting Picture Images for DCT4
  * fixed setting todo method 2 for dct4
  * SMSD - PIN is not required in config file                    (Michal Cihar)
  * 6820 doesn't have FM Radio                              (Tomasz Motylewski)
  * added RNG to list of supported ringtones                            (Zibri)

Note: if you restore sms to DCT4 using --restoresms: some Gammu versions 
      contained bug: numbers for sms folders were mixed. If you have this 
      problem, make such replacements: "Folder = 3" with "Folder = 4",
      "Folder = 1" with "Folder = 3", etc.

Note2: waiting in queue for such things:
       * Ace's patch
       * tones of smsd patches: support for incoming sms handler, 
         RejectDuplicates, Inbox sms and others
       * checking some 6110 calendar & 6310i sms related reports
       * .....

20041003 - 0.98.9
* new functionality:
  * support for USSD codes in AT module. You can get USSD codes now using 
    --getussd:
    * in AT mode (tested with success with Siemens MC35, fails with Nokia)
    * with latest DCT3 (6210) and Nokia protocols after enabling Incoming Info
      in config
    * with earlier DCT3 (6150) and Nokia protocols
    --getussd doesn't work with DCT4 and probably some DCT3 (3210) with Nokia
    protocols
  * new frame for making voice calls for new dct4. it's for investigation
  * SMSD & MYSQL:
    * DB contains pbk & info about daemons
    * MFC application can display DB info & delete SMS
  * SMSD:
    * new config option for ignoring checking some                (Gary Reuter)
      smsc numbers for incoming sms
    * support for AT+CMMS                                      (Jorgen Thomsen)
  * started work on n650 support
  * -nonempty & displaying stats for --getmemory 
  * --searchdevice can find irdaat on win32
  * backup for chat/syncml settings
  * --getallnotes
  * backup for text notes
  * Gammu checks during opening text backup files, if all sections are known
    or not. If not, it means that file is damaged or restoring some things
    not implemented or you should update your Gammu copy to higher version
  * new --send/savesms WAPINDICATOR for WAP service inbox messages
    (WAP push)
  * --nokiaaddfile language independent for 6610/7210                 (jackpot)
  * 6810/6820 ID                                                  (Intra Darma)
  * Siemens TC35 ID                                                      (Remi)
  * * --listnetworks [country]                                 (Peter Ondraska)
    * setting alarm, getting & setting locales for Eric R320 (for testing !)

* fixes and improvements:
  * * new solution for detecting Bluez                           (Michal Cihar)
    * Debian building improvements
    * Alcatel phones don't forget some settings now
  * MFC application for win32 is compiled without shared MFC DLL's
  * more MS VC++ compatibility during mixing C/C++ files
  * fixes in gammu.pas and gsmstate.c
  * better debug output
  * sending SMS with AT module returns correctly TPMR
  * network info in debug with dct3
  * fix for USSD replies for 6150
  * 6510 module fixes
    * getting op logo
    * getting syncml settings
  * --getallcalendar
  * Gammu definitely doesn't need 45 MB of RAM   (Peter Ondraska, Michal Cihar)
  * * many DJGPP compilation fixes                             (Peter Ondraska)
    * localization fixes
    * many small fixes in various functions
    * x is not case sensitive for gammu --help x
  * text backup files handles correctly entries with texts with new line
    chars
  * --get....sms doesn't display useless datas
  * WAP bookmarks are sent in UTF8. It should make them       (Joergen Thomsen)
    shorter
  * better TPMR debug output                                      (Gary Reuter)

NOTES: * I plan to have 0.99 somewhere near 10-10-2004
       * from old things: does anyone have original DAU-4F cable for N3110,
         NCDS for N3110 or MBUS for N2110 ?
       * Please check Bluez deeply on your OS. For me works 100% OK now
       * there is RSS channel now - www.mwiacek.com/gsm/soft/gammu.rss
         It will be another way for informing people about new test/stable 
         releases. I wait for comments about it on Gammu mailing list

20040909 - 0.98.0
* new functionality:
  * DCT3 phones know TPMR during sending SMS too. You can use them
    to full handling Delivery Reports for MySQL SMSD too.
  * 7200 ID                                                       (Intra Darma)
  * 5140 ID, 6610i ID
  * SMSD:
    * MYSQL:
      * everything connected with SMS sending time is synchronized from
        MYSQL server time
      * many phones can send SMS from one DB. It's done this way, that
        even if some phone will hang during sending, other phones will get his
        SMS after some time of inactivity
      * SMS for sending can be redirected to concrete phone
      * DB contains info, if SMS was sent with Delivery Report request or not
      * DB contains info about connected phones
      * SMS can have forced Delivery Report
    * PHP:
      * support for many DB
      * ability to log to MySQL from various users
      * info about software versions
      * info about connected phones
      * outgoing SMS:
        * ability to send using concrete phone
        * sms chars counter
        * limiting to specifed number of SMS (linked SMS will be supported
          later)
        * forcing Delivery Report
      and many other
    * new MFC application for WIN32: initial MDI version with displaying
      DB info only and drawn menus. See win32/smsd_mfc
  * new mystrcasestr

* fixes and improvements:
  * updated doxygen configuration, some fixes                    (Michal Cihar)
  * --restoresms works OK                                         (many people)
  * fixes with locales
  * during replacing existing file in DCT4 filesystem           (Cvetan Ivanov)
    Gammu returns correct error info
  * mystrstr renamed to mywstrstr (it's operating on Unicode)
  * file types are not case sensitive
  * 0 and 1 char text long SMS can be sent using SMSD --files     (Jozef Uhler)

Note: Some time outside home and a lot of phisical work inside home made, that
      some things still waiting in queue:
      * TODO 5140 FBUS
      * some parts of patch from Joergen Thomsen
      * finding how to link Bluez properly (solution from Michal Cihar
        doesn't work)
      * Symbian
      * AT+CMMS
      * notes and chat/syncml settings for series 40
      * serial driver for djgpp
      * affix
      ... (and many others)
Note: * BT checked with final version of Win XP SP2 (both with virtual COM 
        ports and native support). Works fine
      * excluding privileges MySQL support is complete
      * like promised I started to look into known bugs. I'm testing 6210 
        with release version in win32 and still can't find any problems with 
        --getallsms

20040801 - 0.97.7
* new functionality:
  * support for ringtones, logos, pbk and others for         (Claudio Matsuoka)
    Samsung S300 and compatible
  * Gammu displays Linux kernel version in debug output. There could
    be possibly displayed versions of Free and OpenBSD and other too
    (see uname)
  * SMSD:
    * started work on PHP interface for MYSQL plugin. You       (Michal Kruger)
      can manage SMS saved in DB (view, delete) and send text
      sms from www. See other/php
    * new function - resetting phone from time to time        (Joergen Thomsen)

* fixes and improvements:
  * AT source cleanups                                       (Claudio Matsuoka)
  * better FreeBSD 5.2.1 compatibility                         (Roar Pettersen)
  * better NetBSD compatibility                                 (Gabor Z. Papp)
  * AT & SMS fixes (with SMS memories)                             (Jomin N Yu)
  * mystrncasecmp and mywstrncasecmp fixes                    (Joergen Thomsen)
  * updated and checked all makefiles
  * improvements in ID for MySQL and outgoing SMS
  * better (c) headers

NOTE: please check very deeply AT phonebook stuff. I will ask to check
      SMS in win32 again - there were reported some problems with T68i

20040722 - 0.97.1
* new functionality:
  * SMSD
    * --sendsmsdsms doesn't require SMSC number
    * SMSC number is get from phone only once
    * MYSQL:
      * ability to sending SMS on specified time
      * assigning delivery reports to sent sms
      * support for giving SMS validity by user
      * in DB there is info about version of DB structures. SMSD checks it
        and informs user, if updating DB/Gammu is required
  * support for various types on numbers in SMS is much      (Joergen Thomsen)
    more complete

* fixes and improvements:
  * --smsd MYSQL works correctly in Unix. Problem was in case sensitive
    names of tables (were exported only small chars to file with DB dump) ;-)
  * SMSC validity correctly handled in situation, when was never  (Jozef Uhler)
    set in SMSC set from PC/phone menu (Nokia phones)

20040719 - 0.97.0
* new functionality:
  * new family of connections: bluerf + something (for example bluerfphonet)
    It works like blue + something in older Gammu versions (with connecting
    to hardcoded RF channels)
  * switch -yes for --backup                                 (martin f krafft)
  * MySQL and SMSD: 
    * * full support for TextDecoded in outgoing sms
      * full support for adding outgoing SMS from various PC
      * source compilable for win32 and MSVC
      * in DB you have info, when SMS was added to DB, when was sent
        (times are get from PC with MySQL database, not from
        each client making operations on DB - it allows to have synchronized
        time for all SMS), when sms data were updated in DB
      * DB is ready for full Delivery Reports support
  * DCT4 phones return TPMR for sent sms

* fixes and improvements:
  * more info about BT actions in debug
  * proxies enabled, getting profiles disabled for 6230      (martin f krafft)
  * in some specific EMS combinations there was set SMS class 0
    instead of 2
  * when use MS BT stack, there are some resources made free, when not
    required
  * RF channels were assigned sometimes wrong with Bluez. Fixed

NOTE: waiting in queue:
       * SYMBIAN patches
       * Samsung S300 patches
       * SMSD patches from Joergen Thomsen
      and some others

      Current MySQL SMSD is really powerfull:
      * you can set MySQL database on win32 or Linux and connect to it 
        from Gammu working in win32 or Linux or own software (in the same time 
        even from many PC connected with PC with MySQL over network), 
        additionaly you can easy manage MySQL database from free 
        Apache + PHPMyAdmin
      * sms can be sent and received
      * all formats of sms are supported in database
      * there is own command line option in Gammu for sending sms over it
      * you can use many phones for receiving sms to the same detabase
      * you can have logs from Gammu working as sms daemon
      * phone can enter PIN after rebotting (with some models)
      * there are black and white phone number lists for incoming sms
      There are planned notifications over email (when something works wrong),
      own PHP www pages for adding outgoing sms to database and assigning 
      Delivery Reports to sent SMS

20040714 - 0.96.9
* new functionality:
  * after each using some frames connected with wap/mms/syncml/chat settings
    and bookmarks there is sent to phone frame disabling them. It will allow
    to use some soft in some situations and will allow to enter settings menu
    in some DCT4 phones after using Gammu. Please note, that Gammu is slower
    because of it, but it allows to avoid some problems
  * new --nokiamakecamerashoot
  * New two command line options, which get syncml/chat settings for DCT4 
    series 40 now. Name of syncml settings can't probably get from phone 
    (at least in 6220 5.15)

* fixes and improvements:
  * we have year 2004. It should be earlier written for example in
    configure script :-)
  * some versions of Bluez requires linking with libsdp too.      (Ivo Panacek)
    It's done now
  * changed checking for Bluez in configure
  * support for proxy blocks really complete
  * started work on making docs/help much more usefull

NOTE: * sometimes discovering phone services is not done correctly with Bluez
        and 6310i. It's during investigation. It maybe depends on phone
        firmware. If it happens for you, please report and use configure option
        --disable-bluerfsearch
      * SyncML/chat settings for Series 40, MySQL, Symbian - these are main
        topics for near future. I will process some patches from the past now
      * I plan maximally one test release before 0.97.0
      * I will add soon subpage with ability to making micropayments and
        donates online. I hope, it will help in finding some money for
        extending Gammu

20040627 - 0.96.6
* new functionality:
  * when you don't give anything in port in gammurc with bluez and bt
    connection, there are scanned all devices in range and Gammu connects
    to first with adequate service. Unfortunately, local device is checked
    too now.
  * new configure option. You can force old behaviour with Bluetooth (trying
    connecting to concrete RF channels without earlier checking, if they're
    connected with required services). In this old mode Gammu first tries to
    connect to RF channel 14 & later 15 in bluephonet. It should resolve
    compatiblity problems with old/new Series 40 phones.
  * source is prepared to have support for Affix (http://affix.sourceforge.net)
    It will be added soon
  * full support for wap/mms settings with proxy blocks (available in latest
    DCT4 series 40). This should be tested on more phones. Can have bugs
  * started work on syncml/chat settings for DCT4 series 40. New two command
    line options, which get part of settings now.

NOTE: * www moved to new server. if there are any problems with access,
        please let me know
      * I'm searching for some good service for micropayments now (which
        will allows to send money to bank account in Poland and will not
        need registering from people, who pay)
      * Gammu homepage updated - much more info about supported functions
        and possible connections
      * I decided to remove BCC X makefile now. If anyone will be interested,
        I will put it again

20040620 - 0.96.2
* new functionality:
  * when you give device address with bluetooth connections and bluez,
    Gammu checks for supported by device services and connects to correct.
    Tested with 6310i 5.52. Unfortunately, source/connection isn't very stable
    now. Work in progress

* fixes and improvements:
  * ID for 6230 now really included
  * much better linking mysql libraries           (mlistus, Liviu Daia, others)
  * max. number of WAP/MMS settings in backup files is 30     (Eduardo, others)

20040615 - 0.96.0
* new functionality:
  * ID for 6230
  * ID & initial support for 3589i                                      (bgeer)
  * 3320: getting phonebook, datetime, calendar
  * new --playsavedringtones (sets dct4 to play many tones saved in phone -
    it includes ringtones and some phones sounds)
  * --getringtoneslist get much more from dct4 than only names of ringtones
  * with MS Platform SDK (available for free                      (Intra Darma)
    http://www.microsoft.com/msdownload/platformsdk/sdkupdate/psdk-full.htm)
    and MS Visual Studio compiler available commercialy (or for free
    http://msdn.microsoft.com/visualc/vctoolkit2003/) it's possible to
    get much better support for Bluetooth with MS Bluetooth stack planned
    for Windows XP SP2:
    * when you give phone address in "Port", Gammu checks all possible
      phone services and connects to some of them according to their name
      (earlier it was based on RF channel number)
    * when you don't give phone address, Gammu searches for first device
      with adequate service and connects to it. it means, that you need
      to give only connection type and nothing more. Please note, that
      searching for all devices will need more time than connecting to
      specified one
    Similiar functionality is planned for BlueZ stack (for now RF channel for 
    PHONET and Nokia is by default 15, which is good and not; in the future
    it will be detected)
  * win32 builds are created by default with bt support
  * new script for better handling phone filesystem             (Egor Kobylkin)

* fixes and improvements:
  * win32: after receiving unknown frame over irda gammu doesn't hang.
  * some fixes required for C++ compilers                     (Markus Brueffer)
  * better output with -flatall from --getfilesystem            (Egor Kobylkin)

INFO: Many planned things still stay in queue. But you know: exams (I'm still
      student) and no too much free time (some time need to be spent on more
      profitable things than Gammu). When exams will end soon, I will have
      a lot free time :-) Will start from Symbian (Thomas Lussnig files)
      and BlueTooth (BlueZ)

20040502 - 0.95.0
* new functionality:
  * enabling new menu features for 6220
  * NGAGE ID
  * smsd daemon has support for saving received SMS to MySQL database
    and SENDING SMS saved in MySQL database (this feature supports all Gammu
    formats like logos, ringtones and other). New --sendsmsdsms
  * DCT4:
    * full support for phonebook features: user ID & sms list ID (both 
      reading and saving to phone)
    * it's possible to get/set readonly WAP/MMS settings from/to phone
    * full support for NRT format
  * more speeds supported in Linux by serial driver              (Michal Cihar)
  * started work on TDMA phones (3320)

* fixes and improvements:
  * writing device in Linux didn't repeat sometimes writing      (Michal Cihar)
  * DCT4:                                                      (Dmitry Vukolov)
    * some things were commented in source, but still required
    * no problems with --backup and user ringtones
  * n6110: when you make call and have diverts, phone informs  (Mel van Rooyen)
    about it. Current module doesn't handle it as unknown

NOTES: well, good developing need some funds for research. Because of it I have
       to work on other projects too and have less time for Gammu. Happily some
       of them need somehow Gammu and this development will be continued. In
       this moment I will concentrate especially on some TDMA phones (like
       3320) and more win9x support. 

       What will be next ? I quess, that it will depend mainly on people, who 
       donate project. This is not excellent solution, but after quarrels with 
       people, who had rights/though, that have rights to some things in source
       only possible.

       Generally it's not bad, but it's not very good too. If you like Gammu 
       and want to help in development, please contact - project needs help
       a lot (testing, coding, donating, sponsoring, hosting, etc.). I quess, 
       that Michal Cihar will return soon, but even with his effort without 
       other help it will be difficult to make many required things. There are 
       lacks with SonyEricsson, Siemens and other...

TODO: update MSVC6 and borland makefiles

20040304 - 0.94.0
* new functionality:
  * * Italian translation                                   (Andrea Spadaccini)
    * some Slackware packaging support (for checking)
      with make tgz
  * backup/restore in Delphi has full functionality. See
    www.matrixflasher.com/rev/revdown.htm for compiled versions
  * DCT4:
    * some support for SMS lists in phonebook
    * support for AMR and 3GP formats
  * * more supported formats for Siemens netmonitor                     (Walek)
    * activator for netmonitor for Siemens using solutions from Ivan
      Gorinov
  * --getalltodo and --getallcalendar can be interrupted by      (Michal Cihar)
    Ctrl+C 

* fixes and improvements:
  * DCT4:
    * fixed available features for 6220
    * deleting ToDo method 2
    * fixed problem with uploading Java stuff with http:// in URL
    * fixed getting/uploading very big (>64kB) files in filesystem
  * fix for getting SMS for 6110 (SMS memory)                (Bakhtiar A Hamid)
  * * FIX for Alcatel 715                                        (Michal Cihar)
    * updated Czech translation
    * optimalised and improved readibility of many while (1) loops
    * fix GetMsg, to handle correcly messages, that start with same text
    * fix GetSMS not to use global variable i which is also used in 
      displaymultismsinfo
    * ATGEN:
      * handle correctly error when sending message
      * return correct error from ATGEN_GetMemoryInfo

NOTE: this time was very hard. Mainly many personal problems and others.
      I think, majority of them will not repeat, because their sources
      are removed.

ToDo: 1.ending support for all features in new Series 40 models
      2.receiving files over OBEX
      3.more backup/restore and other functions with GUI for win32
      4.checking for available Bluetooth services and selecting adequate
        RF channels
      5.SonyEricsson issues
      6.looking into packaging - there should be again checked, if files
        for deb or tgz must be in root dir in source tarball (there are
        too many files there now)

20040203 - 0.93.0
* new functionality:
  * MSVC 2002 projects updated to MSVC 2003
  * getting new entry in Nokia phonebook for DCT4              (Gareth Rylance)
    (assigning tones in caller groups from gallery)

* fixes and improvements:
  * when use serial port higher than com9: in win32, Gammu works OK
  * rewritten detecting DKU5 in win32

20040120 - 0.92.9
* new functionality:
  * * Debian:                                                    (Michal Cihar)
      * added devel docs into devel package
    * Alcatel:
      * automatic detection, when model not specified in config    
      * adding categories
  * backup file contains full info about creator
  * first version of backup/restore application for win32
  * ID for 7600                                                   (Intra Darma)
  * ID for 3108                                                         (Peter)
  * MAKEFILE FOR BORLAND C++ X

* fixes and improvements:
  * * Debian:                                                    (Michal Cihar)
      * libGammu.a moved to devel package, where it should belong.
      * Fixed warnings about substvars during package build.
      * libgammu* packages renamed to libgammu0* (as gammu now uses soname).
      * utf-8 changelog according to policy.
    * fixed bug with restoring addresses from backup
    * devices are always unlocked, when opening failed
    * ATGEN:
      * fixed finding of empty location for atgen, could
        lead to overwriting  existing entry
      * improved unicode byte order detection in case that
        string is not using just lower bytes
      * corrected decoding phonebook numbers for Sagem
      * fix for phones that do not start locations from 1 such as sagem
  * * when you will upload file to DCT4, all "/" and ":"       (Bostjan Muller)
      in filename are replaced CORRECTLY with "_"
    * longer SMS folder name for DCT4
  * much better debug info for OS and compiler

NOTE: Many exams (happily passed), a lot of work and no time for anything.

      Also many speeches with various people about sponsoring Gammu work
      (happily probably it will end with success - backup/restore for win32
      will be probably first sponsored Gammu app).

      Please test this version. It should fix probably all found problems.

20040103 - 0.92.0
* new functionality:
  * support for TPMR in SMS is complete
  * support for some Alcatel TDD formats over SMS:
    * send/savesms PICTURE -alcatelbmmi for BMMI pictures
    * NEW send/savesms ANIMATION frames file1 file2... for BMMI animations
    * NEW send/savesms SMSTEMPLATE for SMS templates (only part of features
      supported now)
  * 6385 ID                                                      (David Uzzell)
  * * AT:                                                        (Michal Cihar)
      * decoding CME errors and enabling them on initialisation
    * added __attribute__((format(printf,...))) to functions that accepts
      printf-like params to fire warnings when it is wrong
    * new option for sending saved sms

* fixes and improvements:
  * when you will upload file to DCT4, all "/" and ":"         (Bostjan Muller)
    in filename are replaced with "_"
  * fixed bug made with 0.91 with setting SMS memories in AT module
  * fixed bug with SMS folders in DCT4 (few last releases)
  * fixed incorrect behaviour during ringtones restore                  (Walek)
    with some DCT4
  * fix for fbuspl2302 in Linux for USB cables                    (Gary Reuter)
  * better debug info for Borland C++, MSVC, Windows version
  * * fix compile time warning                                   (Michal Cihar)
    * set no validity before decoding SMS, otherwise
      it is often undefined
    * do not print extra \n to log, when length is multiply of 16
    * fix GetNext* for Alcatel, when first location returned
      by phone isn't the lowest
    * a bit cleaned up building system
    * GetGammuVersion has smaller buffer
    * drop PreferUnicode, phone modules that have choice whether to save 
      in unicode or not (currently only AT) should decide this automatically
    * better handling of use_global (it is now not needed to be copied)
    * smfprintf and DumpMessage now requires debug level,
      as it uses it (used only global till now)
    * fixed some format strings and parameters found thanks to new warnings
    * memcpy(str1, str2, sizeof(structure)) replaced with str1 = str2,
      is is much easier to understand
    * free things that are not needed anymore
    * UnicodeLength returns 0 when string is NULL
    * SMS:
      * in EMS decoding checking if we will fit in SMSInfo (caused segfault)
      * GSM_DecodeMultiPartSMS doesn't expect anything inside structure to be
        allocated, it will allocate it dynamically
      * in GSM_ClearMultiPartSMSInfo items are sorted same way as
        in structure, just to easy checking , that nothing is missing
      * GSM_ClearMultiPartSMSInfo is called from GSM_DecodeMultiPartSMS
        to have defined initial state
      * removed useless if (SortedSMS[i] != NULL) from GetEachSMS
      * new GSM_FreeMultiPartSMSInfo to free anything allocated inside
        MultiPartSMSInfo
      * renamed GSM_EncodeMultiPartSMSInfo to GSM_MultiPartSMSInfo and
        EncodeMultiPartSMSEntry to MultiPartSMSEntry as both are for
        decoding/encoding
    * AT:
      * recognizing errors when writing memory entry
      * huge speedup of ATGEN_GetNextMemory by dynamically
        increasing number of read entries, this skips much faster
        gaps between entries
      * first call of ATGEN_GetSMSStatus doesn't fail
        when no phone sms memory
      * ATGEN_GetMemoryInfo have parameter that identifies what kind of info
        is needed, this speeds up things in many cases (like finding
        next empty location)
      * ATGEN_ReplyGetSecurityStatus - first check for PIN2/PUK2 and then for
        normal PIN/PUK, otherwise PIN2/PUK2 are never found 
      * ATGEN_PrivSetMemory:
        * REQUEST_SIZE is large enough to fit any possible text
        * detects whether saving in unicode is possible and needed and saves
          entry according to this

NOTE: many things happened in 2003 year.

      Many good (much more things and phones supported, I have started using
      colour phone, writing class version of Gammu and other. Many people
      helped very differently me in this - I will only remind Ondrej Rybin,
      Tom Nelson, Michal Cihar, Walek and many, many other. It was
      unbelievable, but happened)

      ...and...

      many wrong (each man has other meaning for "Free Software world";
      I don't know, which one is correct, which was first and "correct",
      but the truth is, that there are no ideas there. There is only
      one rule: if you give/make thousands of good things and give your
      source/work, it's OK. When you see, that this work is used everywhere
      and want also use original work for finding some money for extending it,
      immediately you will start to see many people, who will have thousands
      things to say about licenses/patents/copyrights. The magic and
      forbidden word for them is money. These people will speak, speak and
      speak. Nothing more (they won't give real help in coding or something).

      Conclusion: when you will laught from various licensing issues in
      "Closed Software World", I will say, that "Free Software world"
      is worse. This is like nest of vipers (sometimes). And shame, that
      because of it many initiatives made from hearth end or have delays.
      Be carefull.

      Second wrong thing in this year was suspending support for Nokias and
      writing some other things for some time - no access to these devices)

      What will happen in 2004 year ?

      I quess many good things only :-).

      Gammu in current form will be somehow extended. This is first good info.

      You will see Gammu written using C++. This is good, because many possible
      source problems will go away. Nobody will be able to say something about
      it. I don't have illusions, that everyone will use Gammu+ according to
      license inside, but even when some of commercional users will still want
      to use it and will pay for it, it will be very helpfull and should really
      help in accelerating progress of this software.

      I hope, that current Gammu users understand, that current GPL license
      rather prevents in making some things than help. I hope, they will
      still help somehow in my work and efforts of making good GSM software.
      I hope, that people, who helped somehow Gammu in past, won't think,
      that I started to think about earning money only.

20031223 - 0.91.0
* new functionality:
  * new connection fbuspl2302 in Linux for USB cables             (Gary Reuter)
    (clones of DKU5) based on pl2303 chip. The main difference is,
    that it needs small waiting after each write. It's probably
    issue of Linux kernel driver

* fixes and improvements:
  * startppp script handles correctly various APN
  * * Alcatel:                                                   (Michal Cihar)
      * fixed reading of item just after modifying it
        (could lead to ERR_BUG)
    * AT:
      * improved error situation detection, when sending/writing SMS
      * checking for available SMS memories before actually using them
      * do not segfault when AT+CMGW replies something unexpected
    * compilation of bluetooth
    * GSM_ReadConfig doesn't set pointers in config to local variables
    * mystrncasecmp/mywstrncasecmp now correctly handle NULL
      pointers and situation when second string is shorter
  * Bostjan Muller and 3200 RH-30 3.08: uploading apps with URL
    starting from http failed. Now http changed to wttp before sending files
    to phone

NOTE: I decided, that Gammu at least for now will be GPL.

      There is officialy started also Gammu+ with own license. First version
      of Gammu+ should be available after Christmas.

20031214 - 0.90.9
* new functionality:
  * config matrix added for 3100, 3200 (3200 both European
    and American), 6220
  * * support for picture ID in pbk in 7250/7250i               (Egor Kobylkin)
    * new --getfilefolder can get all files from
      specified file folders (and single files like --getfiles).
      It can be slower than --getfiles, because need to search all
      filesystem sometimes
  * new --networkinfo                                            (Michal Cihar)

* fixes and improvements:
  * removed few small bugs in some places
  * reformatted source in many places
  * it's possible to play ringtones again with --geteachsms
  * fix some file ID in DCT4 filesystem                         (Egor Kobylkin)
  * AT:                                                          (Michal Cihar)
    * improves error situation detection, when sending/writing SMS
    * check for available SMS memories before actually using them
    * do not segfault when AT+CMGW replies something unexpected

NOTE: many things are rewritten to meet some license doubts.

      This version is rather good tested and shouldn't rather make any
      problems, however it's always possible, that during rewriting something
      was done wrong and I didn't notified it. Please report such buggy things.

      If all license things will be explained, please expect 0.91 with LGPL
      for Christmas. It will have few other nice things too ;-)

20031207 - 0.90.7
* new functionality:
  * reading security code from all DCT4
  * --geteachsms can link EMS sequences. Currently there is majority      (...)
    of possible things recognized - linked text, fixed bitmaps,
    variable bitmaps, animations, default ringtones/animations ID, etc. etc.
    Improved API is ready now for it everything. In the future I will
    probably add some default bitmaps/ringtones.
  * added ID for various 1100,3100,3200 variants
  * added ID for 2100,3610                                             (Rakesh)
  * AT devices:
    * keys pressing
    * using AT support is more safe because incoming call info is
      handled only, when enabled
    * rewriten AT protocol module. Now should handle correctly all incoming
      frames from phones.
    * cleaned and rechecked possible answers in AT module. If something
      was done wrong, please let me know
    * it's possible to enable sending info about incoming sms to PC.
      With T310 it's possible to receive info about SMS Deliver, Reports
      are not supported. T310 sometimes goes crazy and mixes frame for
      incoming SMS and we need some tricks. Nokia returns OK for enabling
      commands, but doesn't work - I made, that all Nokia are not supported
      here now.
    * it's possible to enable incoming CB. Not decoded yet
    * * AT+CPIN used instead for AT+CPIN2 for some models        (Michal Cihar)
        for PIN2
      * do not attempt to parse CME error when no happen
        (in ATGEN_GenericReply)
      * more info for network logging status
  * * can get FD memory with command line options                (Michal Cihar)
    * GSM_PhonebookFindDefaultNameNumberGroup also tries to find
      suitable name if PBK_Text_Name doesn't exist
    * gammu prints security status when some operation fails with
      GE_SECURITYERROR

* fixes and improvements:
  * removed problems with automatically linking sms (--geteachsms) with
    some EMS sequences
  * removed error visible in AT mode during saving SMS
  * fixed makefile for MSVC6 and DLL                             (Michael T.S.)
  * AT devices:                                                  (Michal Cihar)
    * rewritten support for AT+CREG much more compatible with
      various phones

NOTE: written clear in copying files, that 3 party extensions are released
      under own licenses. Changed some parts of source according to
      requests from Pavel Janik connected with new license. For details
      see Gammu mailing list.

NOTE: CFG reader doesn't work 100% correctly for Unicode now. Please use
      this version with care

20031125 - 0.90.0
* new functionality:
  * * added lots of API documentation                            (Michal Cihar)
    * support for GetProductCode in Alcatel
  * * support for AT^MI for Siemens                                     (Walek)
    * --siemensnetmonitor renamed to --Siemenssatnetmon and extended 
      with decoding in Mensure result info in 128, 256, 512 and 1024 format
      ranges
  * ADDED PART OF BLACKSPHERE PROJECT (THE MAIN FOR TASK IS UNDERSTANDING (W.J)
    DCT3 PHONES FIRMWARE AND PREPARING OPEN SOURCE REPLACEMENT FOR IT).
    CURRENTLY YOU NEED FILE WITH DEBUG TRACES (LIKE nhm5_587.txt).
    gammu --nokiadebug nhm5_587.txt v20-25,v18-19 will enable displaying
    traces for types 20-25 and 18-19 (you can give more ranges of course).
    When use types 18-19, out.xml file is additionaly created. It can be parsed
    later with OpenGPA.
    For more about these things see http://zope.achterklap.nl:8080/nokia/
  * new parameter "gammucoding" in gammurc. In Linux value (SMS WebMaster, ...)
    "utf8" will force using UTF8 console support, in win32
    can give codepage ("852", "1250", etc.) and specified
    codepage will be used. Without it default values will
    be used (default console coding). I haven't tested utf8 yet
  * structure with sms folders contains info, whether folder is on SIM or
    not and whether it's Inbox or not
  * SMS structure contains info about memory, where SMS is saved
  * 2 new GSM networks                                           (Timo Metsala)

* fixes and improvements:
  * * use soname in library                                      (Michal Cihar)
    * makefile modified, so it now links only when needed
    * makecleantree, makerpm and makedeb renamed to cleantree, rpm and deb
    * configure uses cat <<EOT instead of several echos
    * fixed version parsing in configure and debian/rules
    * fixed pkgconfig files (contained bad path to includes)
    * rename PBK_Name to PBK_Text_Name (all other text entries have such name)
    * GSM_SecurityCode.Code has now len GSM_SECURITY_CODE_LEN and not
      some hardcoded number
    * Alcatel:
      * fixed reading of alarms without date
      * call ATGEN_Terminate from ALCATEL_Terminate
      * alcabus now works okay over IrDA, the phone didn't like
        fragmented packets
    * AT models are separated to slow (M20) and fast (other). Fast work
      fast now.
    * fixed displaying of PictureID in gammu
  * rpm changes:                                     (Michal Cihar, Soos Peter)
    * should work on both Redhat and SUSE with correct Group,
      path names etc.
    * build requires bluez (can be disabled)
    * added ldconfig to post/postun
    * use a bit more rpm macros
    * spec file moved to root of sources, this allows direct build of rpm
      from tarball: `rpmbuild -ta tarball' 
  * fix for n7110.c and 0xf8 sms folder during saving sms
  * fix for incorrect folder name for --addnokiafile
  * fix in decoding BASE64 and SE T68i calendar encoding                (Walek)
  * removed stupid bug, which didn't allow to restore VCF and VCS files

NOTE: Changed license of project. Before saying something see copying file for
      info, why and how it's done.

      I'm searching hard for any Siemens x35 or x45 (x means any) now and
      maybe Nokia 3200 (6220 will be probably very expensive).

      Maybe somebody will be interesting in giving (for some time ?) any cheap
      DCT4 phone (maybe 6310i, maybe 3510i) to author of BlackSphere project.
      He is a student, lives in The Netherlands and could start reversing DCT4
      phones with it

      Please expect big progress in AT commands in 0.91 version

20031109 - 0.89.0.0
* new functionality:
  * encoder for VCARDS can save info about default number
  * --save/sendsms VCARD10|VCARD21 by default uses "normal" VCARD (Michael Kim)
    formats (text of vcard is included into sms without any headers).
    It's used in SE phones. When add new switch -nokia, there is used
    Nokia format (Nokia UDH). In earlier versions there was used Nokia
    format by default
  * QUEUESMS version 1.3                                          (Peter Nixon)
  * added czech translation                                      (Michal Cihar)
  * new network 425 02                                       (Gilad Ben-Yossef)

* fixes and improvements:
  * improved handling birthday calendar notes with 0 birthday year in some
    DCT4 models
  * some options were not included into help system
  * * fixed passing LDFLAGS and LDFLAGS under some conditions    (Michal Cihar)
      in Makefile.cfg
    * updated info about supported Alcatel models
    * in gammu.c:
      * printmsg("\n") replaced with printf("\n"). There is no need
        to translate \n anyway
      * no need to translate xml so s/printmsg/printf/
      * unified message for increasing some constant to "   Increase %s\n"
      * open debug file just once, even when there are more config sections
      * much simplified content of while (Parameters[z].Function != NULL)
        loop
      * a bit more helpful error messages for options
  * internals of win32 dll thread rewritten (faster, better, can handle
    more error situations, can have null callbacks, etc.)
  * closing sockets made using closesocket in win32
  * improved timezones support for sms                             (Vita Samel)
  * versions in win32 are again with ",", not with "."
  * improved handling calendar locations for some concrete    (Darko Obradovic)
    phones 

20031102 - 0.88.0.0
* new functionality:
  * * added error for invalid date/time + functions to check it  (Michal Cihar)
    * added some commandline options for calendar/todo work
    * new function mystrstr for case insensitive unicode substring
      searching
    * implemented simple (but not effective) ATGEN_GetNextMemory
    * in gammu/gammu.c:
      * new --getallmemory
      * new --listtodocategory
      * added -sent to sms (this was default, but it should be there)
      * new --getfilesystemstatus
      * --searchphone searches for at devices on IrDA on linux
      * complete rewrite of help system - now help always mathes what program 
        really handles, help splitted to smaller pages, help is wrapped to
        real terminal size, gammu --help doesn't overwrite logfile
      * can specify user config from gammurc
  * quick hack for making RPMs alive

* fixes and improvements:
  * * changed order of monitor mode to speed up things for       (Michal Cihar)
      Alcatel
    * missing \n in AddNew
    * fixed compilation of gammu under some conditions:
      name colision        #define _GNU_SOURCE         #include <stdio.h>
      defines dprintf functions and it colides with same function in gammu,
      renamed to dbgprintf
    * missing void in some functions definitions
    * fixed passing CFLAGS to configure script
    * default speed in serial port for unix same as on other places (19200)
    * in _OnePhoneModel use Feature type instead of int
    * fixed ALCATEL_GetNext functions for case when location was deleted
    * in gammu/gammu.c:
      * fixed --searchmemory and --listmemorycategory - comparsion didn't work,
        didn't show location of found entry
      * --listmemorycategory, --searchmemory and --getmemory now correctly
        terminate connection on SIGINT

NOTE: because of many internal changes (in this and 0.87.4 release) please
      test all things very deeply and inform about problems.

20031026 - 0.87.4.0
* new functionality:
  * * Changes in internal API for phone modules:                 (Michal Cihar)
      * GSM_CalendarStatus
      * addes some API docs (only for touched functions)
    * Alcatel:                                                   
      * support for writing calendar
      * added some Alcatel phone ids
      * added support for some new functions supported by AT
      * support for texts in phone alarms and alarms at all
  * DCT4: GetNetworkInfo handles situation, when SIM is rejected

* fixes and improvements:
  * * Changes in internal API for phone modules:                 (Michal Cihar)
      * they're sorted in groups
      * support for each type of entries can have generally such API:
        GetXXXXStatus, GetXXXX, GetNextXXXX, SetXXXX, AddXXXX, DeleteXXXX,
        DeleteAllXXXX
      * changed GSM_PhonebookEntry to GSM_MemoryEntry
      * removed Past parameter from Add/SetCalendar. Past checking is done
        in application logic
      * GetToDo without refresh parameter
    * Alcatel:
      * much improved error checking when creating/updating items
      * do not explicitely fail if speed is other than 19200
      * GetNextXXXX functions now return entries as ordered in phone and
        not as ordered by locations
    * backup files had "Location" name for location of calendar note and 
      location of meeting inside calendar note. FIXED
    * better flags in pkgconfig
  * SMS:
    * can save SMS to SIM Outbox with DCT4
    * with 6210 family, when use --savesms XXXX -read, --savesms XXXX -unread,
      --savesms XXXX -folder 2, --savesms XXXX -folder 2 -unsent, there is
      SIM SMS memory used
  * many memory allocation fixes for SE
  * REMOVED SERIOUS BUG CONNECTED WITH PBK RESTORE. IN SOME SITUATIONS SOME
    ENTRIES WERE NOT RESTORED (phone modules didn't report always GE_EMPTY
    for empty pbk entries)
  * FreeBSD fix                                                (Vic Sithasanan)

20031019 - 0.87.0.0
* new functionality:
  * simple decoder for UTF7 (used in SE files)
  * SE:
    * can backup/restore Calendar & ToDo with all (?) features: full support
      for all calendar notes types, priority, etc. etc.
      NOTE: phones don't give info about number in PhoneCall ToDo
    * OBEX module can get & set files
  * new backup file format 1.03 uses word descriptions for ToDo priority
  * IT WAS ALMOST IMPOSSIBLE TODO, BUT NOW GAMMU            (Michael Schroeder)
    CAN CALCULATE CHECKSUMS FOR FILES IN DCT4 SERIES 40 PHONES.
    IT'S KNOWN, IF FILE WAS OK UPLOADED TO/GOT FROM PHONE. MAIN THANKS
    FOR HELP GO TO MICHAEL AND SOME TO MICHAL CIHAR.
  * config.h in common in sources just wraps cfg/config.h        (Michal Cihar)
    (when installed headers cfg/config.h is placed into include/gammu)
  * started work on ICS files support (Mozilla Calendar)

* fixes and improvements:
  * installation fix in MakeFile                               (Dmitry Vukolov)
  * * modifies Makefile.cfg(.in) to contain path specified       (Michal Cihar)
      sooner in this file and not these by configure
    * configure doesn't print ugly errors if cfg/autoconf/configure
      fails (eg. unknown parameter)
    * fixes compilation with disabled backup support
  * --geteachsms displays again text of not linked sms,       (Vitezslav Samel)
    Gammu links correctly sequences of linked sms saved from phone menu
    and displays date and time of their saving (DCT4 phones function)
  * SMSD doesn't hangup during displaying device in debug output  (many people)

20031010 - 0.86.0.0
* new functionality:
  * Alcatel:
    * added caching of category names (speeds up --getmemory)    (Michal Cihar)
    * added docs
  * text backup files are protected with MD5 checksum. When it doesn't
    match, Gammu during restore ask, if restore should be REALLY done.
  * searching phones in Linux looks also for cables          (Frank Zschockelt)
    connected to USB converters
  * SonyEricsson:
    * can create url files with WAP bookmarks and vnt files with notes
      (new options for --savefile), which can be later transfered to phone
    * CAN GET CALENDAR AND TODO. It's not possible to synchronize notes
      with T300/T310 (R1, R3) and T68i (up to R8) and other (phones limit)
  * my official info about GPRS Online in Nokia phones in readme.txt
  * source modified to have support for notes (they're in Nokia and
    SE): new --getnote and other    

20031005 - 0.85.5.0
* new functionality:
  * DCT4:
    * can upload 0 bytes long files
    * new frame for reset works with each connection type
  * detection for pthread libraries (if not available,    (Michal Cihar, Leigh)
    searching phones not available)
  * * new numerating versions                                    (Michal Cihar)
    * autoconf stuff not cleaned each time
    * Debian packaging update
      * now separate lib, devel and binary packages
      * reportbug will send bug reports to Michal
    * ATGEN_ReplyGetModel doesn't return "ERROR" as model when talking with
      device that doesn't support this (eg. normal modem)
    * updated Michal's email address
    * added support for generating API documentation with doxygen
      (make apidoc)
    * added documentation to part of gsmstate.h
    * GSM_Phone_Data.RequestID is GSM_Phone_RequestID as it should be
      and not unsigned int (needed little change in 6110 and 7110)
  * Linux Gentoo makefile                                        (Lim Swee Tat)

* fixes and improvements:
  * Decoding BASE64 strings with some data cut last char. Fixed
  * * overflow problem in gsmstate.c with some data. Fixed       (Michal Cihar)
    * searching for irda support sometimes made problems with
      configure. Fixed
    * -lbluetooth added only once
  * fix with CurrentConfig after enabling CB                     (Lim Swee Tat)

NOTES: Adding new functionality to Nokia Series 40 phone modules will be
       probably suspended for some time. I will make fixes and fill missed
       things, but generally can't add really new things because of hardware
       issues (no available phone with more functions). I added to readme.txt
       info about all missed things and info about things, which probably never
       will be implemented (they require SDK or more info from Nokia).

       I'm thinking about changing Gammu license and probably (if there won't
       be any other possibility) I will have to give LGPL for project sponsors,
       who will request it (for other there will be GNU GPL like now).

       If You have comments, please mail me or send email to mailing list.

20031002 - 0,85,0,0
* new functionality:
  * DCT4:
    * automatic tuning FM radio (new --nokiatuneradio)
    * 5100 NPM-6X ID                                               (Tom Nelson)
    * 9210i ID                                                   (Otto Waltari)
    * support for 3650 in FBUS mode:
      * enabling ALS
      * phone info
      * getting list of files/files from C: drive (phone memory),
        E: drive (MMC) and Z: drive (phone memory read-only)
  * Solaris 8 compilation support                              (Joeri Golsteyn)
  * VCARD/VCALENDAR can read more formats and variants
  * support for more UTF8 variants
  * workaround for Nokia firmware bug (various models) connected    (Didi Dada)
    with saving numbers from Call Register lists to existing pbk
    entries using Save option
  * full support for LDIF files (Mozilla/Netscape Address Book). Please note,
    that this format doesn't support for example few numbers of the same type
  * full support for rng files

* fixes and improvements:
  * 6220 ID, OBEX SetPath command is used with better flag        (Intra Darma)
  * compilation fixes                                          (Joeri Golsteyn)
  * removed unnecessary source in support for filesystems
  * getting voice records again fixed. Added info how to reinstall      (Vadim)
    GSM 6.10 codec in WinXP (see readme.txt)

NEWS: CVS available, Michal Cihar added md5 checksums and bzip2 files
      on his mirror (see readme.txt for links)

20030917 - 0,84,0,0
* new functionality:
  * DCT3 & DCT4:
    * new --nokiagetadc for getting ADC
    * new --nokiadisplaytest displays phone display test
    * new --nokiavibratest
  * DCT4:
    * support for 5100 NPM-6U
    * getting phone modes
    * new --nokiasetlights allows to control phone lights (includes support
      for 5100 torch)
    * new connection "fbusdku5" working in win32. It finds automatically
      serial port assigned to cable in DKU5 driver settings.
  * DCT3:
    * getting T9 with --nokiagett9
    * can enable/disable SMS charset menu for 3310/3315 6.07           (Mikesz)
  * new error code for handling situations, when some functions are not
    supported with some connection types
  * started work on Symbian based phones (Symbian 6.1 and other with mrouter
    interface/phones with 3650 FBUS)
  * new --displaysms with the same options like --sendsms.       (Ondrej Rybin)
    It makes sms from input data and displays them as they're packed for
    AT frames (or in any other format, if You will change DisplaySMSFrame)

* fixes and improvements:
  * DCT4:
    * rewritten setting phone modes (soft reset should work OK now)
    * controling phone lights works OK over irda
    * getting voice records works again OK            (Vadim + Wojciech Opieka)
  * --nokiatests -> --nokiaselftests
  * no problems with n6110 and phone without PIN
  * changed code errors for opening device. New should be much more clear
  * compilation fixes for Borland compilers

20030908 - 0,83,0,0
* new functionality:
  * 6220, 8910i ID                                                (Intra Darma)
  * can read phone tests results from DCT4                        (GriffinTeam)
  * config matrix added for 3300/6800/7250/7250i
  * when use "make installlib", there is created directory with
    Gammu include files

* fixes and improvements:
  * getting files in DCT4                                           (Christian)
  * getallsms and geteachsms output fixes                            (Jomin Yu)
  * FM stations from DCT4 are backup correctly, when there is       (Didi Dada)
    one empty entry inside
  * OBEX module (both irda and bluetooth):
    * compatible with Inbox in Series60 (3650)
    * doesn't display file attributes with --getfilesystem
    * uses original filename with --getfiles 
  * debug is much more usable for unknown/incorrect frames. They're displayed
    too, when GSM_ReadDevice is used only
  * removed some overflow possibility with dll
  * * GSM_PHONEBOOK_TEXT_LENGTH = 200                            (Michal Cihar)
    * EncodeDefault works differently
  * international SMSC/Phonebook number without "+" is changed     (Jonathan L)
    to number with "+" (AT mode, Sony Ericsson)

20030815 - 0,82,0,0
* new functionality:
  * getting/setting file date/time with DCT4 filesystem done also in Linux
  * searching for phones works in Linux too
  * full support for linked SMS with 16 bit            (Carl-Daniel Hailfinger)
    reference number (recognizing in read sms and adding after -16bit
    switch with --send/savesms), much better output with --geteachsms
  * Siemens S25 ID                                                   (sKewlBoy)
  * --searchphone by default display info about found devices only
  * export file for Delphi checks size of structures and compare it to
    structures from DLL
  * support for GPRS access points is now complete (getting/setting active
    point + restore)
  * updated win32 gateway (fixes and extensions)
  * started work on T9 backup/restore for DCT4 (see --nokiagett9)
  * Gammu can read CRC16 from files in DCT4 filesystem. I HAVEN'T FOUND
    METHOD OF CALCULATING IT YET. DOES ANYONE HAVE ANY IDEA ?
  * * Alcatel:                                                   (Michal Cihar)
      * completed charset conversion table
      * Alcatel_SetToDo/Alcatel_SetMemory now on write to nonexistent entry
        create new one and adjust Location accorting to newly created entry
    * Nokias SetMemory return GE_NOTSUPPORTED when Location=0
    * ToDos are read from backup including location
    * Restore in gammu.c now either deletes all todo and then creates new ones
      (as it worked till now) or (if supported saving to exact location)
      only deletes unused entries and saves new ones
    * AddNew in gammu.c first tries whether saving to Location=0, if yes, it
      will do the job using Location=0, otherwise it will use loop over
      locations to find empty one
  * added scripts for easy sending/receiving faxes
  * added ID for N3100|3300|3590|3595|6200. People with these phones required
    for checking, which features should be enabled, what disabled.
  * can reset security code in DCT4 using brutal force method
  * getting UEM from DCT4

* fixes and improvements:
  * --geteachsms without overflow possibility          (Carl-Daniel Hailfinger)
  * removed segfault in some specific situations
  * few fixes for DCT4                                            (GriffinTeam)
  * Gammu with MSVC6 and Release configuration is compiled without
    compiler optimization (no more internal compiler errors)
  * ID for 7250i is now really completed                        (Limpar Andras)
  * different frame used for getting PPM in DCT4
  * * Alcatel:                                                   (Michal Cihar)
      * fixes reading of phonebook entries on 715
      * fixes reading of birthday entries on 715
      * fixed bug leading to segfault in Alcatel_SetToDo
      * fixed bad setting of priority in Alcatel_SetToDo
    * fixed small issue with size_t and printf on some 64-bit arches
      (at least AMD64)
    * increased GSM_PHONEBOOK_TEXT_LENGTH
    * NULL doesn't have to be 0
  * OBEX compilation issue on FreeBSD                          (Roar Pettersen)

20030805 - 0,81,0,0
* new functionality:
  * filesystem in DCT4:
    * full support for Hidden/System file attributes
    * by default, when set files using --addfile or --nokiaaddfile GALLERY,
      file saved in phone has got date/time like date/time of last modification
      of file in PC (for now works for win32)
    * by default, when use --getfiles, created files has modification time
      like time of last modification of file in phone (for now works in win32)
    * getting file type from phone                                        (...)
  * ID for "own numbers" for 6210/DCT4                    (Andrzej Szombierski)
  * can have few config sections in gammurc. Gammu will check connection
    after connection. It's usefull for example, when you connect to your PC
    using infrared USB dongle or cable. If infrared won't be found, Gammu will
    search automatically phone in device assigned with cable. Simple.
  * ID for 7250i                                                (Limpar Andras)
  * Siemens stuff moved to main VCALENDAR parser                        (Walek)

* fixes and improvements:
  * removed new warnings for MSVC6
  * * removed segfault possibility in DayOfWeek           (Andrzej Szombierski)
    * filesystem in DCT4: after creating new folder and before saving there
      any file, folder was reported like file
  * --geteachsms can handle more sms                   (Carl-Daniel Hailfinger)
  * win32 files updated according to changes in last few releases

20030726 - 0,80,0,0
* new functionality:
  * SMS Queue program for gammu smsd                              (Peter Nixon)
  * OBEX module:
    * can upload files to phone with --addfile (folderID is path to folder,
      where file will be saved)
      Example: gammu --addfile "predefgallery\predeftones" ala.mid
    * can upload files to phone inbox with --addfile (folderID is empty string)
    * can upload files to Gallery and Tones with --nokiaaddfile
    * can get full info about filesystem (--getfilesystem)
    * can get files using --getfiles (fileID is full file name)
      Example: gammu --addfile "telecom\devinfo.txt"
    * can delete files using --deletefiles (fileID is full name of file)
    * can create folders using --addfolder (fileID is full name of parent
      folder)
  * SMS:
    * full support for text formating in EMS
    * new switch -unicode in --send/savesms EMS allows to use Unicode
    * new switch -maxsms in --send/savesms allows to block sending or saving,
      when number of sms is too high
    NOTE: EMS support includes probably ALL possible features available in
          phones for now (tested on SE phones like T300 and probably there are
          no phones with more options now)
    * long ringtones can be send in downloadable profiles (--send/savesms
      PROFILE) and as normal long ringtones (--send/savesms RINGTONE xxx -long)
      Earlier --send/savesms RINGTONE xxx -long used PROFILE style. Now with
      PROFILE it's additionaly possible to specify only some profile elements.
    * adding SMS folders (DCT4)
  * --getdatetime display phone locale settings (for now with DCT4)
  * new --getcalendarsettings for getting calendar settings (DCT4)
  * filesystem in DCT4:
    * can handle two attributes for each file and folder now:
      1. readonly (can't delete item from phone menu)
      2. protected (can't use item for example in MMS)
      * new switches in --addfile and --nokiaaddfile (allow to use
        attributes and protect file/Java application agains deleting/sending)
      * getting attributes with --getfilesystem
      * --deletefiles can delete readonly files
    * --getfilesystem displays both free and total memory. For 6310i there
      is horrible hack done, but now there is displayed correct free memory
      size for this model
  * calls:
    * call API can cancel/answer single calls (DCT3/DCT4) and gives info
      about it
    * can make dialvoice with/without number presentation (6110/DCT4)
    * full support for call diverts (getting/setting diverts with 6110/DCT4,
      setting with 6210, because it doesn't give info to PC)
      Totally rewritten, when compare to MyGnokii :-)
  * n6110.c:
    * "Calendar Busy" error
    * when set animated startup logo without SIM/PIN, there is
      security error returned
    * there is (almost :-)) everything done to have full language support
      for phones without Unicode. If You want to have support for Your
      national chars, just help in filling coding tables
  * getting memories with no PIN gives security error (6210)
  * backup files:
    * new subformat (old files are still read) with better
      section names for WAP settings and WAP bookmarks
    * can backup GPRS Access Points
  * getting/setting active set for WAP settings (DCT3)
  * --addnew can add pbk entries for Nokia too. PLEASE TEST IT VERY CAREFULLY
  * phone profiles:
    * can get, which is active (6110/DCT4)
    * getting ringtone ID (new DCT4)
  * EXPERIMENTAL:
    * first VERY VERY VERY primitive coder for MMS files
    * call API can hold/unhold/join_to_conference/split_from_conference/
      transfer single calls (for now 6110)
    * added option --searchphone for automatic searching for phone in known
      devices (serial ports, infrared in win32 now). PLEASE HELP IN FILLING
      CORRECT DEVICE NAMES FOR YOUR OS
    * full reading and saving vcf and vcs files
  * rewritten getting PPM for DCT4 to avoid buggy firmwares (like 5100 3.02)
    PLEASE CHECK WITH YOUR PHONE (--identify) AND REPORT

* fixes and improvements:
  * readme.txt updated in many places
  * OBEX module:
    * uploading files to phone inbox check, if file type is supported
    * splitting files is done according to target device          (Intra Darma)
      possibilities
  * fixes with DCT4 and FM radio
  * SMS:
    * rewritten EMS coding (works better with some concrete data, easier
      and shorter source, etc.)
    * packing "normal" SMS uses EMS functions. If there will be somewhere bug,
      it will be faster visible
    * when use --send/savesms EMS -text "something", no more Unicode coding
      is used (by default)
    * rechecked various versions of IMelody headers and made some fixes
  * more unified names of some functions in phone modules API    (Michal Cihar)
  * getting caller group number (n6110)
  * deleting pbk entries (DCT4)
  * setting CB without PIN (n6210)
  * bug with saving ringtones/wap bookmarks to sms (in some situations there
    were 2 sms used, not 1)
  * can restore 20 chars long SMSC numbers (DCT4)                         (...)
  * removed warnings in MS VC 6
  * N6100 doesn't have Radio                                      (Shiv Sikand)

NOTE: during about two weeks I tried to force company, where I bought
      my graphic card, to replace it (it was defected and still with warranty)
      For now I had to buy new card :-(((((( I didn't have access to almost
      ready 0,80 version (and didn't want to make some actions with moving
      HDD to another PC, etc., etc.) and I decided to work on next branch
      on friend's PC. Now You see joined results from all this work.

      Because of this some things are dropped to 0,81 (I don't want to make
      more delays). Also all reported during last month things will be made
      there (I didn't have access to emails and will process them now)

20030628 - 0,79,0,0
* new functionality:
  * full support for ToDo available in new Nokia (support for DueDate,
    alarm, marking as done, sending over sms, creating files with it, etc.)
  * support for VCALENDAR over SMS includes all Nokia features
  * --nokiaaddfile finds Gallery & Tones folder according to folder ID
    (currently for 3510, 3510i, 5100)
  * it's possible to save to backup file, which WAP/MMS settings set is used
    and later activate it during restore (currently DCT4)
  * version info of package is in format major_build,minor_build,release,build
  * actual version of project is put during "make distclean" for win32 projects
    automatically
  * changes connected with RPM building:            (Ivo Panacek, Michal Cihar)
    * info in readme.txt, that rpm package can be built and how
    * there are two principle rpm versions (3.x and 4.x) in use (SuSE, RedHat)
      and they differs in (among others) binary, which is used for building;
      so new check is done in configure (= configure.in) and proper binary
      is then put into variable in Makefile.cfg
    * newly build rpms are moved from building directory (tree) to parent
      of current directory (to be found more easily)
    * added removing of autoconf cache directory into "make clean"
  * VERY EXPERIMENTAL:
    * when use vcs extension during backup, there is created VCALENDAR file
      with Calendar and ToDo. It's first step for making exchanging data
      with various PIM managers
    * started work on OBEX ("irdaobex"/"blueobex" connection      (Intra Darma)
      with "obex" model). Tested with Nokia 5100, 6310i and SonyEricsson T300:
      * can upload files to phone default inbox with --addfile (folderID = 0)
      * can get file with phone features info with --getfiles (folderID = 0)
        Doesn't work with T300 (not supported by phone ?)
      * --getfilesystem will display folder and file list.
        Doesn't work with 6310i (yet) and T300 (not supported by phone ?)

* fixes and improvements:
  * FM stations support improved:
    * operates on double type
    * frequency displayed for user are with one digit after comma
    * removed some hangups
  * can save and send empty SMS
  * MSVC7 project for DLL recreated. Few fixes
  * --savefile used always first location. Fixed
  * removed all unnecessary definitions from Bluetooth and Irda dirs
  * updated developers docs (Bluetooth format)
  * * Gammu don't segfault when only debuglevel specified        (Michal Cihar)
      and no parameters
    * compile time warnings in atgen about comparison between signed and
      unsigned removed
    * -autolen in send/savesms fixed
  * better allocating memory in MBUS2 driver                     (John Fremlin)
  * docs synchronized with source

NOTE: currently development will be connected with such things:
      1. OBEX & SyncML (after getting some hardware ?)
      2. full compatibility with various PIM managers
      3. Symbian support (after getting some hardware ?)
      4. DKU-5 support (after getting some hardware ?)
      5. other ;-)

20030616 - 0.78
* new functionality:
  * support for calendar is changed for new phones. Currently:
    * supports phones with 5 types of notes (like N5100)
    * tries to find automatically ID for calendar notes for DCT4
    * replace not existing types of notes with existing
    * support for Location in meetings
    NOTE: No problems with exchanging notes among N3310, N3510, N6110,
          N6210, N6310, N5100, N5210 and compatible (there is support for
          about 7 families now). if Nokia will use longer current formats,
          automatic calendar support in the future can be problematic
  * new connections:
    * AT commands over Bluetooth with MicroSoft stack ("blueat" connection)
    * AT commands over socket infrared (new "irdaat" connection working
      in Windows for now)
  * added searching in phonebook memories for specified words    (Michal Cihar)
    or sentences
  * support for enabling 2 new features in DCT4:
    * disabling selected WAP profile name instead of Home in Services menu
    * confirming SAT actions
  * getting active MMS/WAP set number for DCT4

* fixes and improvements:
  * WAP settings work with DCT4 without MMS
  * MMS set support is available also for 3510
  * filesystem in DCT4:
    * improved support for some JAD files
    * parsing JAD files allows to avoid some errors before uploading applets
      to phone
    * fix for getting bigger files over irda
  * in win32 console texts are written using console locale, all other using
    windows locale
  * can restore phonebook on DCT4 without voice tags (like N5100)
  * entries in backup files are numbered from 1

NOTE: created archive of mailing list:
      http://news.gmane.org/thread.php?group=gmane.linux.drivers.gammu

20030608 - 0.77
* new functionality:
  * * new UnicodeLength instead of strlen(DecodeUnicodeString))  (Michal Cihar)
    * new function GSM_PhonebookGetEntryName to get Entry name. Returns
      either Name (if set) or "LastName, FirstName" (or just part that is set)
    * GetToDoStatus implemented for both Alcatel and 6510
    * added --deletetodo (works with Alcatel only)
    * in ToDo reading show Category name and Contact name
    * automatically searching for RPM directory                 (David Peterac)
  * scripts, which really allow to connect to Internet over AT phone
    (using GPRS or HSCSD or "normal" 9600 data). You don't have to know
    AT commands, just call script with operator settings
  * setting Picture Images in DCT4 using --setbitmap PICTURE
    (NOTE: for now or at all it's not possible to replace default
           templates)
  * getting GPRS access points (new --getgprspoint)
  * new --savefile can extract VCARD and VCALENDAR from backup   (Bharat Varma)
    files. Later such files can be send to phone.
    Example: gammu --savefile VCARD21 backupfile d:\ala.vcf ME 1
             irftp d:\ala.vcf
    (irftp is part of Windows XP) will create VCARD file and send it to phone
  * full support for wbmp files (reading, creating, correctly adding
    to DCT4 filesystem)
  * support for GPRS and DATA bearer over SMS is now complete
    (it includes MMS settings over SMS)

    NOTE: NOKIA PHONES SEEMS TO IGNORE GPRS ONLINE SETTING. YOU HAVE TO
          SET IT MANUALLY

  * during uploading midlets Gammu displays info about uploaded midlet
  * Gammu GUI 0.0.34                                            (Luca Cassioli)
  * support for enabling/disabling LED, enabling/disabling light
    and enabling/disabling vibra supported by Imelody and EMS. Just use
    zD/zd/zL/zl/zV/zv commands in RTTL file.

* fixes and improvements:
  * many functions in service/* now gets pointer to structure    (Michal Cihar)
    instead whole structure (this should reduce memory usage)
  * by default new DCT4 use new calendar frames again
  * smaller buffer during adding files to DCT4                   (Jorge Bardok)
  * improved getting values from JAD files                       (Lim Swee Tat)

20030525 - 0.76
* new functionality:
  * auto model for Nokia doesn't report unknown frames
  * sms backup files have info about Gammu
  * full support for SMS with MMS indicator
  * file system in DCT4:
    * new formats for --getfilesystem (one flat, one flat with file size and
      file date and one tree)
    * adding file to DCT4 can be done in parts
    * full support for JPG, PNG, BMP, GIF, MIDI, JAD files ID   (Ray Molenkamp)
    * added setting colour wallpaper for DCT4                   (Ray Molenkamp)
    * during adding something to phone Gammu checks, if file/folder
      with specified name already exist. If yes, there is error returned
  * added getting and setting activated bearer for WAP settings
  * ID for N6800                                                   (Tom Nelson)
  * full support for MMS settings in DCT4

* fixes and improvements:
  * file system in DCT4 & different folder             (Lim Swee Tat and other)
    names for new models
  * sms backup files are NOT saved in Unicode                    (Bharat Varma)
  * improved infrared error codes
  * improved allocation memory in AT protocol module             (Michal Cihar)

20030518 - 0.75
* new functionality:
  * setting files in DCT4 (adding to Gallery, Tones, MMS folders
    and other), adding folders, deleting files

    Note1: if You saved incorrectly file and phone reboots after enabling,
           use --getfilesystem to get file ID and use --deletefile BEFORE
           entering PIN to delete this file
    Note2: support for file formats depends on phone firmware. For example
           3510 supports GIF in 16 colors and 96x65 size. Some other can
           be not shown in this phone in menu, although stay in memory
           (use --getfilesystem to find such files & --deletefiles to delete).
           New phones happily generally show incorrect files in menus and allow
           to delete them from phone menu.
    Note3: tested on 3510, 3510i and 6310i. With other will need sniffs
           (because of different bytes in header or folder names) for making
           support

  * setting colour operator logo and colour startup logo
  * Gammu GUI 0.0.30                                            (Luca Cassioli)

* fixes and improvements:
  * * workaround for 6610 and calendar                             (Tom Nelson)
    * improved FM stations support for DCT4
  * irda compilation fix                                       (Roar Pettersen)
  * * write support for Alcatel (currently phonebook)            (Michal Cihar)
    * added Email2 phonebook field
    * added getting of category name to --getmemory  
  * 6210/7110 identify in some situations improved               (Bharat Varma)

NOTE: for 5100, 6100, 6610, 7210, 7250 I need testing FM & ToDo (and probably
      sniffs). Please additionaly check calendar support and report all other
      incompatibilities. Without reports I CAN'T DO ANYTHING.

20030511 - 0.74
* new functionality:
  * getting files from filesystem in DCT4 phones (--getfiles)
  * added 3650, 7250 ID
  * FULL support for Bluetooth
    * in WinXP using Microsoft stack    : FBUS (DCT4)
      (NOTE  : MSVC must be used for compiling)
      (NOTE2 : it will be included in SP2, for now available here and there
               in Net)
    * in Linux using Bluez              : full AT mode and FBUS (6210 and DCT4)
    * using stacks with legacy serial ports (for example for win32 use
      BTSoftware from www.d-link.com)   : full AT mode and FBUS (6210 and DCT4)
  * Gammu GUI 0.0.26                                            (Luca Cassioli)
  * can make backup and restore using new Unicode format of backup files.
    No more duplicated (once in ASCII and once in coded Unicode) strings in
    backup files with this format and no problems with national chars.

* fixes and improvements:
  * new "206 20" network                                            (Jo Tytgat)
  * memory in protocol drivers is allocated dynamically - no more
    size limits for frames
  * 6610 ID, compilation fix, few info                    (Vladimir Kondratiev)
  * PPM char is correctly get from DCT4
  * some things disabled for 8910                                  (Liviu Daia)
  * ToDo and FM things disabled for new models. NEED SNIFFS.

20030427 - 0.73
* new functionality:
  * added --nokiadisplayoutput for old DCT3 phones (Nokia 51xx/61xx)
  * support for new EMS features:
    * SonyEricsson short form of IMelody (-toneSE switch)
    * linked melodies (-toneSElong, -tone10long, -tone12long switches) saved
      with User Prompt Indicator
    * linked bitmaps (-variablebitmaplong) saved with UPI
    * protection for bitmaps and ringtones saved using Object Distribution
      Indicator (-protected)
  * Gammu GUI written in wxBasic (wxbasic.sourceforge.net)      (Luca Cassioli)
    See http://www.geocities.com/lcassioli/gammugui/ for it,
    source is also included in source tarball
  * rewritten function for changing phone features for DCT4. Now includes
    also 3510i, 5100, 6100, 6610/7210.
    NOTE: 3510i DOESN'T HAVE GPRS ALWAYS ONLINE SETTING

* fixes and improvements:
  * too small buffer during setting SMSC for DCT4 increased  (Fotis D. Zagoras)
  * increased GSM_BACKUP_MAX_RINGTONES                          (Igor Savokich)
  * increased buffers for phone numbers for SMS                      (jomin yu)
  * fix for loading RTTL files
  * improvements for packing EMS
  * frames from method 3 for calendar for DCT4 phones are used     (Liviu Daia)
    only, when phone is marked as compatible or when is
    used configure option --enable-newcalendar.
    Please check compatibility with Your phone and report it
  * updated Italian readme                                      (Luca Cassioli)
  * * fix for building with bluetooth support                    (Michal Cihar)
    * allows to pass CFLAGS to configure as is usual
    * fix docs installing
  * getting file list for DCT4 phones rewritten and moved to
    common. First step for making OBEX support done.

20030417 - 0.72
* new functionality:
  * German translation                                        (Stefan Beermann)
  * initial support for internal system available in new DCT4 phones
    used for saving Java applications, (Gallery or Pictures) images,
    ringtones and other (depends on phone model): can get files info using
    --nokiagetfilesystem
  * new -unicodefiletext switch for EMS sequences
  * added makefiles for MS Visual Studio 7.0 (.NET)
  * new method of accesing calendar in Nokia phones. It's used for DCT4
    and can handle all calendar features. Getting and setting. With this method
    it's possible to assign any icon to any note type !
  * getting simlock info for DCT4. Experimantal.
  * * Alcatel:                                                   (Michal Cihar)
      * initial support for OT 715 and support for one additional Pbk entry
    * AT module
      * support for storing pbk to Location = 0 (it gets first empty location
        from phone and stores it there)
    * questions for setting date and time are asked in gammu only,
      when it wasn't set on the start of connection
  * Siemens:                                                            (Walek)
    * getting and setting bitmaps
    * support for netmonitor

* fixes and improvements:
  * when compile with CB source, no more errors                  (Ari Ryynanen)
  * fix in smfprintf
  * closing connection made sometimes problems    (Luca Cassioli, Sulung Chang)
  * correct ID for 8390                                           (Nick Mossie)
  * improved packing EMS sequences
  * StartInfo in gammurc by default set to "no"
  * Siemens: rewritten support for calendar                             (Walek)
  * * Alcatel:                                                   (Michal Cihar)
      * more detailed info on failures when reading Alcatel phonebook
      * cleared Alcatel error states return values
    * AT module
      * fixed reading of SMSC number, for some phones in UCS2 mode
      * fixed reading UCS2 phonebook entries
      * fixed saving of phonebook entries in GSM alphabet
      * avoided some possible buffer overflows
  * old methods of accesing Nokia calendar (in the future also some other)
    moved to nfuncold.*. Thye're available only with DEBUG (maybe will be
    usefull in the future)
  * removed some problems with 3510 4.24 and higher (restarting after
    adding new WAP bookmarks and changing WAP settings)
  * new empty line with --getsms and displaying sms          (Fredrik Wanglund)
  * improvement for T68i and getting sms                    (Soeren Sonnenburg)

20030321 - 0.71
* new functionality:
  * INSTEAD OF OBJECT DELPHI EXAMPLE THERE IS AVAILABLE FULL SMS GATEWAY
  * DCT4:
    * full caller logo support                                          (Walek)
    * full MIDI (polyphonic ringtones) support. Limit for one
      MIDI file is 30000 bytes now.

      Please note, that Gammu only upload MIDI file "as is". Ringtone
      inside is played (or not) correctly according to phone firmware
      limitations.

    * full support for assigning ringtones to phonebook entries (N35xx)
    * full dealer welcome note support
    * setting startup note text
    * getting Picture Images using --getbitmap
    * clearing user ringtones using --clearall and during restore process
    * getting Java free/used memory and Bluetooth device address in --identify
  * 6210: full dealer welcome note support
  * new parameter in gammurc. You can now decide, if phone should show
    something during starting connection (for now for 51xx/61xx message
    "Accessory connected", DCT4 will blink with their lights)
  * during backup you can decide, if backup file should       (Marek Wagrodzki)
    have Unicode strings inside
  * started example of GUI for Win32 written using RapidQ       (Luca Cassioli)
    (www.basicguru.com/rapidq)
  * new options in MakeFile for converting Unix end line chars   (Michal Cihar)
    to Windows and vice verse

* fixes and improvements:
  * few releases ago during changing SMS API to EMS needs I forgotten   (Nicke, 
    to change one thing in SMSD. It didn't sent any SMS. Fixed.   yit-chun lai,
                                                                  Ari Ryynanen)
  * rewritten support for caller logos. Easier and better.
  * clearing FM stations moved to --clearall
  * deleted --setfmstation
  * ToDo are working for 6510, fix for priority                   (Karel Polak)
  * no more questions for making backup of caller logos for 35xx
  * no more segfaults during locking device in some situations   (Michal Cihar)
  * RTTL files can have "." before note                                (ReGGiD)
  * when use --setringtone, can add ringtone name

* other
  * default Nokia images and sound moved to separate file on my www.
    See Download subpage. File contains things from 3510i, 6100, 6610, 7210
  * when enter http://www.mwiacek.com/english/zips in your www browser,
    you can see directory listing. You have older Gammu packages there.

NOTE: I had MANY hardware problems. I hope, that everything will be OK now.

      It's time for filling some missed things and adding new features.
      Gammu is prepared to have full support for Java, colour images and
      polyphonic ringtones and OTHER...

      This is release, which will be quite fast (not after month ;-)) replaced
      with 0.72. Please let me know, when it makes ANY problems.
      I haven't seen ANY compiler from longer time (7 last days) ;-)

20030223 - 0.70
* new functionality:
  * full OpenBSD compatibility                                  (Ian McWilliam)
  * support for FM stations is complete (added restoring from backup)   (Walek)
  * call API gives more info about calls

* fixes and improvements:
  * some compilers don't allow to break line with "\" in strings, when
    file contains Windows line breaks. Because of it gammu.c
    and coding.c return to Unix line breaks.
  * "rpmbuild -ba" replaced with old "rpm -ba". Searching for universal
    command in progress
  * entries in DC, MC and RC memory are enumerated in n6110.c    (Martin Horak)
    from 0
  * missed calls can be get correctly for 6210 and DCT4       (Marek Wagrodzki)
  * getting calendar notes using method 2 doesn't return more than 50   (Walek)
    first chars in note texts. Now this method is used only for N35xx.
    No workaround known.
  * reading long lines from cfg files is OK now. It doesn't use fgets, which
    cuts lines. Now works OK such things like setting calendar notes
    with long texts.
  * improved getting bithdays with Birthday year equal 0
  * win32 dll uses my_sleep                                    (Alexander Arlt)
  * win32 dll uses now finally correct method of terminating
    phone thread

20030216 - 0.69
* new functionality:
  * * for atgen GetModel and GetManufacturer return real model   (Michal Cihar)
      and manufactorer as reported by phone (when it's unknown
      for Gammu)
    * Gammu can try to find localisation file according to OS
      locale
    * new options for ./configure and localisation and docs
    * AT+CPBR tries to find number of really used locations. It doesn't work
      always excellent (N6310i), but...
    * VIM can automagically indent edited files, when they contains info
      for them. Added for all *.c and all *.h files (execute "vim" and type
      ":help modeline" to see more about this feature)
  * all single #10 replaced with #13#10
  * added ID for N6610/7210,5100,6100, (Christian Ostheimer && Marcel J.E. Mol)
    3510i/3530
  * SendDTMF works for 6210 family and DCT4
  * EMS: support for variable bitmaps saved in one SMS
  * FM stations from DCT4 can be cleaned, set and backuped              (Walek)
  * updated Credits: Ondrej Rybin, Tomasz Motylewski, Walek, etc., etc.

* fixes and improvements:
  * * in phone modules used smprintf where possible              (Michal Cihar)
    * removed pointers to phone identification from StateMachine.Phone.Data
      and moved there real strings from StateMachine
    * changed getting of IMEI and manufacturer to work same as GetModel
    * introduced StateMachine.Phone.Data.ModelInfo which contains pointer
      to current OnePhoneModel
    * things in atgen that were determined by model are now detemined by
      features
    * fixed installation permissions
    * fixed some compile warnings produced by gcc 3.3
    * manufacturer name is not in Unicode
  * "rpm -ba" replaced by "rpmbuild -ba"                                (Chiew)
  * Win32 DLL: improved closing phone threads
  * ATGEN:
    * support for AT+CPIN? in Falcom A2D style
    * support for waiting for phone prompt (used with sending and saving
      SMS)
    * improved reading SMS from different memories
  * EMS:
    * sound10 & sound12 changed to tone10 & tone12                (Jozef Uhler)
    * -fixedbitmap documented. Fixed bitmaps sent as FIXED bitmaps
  * incoming things are again OK for 6210 family
  * mili_sleep doesn't use in some OS miliseconds. Renamed    (Joergen Thomsen)

20030206 - 0.68
* new functionality:
  * added 8390 ID, new network name                             (Michael Smith)
  * added new Indonesian network names                           (Sulung Chang)
  * * AT connection works with each serial speed                 (Michal Cihar)
    * support for Alcatel BE5 for ToDo and Calendar and getting categories
    * more info about battery and network signal level
  * started hard work on full support for EMS. Currently can send some EMS
    sequences with text, ringtone/animation ID, ringtone, 8x8 or
    16x16 or 32x32 bitmap, 8x8 or 16x16 animation. Source is still
    experimental and THERE CAN BE SOME PROBLEMS WITH SOME SEQUENCES. PLEASE
    REPORT IT. In the future there will be added support for formating
    text, ODI, UPI and variable images (I will try to code it although I
    don't have supporting it phone)
  * added getting FM stations info. Someone should check it with N5510  (Walek)
    - maybe will work.
  * full info about USSD replies
  * when restore calendar notes, Gammu ask, if notes from the past should
    be restored too

* fixes and improvements:
  * win32 dll better works, when two phones use one serial port
  * improved creating convert tables for SMS  (Karel Polak & Tomasz Motylewski)
    and in result compiling for Borland tools again possible
  * improved reading calendar notes from new Nokia          (Tomasz Motylewski)
    (method 1), increased number of notes to 200, compilation
    fixes
  * improvements for Alcatel BE5 and AT mode                     (Michal Cihar)
  * many small improvements in some functions and SMS
  * docs synchronized with source
  * call API more usefull, improved handling for all incoming things
    (SMS, calls info, etc.)
  * date in backup files is saved using VCalendar format
  * ToDo disabled for phone, which don't support them

  NOTE: todo for today is full call API, MySQL support, ending EMS and support
        for such things like uploading Java things or MIDI tones to Nokia
        phones.

20030126 - 0.67
* new functionality:
  * added --clearall (cleaning pbk, calendar, wap bookmarks
    and todo from phone)
  * added --addnew (adding new calendar, wap bookmarks      (Tomasz Motylewski)
    and todo from backup file without deleting existing)
  * added support for Siemens MIDI ringtones                            (Walek)
  * added support for empty SMS names for 6210
* fixes and improvements:
  * fixed reading SMS for AT mode and Nokia phones
  * removed incorrect reference to man dir (it made problems during
    installing)
  * win32 dll is more stable in many situations
  * added info about used phone module to logs
  * rewritten getting SMS folder names for DCT4 (compatible with 3510
    3.37)
  * setting WAP things and getting profiles disabled for 3510 4.24 now.
    Phone restarts very often after using it. Reason unknown.
  * maximal length of SMS name is 40 chars
  * rewritten calendar structures to more portable
  * made very deep look into calendar in N62xx/71xx and DCT4 phones.
    There are two ways to access it. Gammu can support them both. However
    they make sometimes problems:

    * with method 1 can't get/set some calendar notes in 3510 3.37
    * with method 2 can't get some notes from 6210 (probably firmware here
      uses some a little different coding)

    I decided, that for setting will be used always method 2, for getting
    method 1 (for 62xx/71xx) or method 2 (for DCT4).

    Please note, that both method 1 and method 2 have problems in DCT4 with
    such notes like (tested on 6310i 5.10 and 3510 3.37):

    * Birthday with alarm. When set in phone, it always set it (time) to
      23:59.
    * Reminders with alarm. Can't get/set alarm time
    * notes other than Birthday with alarm. Can't get/set alarm type (silent
      or with tone)
    * notes with different start date/time than end date/time. Don't have
      info in frames about end date/time

    and this is not Gammu fault !

20030105 - 0.66
* new functionality:
  * some (started) functions for Siemens like support for VCalendar     (Walek)
    and MIDI ringtones
  * new name for 204-12 GSM operator                           (Bertrik Sikken)
  * added few new functions to win32 dll
  * * added many functions for Alcatel BE5 binary mode           (Michal Cihar)
    * added prelease version of script for configuring gammurc
    * if empty location in phonebook, returned is GE_EMPTY
    * unix.c
      * try to open device exclusively (if supported on compile time)
      * use cfsetispeed instead of system dependant code
    * atgen.c
      * +CME ERROR: is now recognized
      * +CMS ERROR: now recognizes which error occured and reports this
      * everything is not static
      * IMSI number is parsed from "<IMSI>:number"
      * CONNECT is accepted as end of AT response
      * improved atgen initialisation to handle some phones that take
        a very long time to react on first AT
    * special error for locked device, it gives much more reasonable
      error message
    * dprintf flushes written texts
    * added Debian packaging

* fixes and improvements:
  * removed some new FreeBSD incompatibilites. Will it work  (Kirill Bezzubets)
    OK in all version now ? It should...
  * SMS Daemon should be bug free now                    (me + Joergen Thomsen)
  * extensions to GSM Default Alphabet are not Nokia specific,     (Timo Teras)
    but from GSM 03.38
  * EMS functions should be bug free now                         (Ondrej Rybin)
  * removed few possibilites of memory problems from win32 dll
  * * removed possible memory problems in many places            (Michal Cihar)
    * removed some segfaults possibilities from debug system
    * configuration scripts
      * hide %c warning in newer gcc (at least for 3.0 and 3.2, but
        surely not for 2.95)
      * use "$@" instead of $* in configure, it works correctly for
        args with spaces

NOTE: Summary for 2002
      -----------------
      Current version works without bigger problems with Nokia DCT3/DCT4,
      AT (with various Siemens extensions) and Alcatel phones. User can
      exchange various formats of logos and ringtones (send them in EMS or
      Nokia format over SMS), WAP settings and bookmarks (send over SMS in
      Nokia format), etc. There is ready command line version with manual
      and SMS daemon.

      Things for 2003
      ---------------
      1.There are still few general topics TODO
        * uploading some things over WAP
        * MMS
        * ending win32 dll
        * writing really usefull GUI
        * giving support for more formats (like Ericsson WAP settings over SMS)

          Note: I have in my library specs for many models (example: Morotola,
                Sagen, Siemens xx45) and it's only required to code few 
                functions into current source to have support for them...

        * AT modem emulator
        * other :-)

      2.Topics for the nearest future
        * ending full access to calendar in N3510(i)
        * adding (only) new calendar & pbk notes from file without deleting
          existing
        * adding only new sms to file
        * API for call
        * MySQL support for SMSD

20021223 - 0.65
* new functionality:
  * added first version of developer documentation made by   (Christian Becker)
    somebody not connected with Gammu developer(s). It allows
    to show the best weak sides and describe the most important
    things
  * added ringtones (polyphonic too) + Picture Images from 3510
  * SMSD has support for delivery reports, ability to display (Joergen Thomsen)
    full date/time in debug (3 new debug levels), added handling
    errors during deleting SMS for DCT3, added handling for errors
    in some situations existing when phone is off and connected
    to the charger
  * checking for iswspace and towlower in ./configure
  * more compatibility with Panasonic GD 96                 (Pawel Golaszewski)
  * full compatibility with Falcom A2D

* fixes and improvements:
  * SL45 phonebook                                                 (Timo Teras)
  * fixed setting SMSC and Todo for DCT4 for some data,                 (Vadim)
    rewritten getting voice records from 6310(i)
  * fix for init in win32 dll in some situations                (Vishal Grover)
  * changes in internal structures in win32 dll - it's more stable
    and works better with phones not supporting Security Codes functions
  * SMSD works for phones not supporting Security Codes functions,
    few fixes connected with decoding unicode strings
  * few compilation improvements                                      (Hu Gang)
  * bigger buffer in --send/savesms                            (Mariusz Gorski)
  * new separate error code for unknown file formats

  NOTE: Althoug this is temporary release, some important things
        are changed. Because of it it's always possible, that some
        small problems can happen. Please report such situations.
        Real changes in functionality (new functions, etc.) will be
        visible soon (fast, when my flu will end). 

20021202 - 0.64
* new functionality:
  * SMSD and FILES finally end                                (Joergen Thomsen)
  * decoding Siemens xx45 entended phonebook                       (Timo Teras)
  * many improvemnts in configure build system

* fixes and improvements:
  * autoconf build system is now really working for older Linuxes
  * comparing Unicode and normal strings with and without regard to case
    much improved
  * fixes, info about bug in encoding and decoding GSM        (Joergen Thomsen)
    Default alphabet in SMS
  * better FreeBSD compatibility                             (Kirill Bezzubets)
  * default style for read RTTL files is Natural, not Continuous
  * improved alghoritm of reading RTTL files
  * no garbage chars in datetime in backup files in Linux
  * fixed offsets for setting SMSC for DCT4
  * all CFGDevice removed from source                             (Chris Drake)
  * localisation strings can contains \n
  * when make restore, backup info (IMEI, date, etc.) is showed again
  * fixed "make makelib" and "make makerpm" on some OS

20021124 - 0.63
* new functionality:
  * Delphi project updated to version 7
  * when start connection with win32dll function, have to give pointers with 
    addresses to callback functions, not addresses to functions. Later can
    change value of pointers and DLL will use new values.
  * added very easy example, which show, how to use win32 dll in classes
    (call backs from C DLL can't forget about 4 bytes pointer before
    arguments). Classes things resolved in 50%
  * added possibility of entering text into --setbitmap PICTURE
  * command line parameters and not Unicode config files are not case sensitive
  * full compatibility with DCT3 from "old" series with Picture Images
    with text saved in Unicode. Example: 3315 5.79. Had also 3410 for a moment
    and now it's also compatible with getting/setting Picture Images.
  * improved internal structures connected with config files
  * changed makefile. Now there is better control on making process
    and changing paths
  * can specify SMS validity from command line                 (Niels Andersen)
  * FILES module for smsd can send sms (now in win32)

* fixes and improvements:
  * written own implementation for wcscmp. Seems, that Mandrake 9.0 has
    it broken. Now unicode ini files features and localisation system work OK
    also in Linux
  * improved getting voice tags (names) from DCT4
  * removed some problems with FILES module for smsd
  * fix for EMS ringtones                                    (Christian Becker)

20021112 - 0.62
* new functionality:
  * simple API for informing user application about calls. Is more required ?
  * added -autolen to send/savesms TEXT. It allows Gammu to decide about
    SMS coding (GSM Default Alphabet/Unicode) according to input text.
  * SMS deaemon (--smsd option) with such features like:
    * recovering phone connection (for example after phone restart)
    * entering PIN code, when required
    * possibility of writing plugins for various databases or purposes
    * lists of include/exclude phone numbers
  * added plugin for --smsd with similiar functionality to --receivesms
    from MyGnokii1. It can handle receiving SMS and direct them to text/binary
    files.
  * full featureable localization system:
    * each language file is recreated during making distribution and contains
      only actual localisation strings
    * all localisation strings are found automatically in source
    * localisation files are in Unicode
  * started work on localisation for Polish language
  * cfg files module can handle Unicode
  * all topnet.pl changed to mwiacek.com (mwiacek.com will work during few
    days)
  * all date/time info in user application is written in format set in OS
  * SIM/Phone phonebook entries in text backup file can be not sorted now
  * BCC main makefile converted to 6.x version (still can use command line 5.x)
  * added --listnetworks for displaying codes/names as they're known for
    Gammu

* fixes and improvements:
  * win32 dll is now finally tested and used to my normal work instead of
    old MyGnokii1
  * n9110.* renamed to n9210.*
  * 6190 ID fix, updated list of GSM networks                   (Benjamin Judd)
  * Alcatel ID fix                                                (Thomas Vill)
  * Binary->RTTL converter for ringtones works better        (Christian Becker)

NOTE: These days were very hard for me:
      1. FKN.PL (also my homepage/Gammu homepage/Gammu list) was down
         during few days. Reason: hardware faults. Sorry for it
      2. my phone was in service
      3. I had to reinstall my Linux
      4. I had to reinstall majority of my win32 environment
      5. Because of action of Netia company TopNet.PL domain sometimes work,
         sometimes not, sometimes work partialy (www works, email not). Many
         lost nerves for me and work connected with registering own domain
         mwiacek.com and changing everywhere topnet.pl addresses to mwiacek.com
      6. Family problems :-(

      Because of it there was so long timeout after 0.61 and some things are
      still not implemented. Sorry for it.

20021020 - 0.61
* new functionality:
  * getting voice records from such DCT4 like 6310 or 6310i (new
    --nokiagetvoicerecord) (EXPERIMENTAL)
    NOTE: created WAV files requires GSM 6.10 codec. In the future
          codec will be probably added to Gammu.
  * full compatiblity with EMS IMelody 1.2 (earlier          (Christian Becker)
    was 1.0), saving ime/imy files
  * docs contains examples for editing backup text files       (Kolesar Andras)
    in TextPad, backup files are now more user friendly
    for editing - for example, when delete one pbk entry,
    all after it are interpreted
  * added possibility of using standard Unix configure
    script for automatic configuring all options    

    NOTE: this is first version of Autoconf build system.
          Probably many things inside will be changed to better.
          All ideas very welcome.

  * dialvoice for DCT4

    NOTE: it should be possible to make data calls using FBUS with DCT4,
          probably also with 62xx/7110

* fixes and improvements:
  * atblue works OK                                           (Marcel Holtmann)
  * some MyGnokii2 names changed to Gammu, display status can   (Krishna Dagli)
    be incoming frame for n6110.c
  * compatibility fixes for 9210 and AT mode
  * many small fixes for win32 dll
  * setting WAP settings for DCT4 works better for some data

20021012 - 0.60
* new functionality:
  * FBUS works 100% over BlueTooth with 6210                  (Marcel Holtmann)
  * hardware drivers return OS error codes and error info

* fixes and improvements:
  * with win32 dll and some StateMachine strings             (Ing.Jiri Jurecek)
  * setting PBK memory in AT module,                             (Michal Cihar)
    fix for Alcatel and getting memory status
  * changes in Unix serial driver - earlier wasn't compatible      (few people)
    with all Linux kernel versions and some distributions
  * improvements in compiling after enabling CB                   (Karel Polak)
  * improvements in debug system
  * --identify works OK for DCT4 without SIM card

20021005 - 0.59
CHANGED PROJECT NAME FROM MYGNOKII2 TO GAMMU
(Gammu All Mobile Management Utilities).

(Too) many people wrote to me, that MyGnokii2 name shows, that project
is connected with Gnokii and supports Nokia phones only. Currently it's
not truth - there were tested Alcatel, Nokia, Siemens and WaveCom devices
and I hope to test more :-). Also Gammu doesn't have too much shared with
Gnokii source and developing methods

PLEASE NOTE, THAT ALSO gnokiirc CONFIG FILE IS NOW NAMED gammurc !!!!!

If you installed older version into your OS, please uninstall it first
(for example using "make uninstall").

* new functionality:
  * AT module:
    * Alcatel OT 5xx, 7xx: added full identify, changed last     (Michal Cihar)
      dialled memory ID, better cancel call compatibility
  * added "make tags" for makefile, full compiler info,          (Michal Cihar)
    gcc 3.2 warning removed, rewritten debug system...
  * key pressing works for all DCT3                                (Asif Hamza)
  * big progress in coding functions (full Japanese/Chinese           (Hu Gang)
    support)
  * cleanups in coding.c                                       (Kolesar Andras)
  * rewritten RPM build system
  * added man file, Gammu is in PLD (Polish Linux           (Krzysztof Drewicz)
    Distribution)
  * Borland C++ makefile works OK with given for free
    Borland C++ Builder 6 Personal

* fixes and improvements:
  * AT module:
    * Alcatel OT 5xx, 7xx: setting ME memory for SMS             (Michal Cihar)
    * setting pbk memory with GSM alphabet                       (Michal Cihar)
    * getting pbk memory doesn't return GE_EMPTY                (Cvetan Ivanov)
  * fix for locking device file                                  (Michal Cihar)
  * improvements in user interface (backupsms), restore for     (Cvetan Ivanov)
    SMS templates and 7110

20020926 - 0.58
* new functionality:
  * Siemens M20 has problems with alphanumeric numbers in SMS. Added at least
    partialy workaround for it (during reading).
  * getting SIM card IMSI number
  * saving ringtones into WAV files (EXPERIMENTAL)
  * synchronized win32 and Unix serial port driver - now port settings
    should be the same and all differences gone. Many parts of unnecessary
    source removed. More errors checking.
  * added tables for converting chars in GSM Default Alphabet in SMS similiary
    to these in phones - all (?) national chars not available in GSM Default
    Alphabet are converted to "plain" Latin chars. Added additionaly
    -replacefile option to make private conversions.           (Kolesar Andras)
  * dll for win32 and sms_serv finally end according to my current needs.
    They're written using 100% win32 standards. No hacks.
  * AT module
    * with "auto" model first send commands to escape editing
      functions and enabling phone echo
    * saving SMS works to ME memory too
    * full compatilibity with Siemens MC35
    * confirmed compatibility with WAVECOM modems
  * backup/restore for sms contains support for all features included few
    releases ago.
  * docs synchronized with source                                (Allan Ortega)

* fixes and improvements:
  * can correctly restore SMS_Submit sms
  * AT module:
    * SMS locations in ME memory are numerated from 1 in GetNextSMSMessage
    * fix for SMS folder info and getting SMS
  * bigger buffer in GetLineString
  * compilation improvements, better support for "unknown" model (Ganesh Lohia)
  * fix for 7110 and operator logos                             (Cvetan Ivanov)
  * improvements for DCT4 SMS locations
  * rechecked GSM Default Alphabet in SMS. Few fixes.

Summary: software is more and more stable, tested and working 100% OK
         in each situation. All problems connected with baby age start
         to be after it.

20020921 - 0.57
* new functionality:
  * new --geteachsms (get all sms from phone and connect them, when possible)
  * 7110 family: getting sms names, better sms status, support for call info,
    setting profiles (excluding names and caller groups), getting speed dials
  * 7110/9110: full incoming sms support (with Delivery Reports)
  * DCT3: full support for WAP settings. Can of course exchange them
    (over backups) with DCT4 WAP settings
  * getting/setting op logos for 9110 family (tested on 9210)
  * improvements in user interface functions, some info about     (Ivo Panacek)
    voice tags in DCT4 - now 100% works
  * readme.txt described how to avoid voice tag problems available
    in DCT3 and DCT4 and sms problems available in DCT4 (6310i 4.80)
  * added IPAQ model and many functions supported by it, some other   (Hu Gang)
    improvements in AT module, started full call info functionality,
    compilation improvements
  * added spec file for making RPM. First experimental version    (R.P.Herrold)
  * added new makefile option --makerpm for making RPM binary/src file.
    First experimental version
  * Bluetooth changes (NOT YET FULL FUNCTIONAL !)             (Marcel Holtmann)
  * added ID for 7650 (will probably work with 6510 module)

* fixes and improvements:
  * many small improvements for getting/setting SMS (UDH headers)
  * 7110 family: getting profiles
  * many cleanups and improvements in source

20020913(Friday!) - 0.56
* new functionality:
  * getting alarm state, phone tests (only making - now without
    getting results), setting binary ringtones, deleting all user
    ringtones for DCT4
  * new --nokiasetvibralevel. Can set vibra "power" for DCT4
  * converter Nokia Binary Format (DCT3) -> RTTL. First version, which can
    handle only part of ringtones. Do note expect miracles here :-(
  * resetting security code for part of DCT4 phones
  * support for TPPID in SMS (full for AT, DCT3 and DCT4).
    --rejectduplicates changed to --replacemessages (now can replace
    SMS saved on recipients' SIM)
  * more beeps                                                          (Walek)
  * source prepared for Bluetooth support (it's during testing
    and writing)
  * writing phonebook for AT phones
  * better restoring WAP settings for DCT4

* fixes and improvements:
  * GPRS Always Online can be activated for 6510 & 3510 too
  * rewritten playing tones for DCT4 - sometimes it's better, but still
    need investigation. In last versions of original Nokia software removed
    at all.
  * improvements during converting among various ringtones types
  * no more compilation problems after disabling 6110 module
  * changed TPMR and RejectDuplicates support in SMS
  * Delivery Reports again alive for DCT4
  * setting pbk for 6110
  * no more asking about restoring wap settings in phones without WAP
  * SMS folders in AT module renumerated -> now should be able to
    save SMS to SIM/phone memory
  * can get Dialled Calls with AT module and Nokia phone
  * better user friendly interface during asking user for something

20020904 - 0.55
* new functionality:
  * CallInfo, incoming SMS and Delivery Reports, setting operator logo
    for DCT4
  * support for TPMR in SMS Submit (sending/saving/getting for DCT3 & AT,
    getting for DCT4)
    For more info read mygnokii.txt and description for --send(save)sms
    option and --rejectduplicates parameter

    !!! If works according to info in mygnokii.txt with your SMSC, !!!
                       !!! please tell me !!!

  * more possibilities with sms_serv
  * it's IMPOSSIBLE, but HAPPEN. Nokia disables in many phones GPRS Always
    Online. This and many other things are enabled using --nokiasetphonemenus

* fixes and improvements:
  * some things moved inside "common" files and structures
  * getting operator logo, deleting sms for DCT4
  * incoming sms are parsed only, when DEBUG or enabled using API
    (source is more safe because of it)

20020830 - 0.54
* new functionality:
  * Default Alphabet extension in SMS can handle new chars (now 9 sequences)
  * Euro Char and subset 2 for 33xx reminders
  * protection during saving sms/setting smsc for DCT4 (saving SMS
    again alive)
  * restoring WAP settings for DCT4
  * setting profiles for 6110 module                               (Walek & me)
  * in config.h new option, which enables beeping after making some
    things (like in Logo Manager)
  * reset for DCT4 disabled for DLR3 cable - no way to make it (?)

* fixes and improvements:
  * some unnecessary Unicode <-> normal char conversions removed   (Walek & me)
  * improvements for (especially) linked SMS with Default Alphabet
    and special sequences
  * improved playing tones for DCT4
  * setting ringtone for DCT4 (with preview) works with authentication

Summary: in progress restoring WAP settings for DCT3, ending restoring
         all profiles features and full support for speed dials

20020826 - 0.53
* new functionality:
  * getting DSP ROM for DCT3
  * AT module filled in many places and tested with Siemens cell modems:
       * network info               * sms info
       * security state/codes       * phone info
       * deleting sms
       * SMS memory in phone (phone Inbox/Outbox in 6210, 63xx, etc.)
       * SMS status reports in Siemens style
       etc. 
  * backup to phone profiles, restore for DCT4 (EXPERIMENTAL)
  * sms_serv working with AT devices
  * --nokiasetphonemenus enables netmon for DCT3
  * support for big (78x21) operator logos over SMS

* fixes and improvements:
  * small changes in MBUS module
  * DCT3 phone tests are more usable for more damaged phones
  * rewritten phone profiles stuff - smaller, easier,...
  * better support for linked (contacenated and SM 3.0) SMS             (zx zx)
  * fix for -len in --send/savesms                                      (zx zx)
  * in 6110 module for sms (bug was available in 0.51 and 0.52)         (zx zx)
  * better handling for default DCT4 caller logos
  * source cleanups

20020817 - 0.52
* new functionality:
  * support for more special Nokia sequences used with GSM Default
    Alphabet in SMS

* fixes & improvements:
  * workaround for some incoming unicode SMS for 6310i 4.80

NOTE: this is security update. In some situations saving SMS for DCT4
      can make big problems with phone. Now commented.

20020816 - 0.51
* new functionality:
  * rewritten makefile. New "make makelib", "make uninstall",
    "make installlib"
  * improved getting profiles (both for DCT3 and DCT4)
  * --nokiasetphonemenus can enable WellMate menu for 6150
    and ALS for DCT4
  * new --deleteallsms (deleting all sms from specified folder),
    --senddtmf, --getdisplaystatus
  * resetting phone settings for DCT3, support for animated logo        (Walek)
    for 3210
  * --getcalendarnote displays better output
  * improved callbacks
  * updates for sms_serv
  * added getting firmware date
  * getting speed dials works for DCT4 too
  * improvements in getting caller logos, profiles from DCT4

* fixes:
  * sending SMS, getting WAP settings for DCT4.
  * better checking errors with --copyringtone                 (Kresimir Hodak)
  * 6110 module in some situations reported "Inbox" SMS as "Outbox"
    and incorrectly showed SMS state
  * more situations handled by --getsms                           (Markus Bela)
  * updated config for 8250, improvements for calendar       (Georg Hofstetter)
    (second will improve 5210 calendar too)
  * changed format number of backup files to 1.01                       (Walek)

* other:
  * security code reading moved to dct3.c (it's specific for DCT3)
  * source cleanups

20020809 - 0.50
* sms_serv can much more things...
* updated operator list                                           (Karel Polak)
* getting profiles works for DCT3 too
* workaround for some 6210 and locations for calendar notes (Kai-Holger Seidel)
  and some other problems fixed
* cleanups, small extensions (like in SMS/network status)
* can make authentication for 51xx/61xx (displays "Accessory connected").
  Special option in config.h for it.
* started work for speed dial support
* reset phone settings for DTC3 (experimental, works after uncommenting (Walek)
  in ndct3.c)
* added setting operator logo for 9110 module (for testing)
* updated docs (Italian translation)                            (Luca Cassioli)
* added "make install"

Summary: in this moment only full support for wap settings, speed dials
         and profiles in progress. Other things more and more tested
         and stable.

20020806 - 0.49
* increased size for calendar notes
* updated config for 8290 & network info more concrete
* MSID again OK, other things for --identify                            (Walek)
* after enabling all options in config.h some things were         (Karel Polak)
  not OK. Fixed
* added missed makefile for command line BCC                      (Karel Polak)
* DefaultNumber for SMSC and DCT3 improved                      (Cvetan Ivanov)

Summary: test version. Many fixes. WAP settings not work for DCT4
         (my phone went to service and didn't stand up after flashing)
         & can not work with DCT3 - source is changed, not good tested.

20020802 - 0.48
* changed some general behaviour. Now all CFGxxx from StateMachine are not
  modified. Additional when use Irda connection with specified model, each
  known phone can be switched to module connected with this model.
* deleted "fresh" "dlr3clasic" ;-). Generally, DLR3 problems should gone
  away now with "dlr3"...
* added security status and entering security codes
* Italian translation file                                      (Luca Cassioli)
* started writing support for phone profiles
* sms_serv 100% usefull now
* source cleanups (DCT3/DCT4 has one function for getting WAP
  bookmarks, etc...)
* DCT3: * MSID now commented (need investigation)
        * 7110/62xx operator logo has variable size, improved   (Cvetan Ivanov)
          getting WAP bookmarks
        * fixes for --nokiasetoperatorname                              (Walek)
        * 6210 family: saving sms name should be OK now (TODO: test it)
* DCT4: getting alarm (without checking enabling !), saving sms, started
  work on full ringtones support (binary format a little different than in
  DCT3) - can get all (user + default) ringtones, setting alarm/datetime,
  setting smsc, playing ringtones over phone buzzer, more info with
  --identify
* option for getting ringtones names
* --getsms displays "Empty" for empty SMS location

20020726 - 0.47
* DCT4 - can press Up key, getting original IMEI, date/time, sms status,
         full support for todo, full support for wap bookmarks, sending
         sms, (can contains errors !) getting WAP settings almost functional
* better error codes
* improvements in setting WAP bookmarks
* source cleanups
* added ID for 7190 (for 7110 module)
* extended SMS status
* new connection type "dlr3clasic" (no AT commands). When use "dlr3", "old"
  init is used (after some improvements).
* number of replies moved to StateMachine
* started NEW project in mygnokii2: sms_serv. The main task for it is to
  create very easy to use API for getting incoming sms (saved on SIM/phone
  memory) and sending sms. Project shows, how to easy use threads and
  many phones in one time from one application. Very early test version.

20020719 - 0.46
* DCT4 - * full support for phonebook, network/battery/phone info, startup  (I)
           logo, ringtones (as Nokia provides - only preview mode now),
           reset
         * getting WAP bookmarks, startup note, getting/clearing operator
           logo, getting todo
         * BIG improvements in getting SMS, SMSC
* 8210 - default Picture Images                             (Krzysztof Drewicz)
* 6110 family - key pressing/releasing                                      (I)
* DCT3 - displaying MSID                                            (Walek & I)
* no more displaying SMS name for received sms                              (I)

20020710 - 0.45
* fixes for 6110.c and Pict.Images/binary ringtones (getting)    (I and Franco)
* binary dumps contains mygnokii2 version                                   (I)
* improved sniffing functions                                               (I)
* 6110.c and setting binary ringtones (tested with 3210)                    (I)
* fix for note ringtones and tempo                                          (I)
* --composer finally moved                                                  (I)
* new -scale for send/savesms RINGTONE ... and --setringtone                (I)
* updated docs                                                              (I)
* support for blinking Unicode SMS texts, ringtone names                    (I)
  in older Nokia DCT3 phones (use single ~ char to encode blinking)
* when phone contains default name for caller group, it's NOT saved to      (I)
  backup file and not replaced by default English name (from mygnokii2)
  during restore
* DCT4: getting sms and some other (initial && experimental)                (I)
* default picture images from 6310i                                         (I)

20020704 - 0.44
* at module: cleanups, fixes (SMS and N9000)             (I and Jan Kratochvil)
* ringtones: RTTL rewritten, cleaned, extended to EMS and improved
  (example: there are much shorter saved RTTL files)                        (I)
* coded EMS bitmaps and ringtones, not tested with "real" EMS phone         (I)
* reseting test 36 in DCT3                                        (I and Walek)
* full support for multiframe NLM files                                     (I)
* updated (protocol) docs                                                   (I)

20020627 - 0.43
* at module: full support for sms in PDU and text mode (in text mode with
  additional Nokia extensions to delivery reports and 8 bit/Unicode sms),
  date/alarm things, smsc things, battery/network level things, getting pbk...
* fix for SMS and validity
* question for playing ringtone is asked only, when has sence
* can read input Unicode files with 0xff 0xfe/0xfe 0xff on start for sms
* Euro char is coded in SMS saved using Default Alphabet in Nokia standard
* fix for --send/savesms for input buffer and Unicode SMS

20020623 - 0.42
* changed numeration of releases
* cleanups in source - misc.c and gsmcomon.c
* fix in source for Borland C++ Builder in gsmstate.c
* full sms state support: read/unread (6210 uses SIM then), sent/unsent
* dlr3 doesn't show problems on debug during 1'st init
* at module: getting sms in PDU mode, identify (+req.updates in "main" source)
* fixes for alphanumeric SMS numbers
* no problems, when disabled AT module in config.h

20020619 - 0.0.41
* more options for send/savesms
* getting Picture Image from 62xx cleaned and fixed(+fix in PHONE_DecodeBitmap)
* 6210 family: SMS status shows Templates folder too
* binary ringtones: fix for backup/restore
* RTTL ringtones: tested getting from 3310
* started AT development
* --nokiaget(set)operatorname & --nokiasetphonemenus 100% usefull

20020616 - 0.0.40
* fixed backup/restore bitmaps moving bug
* updated docs
* lmb files support
* more ringtones files formats supported
* can compile with Borland C++ Builder GUI and command line compiler
  (second is given by Borland for free)
* backup/restore for binary ringtones
* fix for debug in mbus2
* 9210 module can set startup logo/text, show incoming cb/sms
* new --copyringtone

20020610 - 0.0.39
DCT3 support seems to be close to be ready.

........

20020512 - 0.0.19
Milestone. all important things in 6210 family done. Started DCT4.

........

20020428 - 0.0.14
Simply "real" functionality provided.

........

20020414 - 0.0.1 officialy released

Works identification and phone tests, MBUS2,
FBUS2 and serial port stuff for win32/Linux.

20020404
I finally end supporting gnokii. Started creating structures.

----------------------
YYYYMMDD - description

# vim: et ts=4 sw=4 sts=4 tw=72 spell spelllang=en_us
# vim: ft=changelog fenc=utf-8
# vim: fde=getline(v\:lnum-1)=~'^\\s*$'&&getline(v\:lnum)=~'^\\d'?'>1'\:1&&v\:lnum>22&&getline(v\:lnum)!~'^#'
# vim: fdn=1 fdm=expr
